# Copyright 2001-2007 Six Apart. This code cannot be redistributed without
# permission from www.sixapart.com.  For more information, consult your
# Movable Type license.
#
# $Id: Video.pm 58523 2007-07-16 03:05:02Z bchoate $

package MT::Asset::Video;

use strict;
use base qw( MT::Asset );

__PACKAGE__->install_properties( { class_type => 'video', } );

# List of supported file extensions (to aid the stock 'can_handle' method.)
sub extensions {
    [
        qr/mov/i, qr/avi/i, qr/3gp/i, qr/asf/i, qr/mp4/i, qr/qt/i,
        qr/wmv/i, qr/asx/i, qr/asf/,  qr/mpg/i
    ];
}

sub class_label {
    MT->translate('Video');
}

sub class_label_plural {
    MT->translate('Videos');
}

1;

__END__

=head1 NAME

MT::Asset::Video

=head1 AUTHOR & COPYRIGHT

Please see the L<MT/"AUTHOR & COPYRIGHT"> for author, copyright, and
license information.

=cut
