-- MySQL dump 10.11
--
-- Host: localhost    Database: mt
-- ------------------------------------------------------
-- Server version	5.0.32-Debian_7etch1-log
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO,MYSQL40' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `mt_asset`
--

DROP TABLE IF EXISTS `mt_asset`;
CREATE TABLE `mt_asset` (
  `asset_id` int(11) NOT NULL auto_increment,
  `asset_blog_id` int(11) NOT NULL,
  `asset_class` varchar(255) default 'file',
  `asset_created_by` int(11) default NULL,
  `asset_created_on` datetime default NULL,
  `asset_description` mediumtext,
  `asset_file_ext` varchar(20) default NULL,
  `asset_file_name` varchar(255) default NULL,
  `asset_file_path` varchar(255) default NULL,
  `asset_label` varchar(255) default NULL,
  `asset_meta` mediumblob,
  `asset_mime_type` varchar(255) default NULL,
  `asset_modified_by` int(11) default NULL,
  `asset_modified_on` datetime default NULL,
  `asset_parent` int(11) default NULL,
  `asset_url` varchar(255) default NULL,
  PRIMARY KEY  (`asset_id`),
  KEY `mt_asset_parent` (`asset_parent`),
  KEY `mt_asset_file_path` (`asset_file_path`),
  KEY `mt_asset_created_on` (`asset_created_on`),
  KEY `mt_asset_url` (`asset_url`),
  KEY `mt_asset_blog_id` (`asset_blog_id`),
  KEY `mt_asset_label` (`asset_label`),
  KEY `mt_asset_class` (`asset_class`),
  KEY `mt_asset_created_by` (`asset_created_by`)
) TYPE=MyISAM;

--
-- Dumping data for table `mt_asset`
--

LOCK TABLES `mt_asset` WRITE;
/*!40000 ALTER TABLE `mt_asset` DISABLE KEYS */;
/*!40000 ALTER TABLE `mt_asset` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mt_association`
--

DROP TABLE IF EXISTS `mt_association`;
CREATE TABLE `mt_association` (
  `association_id` int(11) NOT NULL auto_increment,
  `association_author_id` int(11) default '0',
  `association_blog_id` int(11) default '0',
  `association_created_by` int(11) default NULL,
  `association_created_on` datetime default NULL,
  `association_group_id` int(11) default '0',
  `association_modified_by` int(11) default NULL,
  `association_modified_on` datetime default NULL,
  `association_role_id` int(11) default '0',
  `association_type` int(11) NOT NULL,
  PRIMARY KEY  (`association_id`),
  KEY `mt_association_author_id` (`association_author_id`),
  KEY `mt_association_group_id` (`association_group_id`),
  KEY `mt_association_created_on` (`association_created_on`),
  KEY `mt_association_type` (`association_type`),
  KEY `mt_association_blog_id` (`association_blog_id`),
  KEY `mt_association_role_id` (`association_role_id`)
) TYPE=MyISAM AUTO_INCREMENT=2;

--
-- Dumping data for table `mt_association`
--

LOCK TABLES `mt_association` WRITE;
/*!40000 ALTER TABLE `mt_association` DISABLE KEYS */;
INSERT INTO `mt_association` VALUES (1,1,1,1, NOW(),0,NULL, NOW(),1,1);
/*!40000 ALTER TABLE `mt_association` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mt_author`
--

DROP TABLE IF EXISTS `mt_author`;
CREATE TABLE `mt_author` (
  `author_id` int(11) NOT NULL auto_increment,
  `author_api_password` varchar(60) default NULL,
  `author_auth_type` varchar(255) default NULL,
  `author_can_create_blog` tinyint(4) default NULL,
  `author_can_view_log` tinyint(4) default NULL,
  `author_created_by` int(11) default NULL,
  `author_created_on` datetime default NULL,
  `author_email` varchar(75) default NULL,
  `author_entry_prefs` varchar(255) default NULL,
  `author_external_id` varchar(255) default NULL,
  `author_hint` varchar(75) default NULL,
  `author_is_superuser` tinyint(4) default NULL,
  `author_meta` mediumblob,
  `author_modified_by` int(11) default NULL,
  `author_modified_on` datetime default NULL,
  `author_name` varchar(255) NOT NULL,
  `author_nickname` varchar(255) default NULL,
  `author_password` varchar(60) NOT NULL,
  `author_preferred_language` varchar(50) default NULL,
  `author_public_key` mediumtext,
  `author_remote_auth_token` varchar(50) default NULL,
  `author_remote_auth_username` varchar(50) default NULL,
  `author_status` int(11) default '1',
  `author_text_format` varchar(30) default NULL,
  `author_type` smallint(6) NOT NULL default '1',
  `author_url` varchar(255) default NULL,
  PRIMARY KEY  (`author_id`),
  KEY `mt_author_email` (`author_email`),
  KEY `mt_author_external_id` (`author_external_id`),
  KEY `mt_author_auth_type` (`author_auth_type`),
  KEY `mt_author_status` (`author_status`),
  KEY `mt_author_created_on` (`author_created_on`),
  KEY `mt_author_name` (`author_name`),
  KEY `mt_author_type` (`author_type`)
) TYPE=MyISAM AUTO_INCREMENT=2;

--
-- Dumping data for table `mt_author`
--

LOCK TABLES `mt_author` WRITE;
/*!40000 ALTER TABLE `mt_author` DISABLE KEYS */;
INSERT INTO `mt_author` VALUES (1,'kym9c54x','MT',NULL,NULL,NULL, NOW(),'@@ADMIN_EMAIL@@',NULL,'','qwerty',NULL,'SERG\0\0\0\0\0\0\0H\0\0\0\0\0\0widgetsH\0\0\0\0\0\0dashboard:blog:2H\0\0\0\0\0\0\nblog_statsH\0\0\0\0\0\0order-\0\0\01\0\0\0paramH\0\0\0\0\0\0tab-\0\0\0entry\0\0\0set-\0\0\0main\0\0\0mt_shortcutsH\0\0\0\0\0\0order-\0\0\02\0\0\0set-\0\0\0sidebar\0\0\0\rthis_is_you-1H\0\0\0\0\0\0order-\0\0\01\0\0\0set-\0\0\0sidebar\0\0\0mt_newsH\0\0\0\0\0\0order-\0\0\03\0\0\0set-\0\0\0sidebar\0\0\0dashboard:blog:1H\0\0\0\0\0\0mt_shortcutsH\0\0\0\0\0\0order-\0\0\02\0\0\0set-\0\0\0sidebar\0\0\0\nblog_statsH\0\0\0\0\0\0order-\0\0\01\0\0\0paramH\0\0\0\0\0\0tab-\0\0\0entry\0\0\0set-\0\0\0main\0\0\0\rthis_is_you-1H\0\0\0\0\0\0order-\0\0\01\0\0\0set-\0\0\0sidebar\0\0\0mt_newsH\0\0\0\0\0\0order-\0\0\03\0\0\0set-\0\0\0sidebar\0\0\0new_installH\0\0\0\0\0\0order-\0\0\0-1\0\0\0set-\0\0\0main\0\0\0favorite_blogsA\0\0\0-\0\0\02-\0\0\01',NULL, NOW(),'@@ADMIN_NAME@@','@@ADMIN_NAME@@','@@ADMIN_PASSWORD@@','@@LOCALE@@',NULL,NULL,NULL,1,NULL,1,NULL);
/*!40000 ALTER TABLE `mt_author` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mt_blog`
--

DROP TABLE IF EXISTS `mt_blog`;
CREATE TABLE `mt_blog` (
  `blog_id` int(11) NOT NULL auto_increment,
  `blog_allow_anon_comments` tinyint(4) default NULL,
  `blog_allow_comment_html` tinyint(4) default NULL,
  `blog_allow_commenter_regist` tinyint(4) default NULL,
  `blog_allow_comments_default` tinyint(4) default NULL,
  `blog_allow_pings` tinyint(4) default NULL,
  `blog_allow_pings_default` tinyint(4) default NULL,
  `blog_allow_reg_comments` tinyint(4) default NULL,
  `blog_allow_unreg_comments` tinyint(4) default NULL,
  `blog_archive_path` varchar(255) default NULL,
  `blog_archive_tmpl_category` varchar(255) default NULL,
  `blog_archive_tmpl_daily` varchar(255) default NULL,
  `blog_archive_tmpl_individual` varchar(255) default NULL,
  `blog_archive_tmpl_monthly` varchar(255) default NULL,
  `blog_archive_tmpl_weekly` varchar(255) default NULL,
  `blog_archive_type` varchar(255) default NULL,
  `blog_archive_type_preferred` varchar(25) default NULL,
  `blog_archive_url` varchar(255) default NULL,
  `blog_autodiscover_links` tinyint(4) default NULL,
  `blog_autolink_urls` tinyint(4) default NULL,
  `blog_basename_limit` smallint(6) default NULL,
  `blog_cc_license` varchar(255) default NULL,
  `blog_children_modified_on` datetime default NULL,
  `blog_convert_paras` varchar(30) default NULL,
  `blog_convert_paras_comments` varchar(30) default NULL,
  `blog_created_by` int(11) default NULL,
  `blog_created_on` datetime default NULL,
  `blog_custom_dynamic_templates` varchar(25) default 'none',
  `blog_days_on_index` int(11) default NULL,
  `blog_description` mediumtext,
  `blog_email_new_comments` tinyint(4) default NULL,
  `blog_email_new_pings` tinyint(4) default NULL,
  `blog_entries_on_index` int(11) default NULL,
  `blog_file_extension` varchar(10) default NULL,
  `blog_google_api_key` varchar(32) default NULL,
  `blog_internal_autodiscovery` tinyint(4) default NULL,
  `blog_is_dynamic` tinyint(4) default NULL,
  `blog_junk_folder_expiry` int(11) default NULL,
  `blog_junk_score_threshold` float default NULL,
  `blog_language` varchar(5) default NULL,
  `blog_manual_approve_commenters` tinyint(4) default NULL,
  `blog_meta` mediumblob,
  `blog_moderate_pings` tinyint(4) default NULL,
  `blog_moderate_unreg_comments` tinyint(4) default NULL,
  `blog_modified_by` int(11) default NULL,
  `blog_modified_on` datetime default NULL,
  `blog_mt_update_key` varchar(30) default NULL,
  `blog_name` varchar(255) NOT NULL,
  `blog_old_style_archive_links` tinyint(4) default NULL,
  `blog_ping_blogs` tinyint(4) default NULL,
  `blog_ping_google` tinyint(4) default NULL,
  `blog_ping_others` mediumtext,
  `blog_ping_technorati` tinyint(4) default NULL,
  `blog_ping_weblogs` tinyint(4) default NULL,
  `blog_remote_auth_token` varchar(50) default NULL,
  `blog_require_comment_emails` tinyint(4) default NULL,
  `blog_sanitize_spec` varchar(255) default NULL,
  `blog_server_offset` float default NULL,
  `blog_site_path` varchar(255) default NULL,
  `blog_site_url` varchar(255) default NULL,
  `blog_sort_order_comments` varchar(8) default NULL,
  `blog_sort_order_posts` varchar(8) default NULL,
  `blog_status_default` smallint(6) default NULL,
  `blog_use_comment_confirmation` tinyint(4) default NULL,
  `blog_welcome_msg` mediumtext,
  `blog_words_in_excerpt` smallint(6) default NULL,
  PRIMARY KEY  (`blog_id`),
  KEY `mt_blog_name` (`blog_name`),
  KEY `mt_blog_children_modified_on` (`blog_children_modified_on`)
) TYPE=MyISAM AUTO_INCREMENT=3;

--
-- Dumping data for table `mt_blog`
--

LOCK TABLES `mt_blog` WRITE;
/*!40000 ALTER TABLE `mt_blog` DISABLE KEYS */;
INSERT INTO `mt_blog` VALUES (1,NULL,1,1,1,1,1,1,0,NULL,NULL,NULL,NULL,NULL,NULL,'Page,Monthly,Category-Monthly,Author-Monthly,Category,Individual','Individual',NULL,NULL,1,30,NULL,'2010-12-31 12:00:00','richtext','1',1, NOW(),'none',0,NULL,1,1,10,'html',NULL,0,NULL,14,0,'en_US',NULL,'SERG\0\0\0\0\0\0\0H\0\0\0\0\0\0commenter_authenticators-\0\0\0MovableType,LiveJournal,Vox\0\0\0\rnofollow_urls-\0\0\01\0\0\0follow_auth_links-\0\0\01',1,2,NULL, NOW(),NULL,'My First Blog',NULL,0,0,NULL,0,0,NULL,0,'0',6,'/var/www/vhosts/ilobachev.sa.plesk.ru/httpdocs/BLOG-NAME','http://ilobachev.sa.plesk.ru/BLOG-NAME/','ascend','descend',2,1,NULL,40),(2,NULL,1,1,1,1,1,1,0,NULL,NULL,NULL,NULL,NULL,NULL,'Page,Monthly,Category-Monthly,Author-Monthly,Category,Individual','Individual',NULL,NULL,1,30,'','2007-11-18 07:29:25','richtext','1',1, NOW(),'none',0,'uuuuuuuuuu',1,1,10,'html',NULL,0,NULL,14,0,'en-us',NULL,'SERG\0\0\0\0\0\0\0H\0\0\0\0\0\0commenter_authenticators-\0\0\0MovableType\0\0\0update_pings-\0\0\0\0',1,2,1,'2007-11-18 01:29:25','765765','@@BLOG_NAME@@',NULL,0,0,'',0,0,'',0,'0',0,NULL,NULL,'ascend','descend',2,1,NULL,40);
/*!40000 ALTER TABLE `mt_blog` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mt_category`
--

DROP TABLE IF EXISTS `mt_category`;
CREATE TABLE `mt_category` (
  `category_id` int(11) NOT NULL auto_increment,
  `category_allow_pings` tinyint(4) default '0',
  `category_author_id` int(11) default NULL,
  `category_basename` varchar(255) default NULL,
  `category_blog_id` int(11) NOT NULL,
  `category_class` varchar(255) default 'category',
  `category_created_by` int(11) default NULL,
  `category_created_on` datetime default NULL,
  `category_description` mediumtext,
  `category_label` varchar(100) NOT NULL,
  `category_modified_by` int(11) default NULL,
  `category_modified_on` datetime default NULL,
  `category_parent` int(11) default '0',
  `category_ping_urls` mediumtext,
  PRIMARY KEY  (`category_id`),
  KEY `mt_category_basename` (`category_basename`),
  KEY `mt_category_parent` (`category_parent`),
  KEY `mt_category_class` (`category_class`),
  KEY `mt_category_label` (`category_label`),
  KEY `mt_category_blog_id` (`category_blog_id`)
) TYPE=MyISAM;

--
-- Dumping data for table `mt_category`
--

LOCK TABLES `mt_category` WRITE;
/*!40000 ALTER TABLE `mt_category` DISABLE KEYS */;
/*!40000 ALTER TABLE `mt_category` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mt_comment`
--

DROP TABLE IF EXISTS `mt_comment`;
CREATE TABLE `mt_comment` (
  `comment_id` int(11) NOT NULL auto_increment,
  `comment_author` varchar(100) default NULL,
  `comment_blog_id` int(11) NOT NULL,
  `comment_commenter_id` int(11) default NULL,
  `comment_created_by` int(11) default NULL,
  `comment_created_on` datetime default NULL,
  `comment_email` varchar(75) default NULL,
  `comment_entry_id` int(11) NOT NULL,
  `comment_ip` varchar(16) default NULL,
  `comment_junk_log` mediumtext,
  `comment_junk_score` float default NULL,
  `comment_junk_status` smallint(6) default '0',
  `comment_last_moved_on` datetime NOT NULL default '2000-01-01 00:00:00',
  `comment_modified_by` int(11) default NULL,
  `comment_modified_on` datetime default NULL,
  `comment_parent_id` int(11) default NULL,
  `comment_text` mediumtext,
  `comment_url` varchar(255) default NULL,
  `comment_visible` tinyint(4) default NULL,
  PRIMARY KEY  (`comment_id`),
  KEY `mt_comment_commenter_id` (`comment_commenter_id`),
  KEY `mt_comment_visible` (`comment_visible`),
  KEY `mt_comment_junk_score` (`comment_junk_score`),
  KEY `mt_comment_ip` (`comment_ip`),
  KEY `mt_comment_parent_id` (`comment_parent_id`),
  KEY `mt_comment_entry_id` (`comment_entry_id`),
  KEY `mt_comment_email` (`comment_email`),
  KEY `mt_comment_last_moved_on` (`comment_last_moved_on`),
  KEY `mt_comment_created_on` (`comment_created_on`),
  KEY `mt_comment_junk_status` (`comment_junk_status`),
  KEY `mt_comment_blog_id` (`comment_blog_id`)
) TYPE=MyISAM AUTO_INCREMENT=2;

--
-- Dumping data for table `mt_comment`
--

LOCK TABLES `mt_comment` WRITE;
/*!40000 ALTER TABLE `mt_comment` DISABLE KEYS */;
INSERT INTO `mt_comment` VALUES (1,'@@ADMIN_NAME@@',1,NULL,1, NOW(),NULL,1,NULL,NULL,NULL,1,'2000-01-01 00:00:00',NULL, NOW(),NULL,'Movable Type also created a comment for me as well so that I could see what a comment will look like on my blog once people start submitting comments on all the posts I will write.',NULL,1);
/*!40000 ALTER TABLE `mt_comment` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mt_config`
--

DROP TABLE IF EXISTS `mt_config`;
CREATE TABLE `mt_config` (
  `config_id` int(11) NOT NULL auto_increment,
  `config_data` mediumtext,
  PRIMARY KEY  (`config_id`)
) TYPE=MyISAM AUTO_INCREMENT=2;

--
-- Dumping data for table `mt_config`
--

LOCK TABLES `mt_config` WRITE;
/*!40000 ALTER TABLE `mt_config` DISABLE KEYS */;
INSERT INTO `mt_config` VALUES (1,'SchemaVersion 4.0026\nSQLSetNames 0\n DefaultUserLanguage @@LOCALE@@\n');
/*!40000 ALTER TABLE `mt_config` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mt_entry`
--

DROP TABLE IF EXISTS `mt_entry`;
CREATE TABLE `mt_entry` (
  `entry_id` int(11) NOT NULL auto_increment,
  `entry_allow_comments` tinyint(4) default NULL,
  `entry_allow_pings` tinyint(4) default NULL,
  `entry_atom_id` varchar(255) default NULL,
  `entry_author_id` int(11) NOT NULL,
  `entry_authored_on` datetime default NULL,
  `entry_basename` varchar(255) default NULL,
  `entry_blog_id` int(11) NOT NULL,
  `entry_category_id` int(11) default NULL,
  `entry_class` varchar(255) default 'entry',
  `entry_convert_breaks` varchar(30) default NULL,
  `entry_created_by` int(11) default NULL,
  `entry_created_on` datetime default NULL,
  `entry_excerpt` mediumtext,
  `entry_keywords` mediumtext,
  `entry_modified_by` int(11) default NULL,
  `entry_modified_on` datetime default NULL,
  `entry_pinged_urls` mediumtext,
  `entry_status` smallint(6) NOT NULL,
  `entry_tangent_cache` mediumtext,
  `entry_template_id` int(11) default NULL,
  `entry_text` mediumtext,
  `entry_text_more` mediumtext,
  `entry_title` varchar(255) default NULL,
  `entry_to_ping_urls` mediumtext,
  `entry_week_number` int(11) default NULL,
  PRIMARY KEY  (`entry_id`),
  KEY `mt_entry_author_id` (`entry_author_id`),
  KEY `mt_entry_status` (`entry_status`),
  KEY `mt_entry_basename` (`entry_basename`),
  KEY `mt_entry_created_on` (`entry_created_on`),
  KEY `mt_entry_modified_on` (`entry_modified_on`),
  KEY `mt_entry_authored_on` (`entry_authored_on`),
  KEY `mt_entry_class` (`entry_class`),
  KEY `mt_entry_blog_id` (`entry_blog_id`),
  KEY `mt_entry_week_number` (`entry_week_number`)
) TYPE=MyISAM AUTO_INCREMENT=2;

--
-- Dumping data for table `mt_entry`
--

LOCK TABLES `mt_entry` WRITE;
/*!40000 ALTER TABLE `mt_entry` DISABLE KEYS */;
INSERT INTO `mt_entry` VALUES (1,NULL,NULL,'tag:@@BASE_URL_HOST@@,2007:/BLOG-NAME//1.1',1,NOW(),'i_just_finished_installing_mov',1,NULL,'entry',NULL,1, NOW(),NULL,NULL,NULL, NOW(),NULL,2,NULL,NULL,'Welcome to my new blog powered by Movable Type. This is the first post on my blog and was created for me automatically when I finished the installation process. But that is ok, because I will soon be creating posts of my own!',NULL,'I just finished installing Movable Type 4.01!',NULL,200746);
/*!40000 ALTER TABLE `mt_entry` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mt_fileinfo`
--

DROP TABLE IF EXISTS `mt_fileinfo`;
CREATE TABLE `mt_fileinfo` (
  `fileinfo_id` int(11) NOT NULL auto_increment,
  `fileinfo_archive_type` varchar(255) default NULL,
  `fileinfo_author_id` int(11) default NULL,
  `fileinfo_blog_id` int(11) NOT NULL,
  `fileinfo_category_id` int(11) default NULL,
  `fileinfo_entry_id` int(11) default NULL,
  `fileinfo_file_path` mediumtext,
  `fileinfo_startdate` varchar(80) default NULL,
  `fileinfo_template_id` int(11) default NULL,
  `fileinfo_templatemap_id` int(11) default NULL,
  `fileinfo_url` varchar(255) default NULL,
  `fileinfo_virtual` tinyint(4) default NULL,
  PRIMARY KEY  (`fileinfo_id`),
  KEY `mt_fileinfo_template_id` (`fileinfo_template_id`),
  KEY `mt_fileinfo_url` (`fileinfo_url`),
  KEY `mt_fileinfo_templatemap_id` (`fileinfo_templatemap_id`),
  KEY `mt_fileinfo_blog_id` (`fileinfo_blog_id`),
  KEY `mt_fileinfo_entry_id` (`fileinfo_entry_id`)
) TYPE=MyISAM;

--
-- Dumping data for table `mt_fileinfo`
--

LOCK TABLES `mt_fileinfo` WRITE;
/*!40000 ALTER TABLE `mt_fileinfo` DISABLE KEYS */;
/*!40000 ALTER TABLE `mt_fileinfo` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mt_ipbanlist`
--

DROP TABLE IF EXISTS `mt_ipbanlist`;
CREATE TABLE `mt_ipbanlist` (
  `ipbanlist_id` int(11) NOT NULL auto_increment,
  `ipbanlist_blog_id` int(11) NOT NULL,
  `ipbanlist_created_by` int(11) default NULL,
  `ipbanlist_created_on` datetime default NULL,
  `ipbanlist_ip` varchar(15) NOT NULL,
  `ipbanlist_modified_by` int(11) default NULL,
  `ipbanlist_modified_on` datetime default NULL,
  PRIMARY KEY  (`ipbanlist_id`),
  KEY `mt_ipbanlist_ip` (`ipbanlist_ip`),
  KEY `mt_ipbanlist_blog_id` (`ipbanlist_blog_id`)
) TYPE=MyISAM;

--
-- Dumping data for table `mt_ipbanlist`
--

LOCK TABLES `mt_ipbanlist` WRITE;
/*!40000 ALTER TABLE `mt_ipbanlist` DISABLE KEYS */;
/*!40000 ALTER TABLE `mt_ipbanlist` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mt_log`
--

DROP TABLE IF EXISTS `mt_log`;
CREATE TABLE `mt_log` (
  `log_id` int(11) NOT NULL auto_increment,
  `log_author_id` int(11) default '0',
  `log_blog_id` int(11) default '0',
  `log_category` varchar(255) default NULL,
  `log_class` varchar(255) default 'system',
  `log_created_by` int(11) default NULL,
  `log_created_on` datetime default NULL,
  `log_ip` varchar(16) default NULL,
  `log_level` int(11) default '1',
  `log_message` mediumtext,
  `log_metadata` varchar(255) default NULL,
  `log_modified_by` int(11) default NULL,
  `log_modified_on` datetime default NULL,
  PRIMARY KEY  (`log_id`),
  KEY `mt_log_level` (`log_level`),
  KEY `mt_log_created_on` (`log_created_on`),
  KEY `mt_log_blog_id` (`log_blog_id`),
  KEY `mt_log_class` (`log_class`)
) TYPE=MyISAM AUTO_INCREMENT=7;

--
-- Dumping data for table `mt_log`
--

LOCK TABLES `mt_log` WRITE;
/*!40000 ALTER TABLE `mt_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `mt_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mt_notification`
--

DROP TABLE IF EXISTS `mt_notification`;
CREATE TABLE `mt_notification` (
  `notification_id` int(11) NOT NULL auto_increment,
  `notification_blog_id` int(11) NOT NULL,
  `notification_created_by` int(11) default NULL,
  `notification_created_on` datetime default NULL,
  `notification_email` varchar(75) default NULL,
  `notification_modified_by` int(11) default NULL,
  `notification_modified_on` datetime default NULL,
  `notification_name` varchar(50) default NULL,
  `notification_url` varchar(255) default NULL,
  PRIMARY KEY  (`notification_id`),
  KEY `mt_notification_blog_id` (`notification_blog_id`)
) TYPE=MyISAM;

--
-- Dumping data for table `mt_notification`
--

LOCK TABLES `mt_notification` WRITE;
/*!40000 ALTER TABLE `mt_notification` DISABLE KEYS */;
/*!40000 ALTER TABLE `mt_notification` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mt_objectasset`
--

DROP TABLE IF EXISTS `mt_objectasset`;
CREATE TABLE `mt_objectasset` (
  `objectasset_id` int(11) NOT NULL auto_increment,
  `objectasset_asset_id` int(11) NOT NULL,
  `objectasset_blog_id` int(11) default NULL,
  `objectasset_object_ds` varchar(50) NOT NULL,
  `objectasset_object_id` int(11) NOT NULL,
  PRIMARY KEY  (`objectasset_id`),
  KEY `mt_objectasset_object_ds` (`objectasset_object_ds`),
  KEY `mt_objectasset_asset_id` (`objectasset_asset_id`),
  KEY `mt_objectasset_object_id` (`objectasset_object_id`),
  KEY `mt_objectasset_blog_id` (`objectasset_blog_id`)
) TYPE=MyISAM;

--
-- Dumping data for table `mt_objectasset`
--

LOCK TABLES `mt_objectasset` WRITE;
/*!40000 ALTER TABLE `mt_objectasset` DISABLE KEYS */;
/*!40000 ALTER TABLE `mt_objectasset` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mt_objectscore`
--

DROP TABLE IF EXISTS `mt_objectscore`;
CREATE TABLE `mt_objectscore` (
  `objectscore_id` int(11) NOT NULL auto_increment,
  `objectscore_author_id` int(11) default '0',
  `objectscore_created_by` int(11) default NULL,
  `objectscore_created_on` datetime default NULL,
  `objectscore_modified_by` int(11) default NULL,
  `objectscore_modified_on` datetime default NULL,
  `objectscore_namespace` varchar(255) NOT NULL,
  `objectscore_object_ds` varchar(50) NOT NULL,
  `objectscore_object_id` int(11) default '0',
  `objectscore_score` float default NULL,
  PRIMARY KEY  (`objectscore_id`),
  KEY `mt_objectscore_author_id` (`objectscore_author_id`),
  KEY `mt_objectscore_namespace` (`objectscore_namespace`),
  KEY `mt_objectscore_object_id` (`objectscore_object_id`)
) TYPE=MyISAM;

--
-- Dumping data for table `mt_objectscore`
--

LOCK TABLES `mt_objectscore` WRITE;
/*!40000 ALTER TABLE `mt_objectscore` DISABLE KEYS */;
/*!40000 ALTER TABLE `mt_objectscore` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mt_objecttag`
--

DROP TABLE IF EXISTS `mt_objecttag`;
CREATE TABLE `mt_objecttag` (
  `objecttag_id` int(11) NOT NULL auto_increment,
  `objecttag_blog_id` int(11) default NULL,
  `objecttag_object_datasource` varchar(50) NOT NULL,
  `objecttag_object_id` int(11) NOT NULL,
  `objecttag_tag_id` int(11) NOT NULL,
  PRIMARY KEY  (`objecttag_id`),
  KEY `mt_objecttag_object_id` (`objecttag_object_id`),
  KEY `mt_objecttag_blog_id` (`objecttag_blog_id`),
  KEY `mt_objecttag_tag_id` (`objecttag_tag_id`),
  KEY `mt_objecttag_object_datasource` (`objecttag_object_datasource`)
) TYPE=MyISAM;

--
-- Dumping data for table `mt_objecttag`
--

LOCK TABLES `mt_objecttag` WRITE;
/*!40000 ALTER TABLE `mt_objecttag` DISABLE KEYS */;
/*!40000 ALTER TABLE `mt_objecttag` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mt_permission`
--

DROP TABLE IF EXISTS `mt_permission`;
CREATE TABLE `mt_permission` (
  `permission_id` int(11) NOT NULL auto_increment,
  `permission_author_id` int(11) NOT NULL default '0',
  `permission_blog_id` int(11) NOT NULL default '0',
  `permission_blog_prefs` varchar(255) default NULL,
  `permission_created_by` int(11) default NULL,
  `permission_created_on` datetime default NULL,
  `permission_entry_prefs` varchar(255) default NULL,
  `permission_modified_by` int(11) default NULL,
  `permission_modified_on` datetime default NULL,
  `permission_permissions` mediumtext,
  `permission_restrictions` mediumtext,
  `permission_role_mask` int(11) default '0',
  `permission_template_prefs` varchar(255) default NULL,
  PRIMARY KEY  (`permission_id`),
  KEY `mt_permission_author_id` (`permission_author_id`),
  KEY `mt_permission_role_mask` (`permission_role_mask`),
  KEY `mt_permission_blog_id` (`permission_blog_id`)
) TYPE=MyISAM AUTO_INCREMENT=4;

--
-- Dumping data for table `mt_permission`
--

LOCK TABLES `mt_permission` WRITE;
/*!40000 ALTER TABLE `mt_permission` DISABLE KEYS */;
INSERT INTO `mt_permission` VALUES (1,1,0,NULL,NULL, NOW(),NULL,NULL, NOW(),'\'administer\',\'create_blog\',\'view_log\',\'manage_plugins\'',NULL,0,NULL),(2,1,1,NULL,1, NOW(),NULL,NULL, NOW(),'\'edit_categories\',\'save_image_defaults\',\'view_blog_log\',\'manage_pages\',\'set_publish_paths\',\'edit_tags\',\'manage_feedback\',\'publish_post\',\'edit_all_posts\',\'edit_assets\',\'edit_config\',\'administer_blog\',\'create_post\',\'send_notifications\',\'rebuild\',\'edit_notifications\',\'edit_templates\',\'comment\',\'upload\'',NULL,0,NULL),(3,1,2,NULL,1, NOW(),NULL,NULL, NOW(),'\'edit_categories\',\'save_image_defaults\',\'view_blog_log\',\'manage_pages\',\'set_publish_paths\',\'edit_tags\',\'manage_feedback\',\'publish_post\',\'edit_all_posts\',\'edit_assets\',\'edit_config\',\'administer_blog\',\'create_post\',\'send_notifications\',\'rebuild\',\'edit_notifications\',\'edit_templates\',\'comment\',\'upload\'',NULL,0,NULL);
/*!40000 ALTER TABLE `mt_permission` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mt_placement`
--

DROP TABLE IF EXISTS `mt_placement`;
CREATE TABLE `mt_placement` (
  `placement_id` int(11) NOT NULL auto_increment,
  `placement_blog_id` int(11) NOT NULL,
  `placement_category_id` int(11) NOT NULL,
  `placement_entry_id` int(11) NOT NULL,
  `placement_is_primary` tinyint(4) NOT NULL,
  PRIMARY KEY  (`placement_id`),
  KEY `mt_placement_category_id` (`placement_category_id`),
  KEY `mt_placement_blog_id` (`placement_blog_id`),
  KEY `mt_placement_is_primary` (`placement_is_primary`),
  KEY `mt_placement_entry_id` (`placement_entry_id`)
) TYPE=MyISAM;

--
-- Dumping data for table `mt_placement`
--

LOCK TABLES `mt_placement` WRITE;
/*!40000 ALTER TABLE `mt_placement` DISABLE KEYS */;
/*!40000 ALTER TABLE `mt_placement` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mt_plugindata`
--

DROP TABLE IF EXISTS `mt_plugindata`;
CREATE TABLE `mt_plugindata` (
  `plugindata_id` int(11) NOT NULL auto_increment,
  `plugindata_data` mediumblob,
  `plugindata_key` varchar(255) NOT NULL,
  `plugindata_plugin` varchar(50) NOT NULL,
  PRIMARY KEY  (`plugindata_id`),
  KEY `mt_plugindata_plugin` (`plugindata_plugin`),
  KEY `mt_plugindata_key` (`plugindata_key`)
) TYPE=MyISAM;

--
-- Dumping data for table `mt_plugindata`
--

LOCK TABLES `mt_plugindata` WRITE;
/*!40000 ALTER TABLE `mt_plugindata` DISABLE KEYS */;
/*!40000 ALTER TABLE `mt_plugindata` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mt_role`
--

DROP TABLE IF EXISTS `mt_role`;
CREATE TABLE `mt_role` (
  `role_id` int(11) NOT NULL auto_increment,
  `role_created_by` int(11) default NULL,
  `role_created_on` datetime default NULL,
  `role_description` mediumtext,
  `role_is_system` tinyint(4) default '0',
  `role_modified_by` int(11) default NULL,
  `role_modified_on` datetime default NULL,
  `role_name` varchar(255) NOT NULL,
  `role_permissions` mediumtext,
  `role_role_mask` int(11) default NULL,
  `role_role_mask2` int(11) default NULL,
  `role_role_mask3` int(11) default NULL,
  `role_role_mask4` int(11) default NULL,
  PRIMARY KEY  (`role_id`),
  KEY `mt_role_created_on` (`role_created_on`),
  KEY `mt_role_is_system` (`role_is_system`),
  KEY `mt_role_name` (`role_name`)
) TYPE=MyISAM AUTO_INCREMENT=9;

--
-- Dumping data for table `mt_role`
--

LOCK TABLES `mt_role` WRITE;
/*!40000 ALTER TABLE `mt_role` DISABLE KEYS */;
INSERT INTO `mt_role` VALUES (1,1, NOW(),'Can administer the blog.',0,NULL, NOW(),'Blog Administrator','\'administer_blog\'',4096,NULL,NULL,NULL),(2,1, NOW(),'Can upload files, edit all entries/categories/tags on a blog and publish the blog.',0,NULL, NOW(),'Editor','\'comment\',\'create_post\',\'publish_post\',\'edit_all_posts\',\'edit_categories\',\'edit_tags\',\'manage_pages\',\'rebuild\',\'upload\',\'send_notifications\',\'manage_feedback\'',NULL,NULL,NULL,NULL),(3,1, NOW(),'Can create entries, edit their own, upload files and publish.',0,NULL, NOW(),'Author','\'comment\',\'create_post\',\'publish_post\',\'upload\',\'send_notifications\'',NULL,NULL,NULL,NULL),(4,1, NOW(),'Can edit, manage and publish blog templates.',0,NULL, NOW(),'Designer','\'edit_templates\',\'rebuild\'',144,NULL,NULL,NULL),(5,1, NOW(),'Can manage pages and publish blog templates.',0,NULL, NOW(),'Webmaster','\'manage_pages\',\'rebuild\'',NULL,NULL,NULL,NULL),(6,1, NOW(),'Can create entries, edit their own and comment.',0,NULL, NOW(),'Contributor','\'comment\',\'create_post\'',NULL,NULL,NULL,NULL),(7,1, NOW(),'Can comment and manage feedback.',0,NULL, NOW(),'Moderator','\'comment\',\'manage_feedback\'',NULL,NULL,NULL,NULL),(8,1, NOW(),'Can comment.',0,NULL, NOW(),'Commenter','\'comment\'',1,NULL,NULL,NULL);
/*!40000 ALTER TABLE `mt_role` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mt_session`
--

DROP TABLE IF EXISTS `mt_session`;
CREATE TABLE `mt_session` (
  `session_id` varchar(80) NOT NULL,
  `session_data` mediumblob,
  `session_email` varchar(255) default NULL,
  `session_kind` varchar(2) default NULL,
  `session_name` varchar(255) default NULL,
  `session_start` int(11) NOT NULL,
  PRIMARY KEY  (`session_id`),
  KEY `mt_session_kind` (`session_kind`),
  KEY `mt_session_name` (`session_name`),
  KEY `mt_session_start` (`session_start`)
) TYPE=MyISAM;

--
-- Dumping data for table `mt_session`
--

LOCK TABLES `mt_session` WRITE;
/*!40000 ALTER TABLE `mt_session` DISABLE KEYS */;
/*!40000 ALTER TABLE `mt_session` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mt_tag`
--

DROP TABLE IF EXISTS `mt_tag`;
CREATE TABLE `mt_tag` (
  `tag_id` int(11) NOT NULL auto_increment,
  `tag_is_private` tinyint(4) default '0',
  `tag_n8d_id` int(11) default '0',
  `tag_name` varchar(255) NOT NULL,
  PRIMARY KEY  (`tag_id`),
  KEY `mt_tag_n8d_id` (`tag_n8d_id`),
  KEY `mt_tag_is_private` (`tag_is_private`),
  KEY `mt_tag_name` (`tag_name`)
) TYPE=MyISAM;

--
-- Dumping data for table `mt_tag`
--

LOCK TABLES `mt_tag` WRITE;
/*!40000 ALTER TABLE `mt_tag` DISABLE KEYS */;
/*!40000 ALTER TABLE `mt_tag` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mt_tbping`
--

DROP TABLE IF EXISTS `mt_tbping`;
CREATE TABLE `mt_tbping` (
  `tbping_id` int(11) NOT NULL auto_increment,
  `tbping_blog_id` int(11) NOT NULL,
  `tbping_blog_name` varchar(255) default NULL,
  `tbping_created_by` int(11) default NULL,
  `tbping_created_on` datetime default NULL,
  `tbping_excerpt` mediumtext,
  `tbping_ip` varchar(15) NOT NULL,
  `tbping_junk_log` mediumtext,
  `tbping_junk_score` float default NULL,
  `tbping_junk_status` smallint(6) NOT NULL default '0',
  `tbping_last_moved_on` datetime NOT NULL default '2000-01-01 00:00:00',
  `tbping_modified_by` int(11) default NULL,
  `tbping_modified_on` datetime default NULL,
  `tbping_source_url` varchar(255) default NULL,
  `tbping_tb_id` int(11) NOT NULL,
  `tbping_title` varchar(255) default NULL,
  `tbping_visible` tinyint(4) default NULL,
  PRIMARY KEY  (`tbping_id`),
  KEY `mt_tbping_visible` (`tbping_visible`),
  KEY `mt_tbping_junk_score` (`tbping_junk_score`),
  KEY `mt_tbping_ip` (`tbping_ip`),
  KEY `mt_tbping_last_moved_on` (`tbping_last_moved_on`),
  KEY `mt_tbping_created_on` (`tbping_created_on`),
  KEY `mt_tbping_junk_status` (`tbping_junk_status`),
  KEY `mt_tbping_blog_id` (`tbping_blog_id`),
  KEY `mt_tbping_tb_id` (`tbping_tb_id`)
) TYPE=MyISAM;

--
-- Dumping data for table `mt_tbping`
--

LOCK TABLES `mt_tbping` WRITE;
/*!40000 ALTER TABLE `mt_tbping` DISABLE KEYS */;
/*!40000 ALTER TABLE `mt_tbping` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mt_template`
--

DROP TABLE IF EXISTS `mt_template`;
CREATE TABLE `mt_template` (
  `template_id` int(11) NOT NULL auto_increment,
  `template_blog_id` int(11) NOT NULL,
  `template_build_dynamic` tinyint(4) default '0',
  `template_created_by` int(11) default NULL,
  `template_created_on` datetime default NULL,
  `template_identifier` varchar(50) default NULL,
  `template_linked_file` varchar(255) default NULL,
  `template_linked_file_mtime` varchar(10) default NULL,
  `template_linked_file_size` int(11) default NULL,
  `template_meta` mediumblob,
  `template_modified_by` int(11) default NULL,
  `template_modified_on` datetime default NULL,
  `template_name` varchar(255) NOT NULL,
  `template_outfile` varchar(255) default NULL,
  `template_rebuild_me` tinyint(4) default '1',
  `template_text` mediumtext,
  `template_type` varchar(25) NOT NULL,
  PRIMARY KEY  (`template_id`),
  KEY `mt_template_identifier` (`template_identifier`),
  KEY `mt_template_build_dynamic` (`template_build_dynamic`),
  KEY `mt_template_outfile` (`template_outfile`),
  KEY `mt_template_name` (`template_name`),
  KEY `mt_template_type` (`template_type`),
  KEY `mt_template_blog_id` (`template_blog_id`)
) TYPE=MyISAM AUTO_INCREMENT=61;

--
-- Dumping data for table `mt_template`
--

LOCK TABLES `mt_template` WRITE;
/*!40000 ALTER TABLE `mt_template` DISABLE KEYS */;
INSERT INTO `mt_template` VALUES (1,1,0,1, NOW(),'base_theme',NULL,NULL,NULL,NULL,NULL, NOW(),'Stylesheet - Base Theme','base_theme.css',1,'/* Base Theme ============================================================= */\n\n/* Reset ------------------------------------------------------------------ */\n\n/*\n    reset.css - resets default browser styling\n    http://tantek.com/log/2004/09.html#d06t2354\n    http://www.vox.com/.shared/css/base.css by beausmith.com\n    http://developer.yahoo.com/yui/reset/\n*/\n\n:link,:visited {\n    text-decoration:none;\n}\nhtml,body,div,\nul,ol,li,dl,dt,dd,\nform,fieldset,input,textarea,\nh1,h2,h3,h4,h5,h6,pre,code,p,blockquote,hr,\nth,td {\n    margin:0;\n    padding:0;\n}\nh1,h2,h3,h4,h5,h6 {\n    font-size:100%;\n    font-weight:normal;\n}\ntable {\n    border-spacing:0;\n}\nfieldset,img,abbr,acronym {\n    border:0;\n} \n/* strict reset by uncommenting lines below */\naddress,caption,cite,code,dfn,em,strong,b,u,s,i,th,var {\n    /* font-style:normal; */\n    /* font-weight:normal; */\n}\n\nol,ul {\n    list-style:none;\n}\ncaption,th {\n    text-align:left;\n}\nq:before,q:after {\n    content:\'\';\n}\na {\n    text-decoration:underline;\n    outline:none;\n}\nhr {\n    border:0;\n    height:1px;\n    background-color:#000;\n    color:#000;\n}\na img,:link img,:visited img {\n    border:none;\n}\naddress {\n    font-style:normal;\n}\n\n\n/* Layout ----------------------------------------------------------------- */\n\nbody {\n    text-align: center;\n    background: #fff;\n}\n\n#container-inner {\n    width: 940px;\n    min-height: 100%;\n    margin: 0 auto;\n    text-align: left;\n}\n\n#header, #content, #alpha, #beta, #gamma, #footer {\n    position: relative;\n}\n\n#alpha, #beta, #gamma {\n    display: inline;\n    float: left;\n}\n\n#header-inner, #content-inner, #footer-inner,\n#alpha-inner, #beta-inner, #gamma-inner {\n    position: static;\n}\n\n#header-inner, #content-inner, #footer-inner {\n    padding-top: 20px;\n    padding-bottom: 20px;\n}\n\n#header-inner, #footer-inner,\n#alpha-inner, #beta-inner, #gamma-inner {\n    overflow: hidden;\n    padding-right: 20px;\n    padding-left: 20px;\n}\n\n\n/* Wide-Thin-Thin */\n\n.layout-wtt #alpha {\n    width: 560px;\n}\n\n.layout-wtt #beta {\n    left: 190px;\n    width: 190px;\n}\n\n.layout-wtt #gamma {\n    right: 190px;\n    width: 190px;\n}\n\n\n/* Thin-Wide-Thin */\n\n.layout-twt #alpha {\n    left: 190px;\n    width: 560px;\n}\n\n.layout-twt #beta {\n    left: -560px;\n    width: 190px;\n}\n\n.layout-twt #gamma {\n    width: 190px;\n}\n\n\n/* Wide-Thin */\n\n.layout-wt #alpha {\n    width: 750px;\n}\n\n.layout-wt #beta {\n    width: 190px;\n}\n\n\n/* Thin-Wide */\n\n.layout-tw #alpha {\n    left: 190px;\n    width: 750px;\n}\n\n.layout-tw #beta {\n    left: -750px;\n    width: 190px;\n}\n\n\n/* Utilities */\n\n.pkg:after, #content-inner:after {\n    content: \" \";\n    display: block;\n    visibility: hidden;\n    clear: both;\n    height: 0.1px;\n    font-size: 0.1em;\n    line-height: 0;\n}\n.pkg, #content-inner { display: inline-block; }\n/* no ie mac \\*/\n* html .pkg, * html #content-inner { height: 1%; }\n.pkg, #content-inner { display: block; }\n/* */\n\n\n/* Content ---------------------------------------------------------------- */\n\na:link, a:visited {\n    text-decoration: underline;\n}\n\nh1, h2, h3, h4, h5, h6, p, pre, blockquote, fieldset, ul, ol, dl {\n    margin-bottom: .75em;\n}\n\nblockquote, ol, ul {\n    margin-left: 30px;\n    background-repeat: repeat-y;\n}\n\nol { list-style: decimal outside; }\nul { list-style: disc outside; }\n.item { list-style: none; }\n\n\n/* Header */\n\n#header-name {\n    margin-bottom: .25em;\n}\n\n#header-description {\n    margin-bottom: 0;\n}\n\n\n/* Assets */\n\n.asset-body,\n.asset-more,\n.asset-more-link,\n.asset-excerpt,\n.comment-content,\n.comment-footer,\n.comments-open-content,\n.comments-open-footer,\n.comments-closed,\n.trackbacks-info,\n.trackback-content,\n.trackback-footer,\n.archive-content {\n    clear: both;\n}\n\n.asset,\n.comments,\n.trackbacks,\n.archive {\n    overflow: hidden;\n    width: 100%;\n}\n\n.asset,\n.asset-content,\n.comments,\n.trackbacks,\n.archive {\n    position: static;\n    clear: both;\n}\n\n.asset,\n.comments,\n.comments-content,\n.trackbacks,\n.archive,\n.search-form {\n    margin-bottom: 1.5em;\n}\n\n.asset-header,\n.asset-content,\n.asset-body,\n.comments-header,\n.comment-header,\n.comment-content,\n.comment-footer,\n.comments-open-header,\n.comments-open-content,\n#comments-open-footer,\n.comments-closed,\n#comment-form-external-auth,\n.comments-open-moderated,\n#comment-form-name,\n#comment-form-email,\n#comment-form-url,\n#comment-form-remember-me,\n#comments-open-text,\n.trackbacks-header,\n.trackbacks-info,\n.trackback-content,\n.trackback-footer,\n.archive-content,\n.search-form-header,\n.search-results-header {\n    margin-bottom: .75em;\n}\n\n.entry-categories,\n.entry-tags {\n    margin-bottom: .5em;\n}\n\n.asset-name {\n    margin-bottom: .25em;\n}\n\n.asset-footer,\n.asset-meta {\n    font-size: 11px;\n}\n\n.asset-meta {\n    margin-top: .25em;\n    padding-top: 2px;\n    padding-bottom: .3em;\n    font-weight: normal;\n}\n\n.asset-footer {\n    margin-top: 1.5em;\n    padding-top: .5em;\n}\n\n.content-nav {\n    text-align: center;\n}\n\n.entry-tags-header,\n.entry-categories-header {\n    margin-bottom: 0;\n    margin-right: .25em;\n    display: inline;\n    font-weight: bold;\n}\n\n.entry-tags-list,\n.entry-categories-list {\n    display: inline;\n    list-style: none;\n    margin-left: 0;\n    padding-left: 0;\n}\n.entry-tags-list .entry-tag,\n.entry-categories-list .entry-category {\n    display: inline;\n}\n\n.mt-image-left {\n    float: left;\n    margin: 0 20px 20px 0;\n}\n\n.mt-image-center {\n    display: block;\n    margin: 0 auto 20px;\n    text-align: center;\n}\n\n.mt-image-right {\n    float: right;\n    margin: 0 0 20px 20px;\n}\n\n\n/* Feedback */\n\n.comments-open label {\n    display: block;\n}\n\n#comment-author, #comment-email, #comment-url, #comment-text {\n    width: 80%;\n}\n\n#comment-bake-cookie {\n    margin-left: 0;\n    vertical-align: middle;\n}\n\n#comment-submit {\n    font-weight: bold;\n}\n\n\n/* Widgets */\n\n.widget {\n    position: relative;\n    overflow: hidden;\n    width: 100%;\n}\n\n.widget-content {\n    position: relative;\n    margin: 5px 0 20px;\n}\n\n.widget-list,\n.archive-list {\n    margin: 0;\n    padding: 0;\n    list-style: none;\n}\n\n.widget-list .widget-list {\n    margin-left: 15px;\n}\n\n.widget-list-item {\n    margin-top: 5px;\n    margin-bottom: 5px;\n}\n\n.widget-cloud .widget-list {\n    margin-right: 0;\n    margin-left: 0;\n}\n\n.widget-cloud .widget-list-item {\n    display: inline;\n    margin: 0 5px 0 0;\n    padding: 0;\n    line-height: 1.2;\n    background: none;\n}\n\n.widget-cloud .rank-1  { font-size: 1.75em; }\n.widget-cloud .rank-2  { font-size: 1.75em; }\n.widget-cloud .rank-3  { font-size: 1.625em; }\n.widget-cloud .rank-4  { font-size: 1.5em; }\n.widget-cloud .rank-5  { font-size: 1.375em; }\n.widget-cloud .rank-6  { font-size: 1.25em; }\n.widget-cloud .rank-7  { font-size: 1.125em; }\n.widget-cloud .rank-8  { font-size: 1em; }\n.widget-cloud .rank-9  { font-size: 0.95em; }\n.widget-cloud .rank-10 { font-size: 0.9em; }\n\n#footer .widget-content {\n    margin-top: 0;\n    margin-bottom: 0;\n}\n\n.widget-assets .widget-content .widget-list {\n    overflow: auto;\n    margin-right: 0;\n}\n\n.item {\n    display: inline;\n    float: left;\n    margin: 0pt 5px 8px;\n    overflow: hidden;\n    text-align: center;\n    vertical-align: middle;\n    width: 70px;\n}\n\n.widget-search .search-options,\n.widget-syndicate .blog-feeds  {\n    list-style: none;\n    margin: 5px 0;\n}','index'),(2,1,0,1, NOW(),'archive_index',NULL,NULL,NULL,NULL,NULL, NOW(),'Archive Index','archives.html',1,'<MTSetVar name=\"body_class\" value=\"mt-archive-index\">\n<MTSetVar name=\"main_template\" value=\"1\">\n<MTSetVar name=\"archive_index\" value=\"1\">\n<MTSetVar name=\"sidebar\" value=\"1\">\n<MTSetVar name=\"module_about_context\" value=\"1\">\n<MTSetVarBlock name=\"page_title\">Archives</MTSetVarBlock>\n\n<$MTInclude module=\"Header\"$>\n\n<h1 class=\"archive-title\"><$MTGetVar name=\"page_title\"$></h1>\n\n<MTIfArchiveTypeEnabled archive_type=\"Individual\">\n<div class=\"archive-individual archive-date-based archive\">\n    <MTArchiveList archive_type=\"Individual\">\n        <MTArchiveListHeader>\n    <div class=\"archive-content\">\n        <ul class=\"archive-list\">\n        </MTArchiveListHeader>\n            <li class=\"archive-list-item\"><$MTArchiveDate format=\"%Y.%m.%d\"$>: <a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$></a></li>\n        <MTArchiveListFooter>\n        </ul>\n    </div>\n        </MTArchiveListFooter>\n    </MTArchiveList>\n</div>\n</MTIfArchiveTypeEnabled>\n\n<MTIfArchiveTypeEnabled archive_type=\"Monthly\">\n<div class=\"archive-monthly archive-date-based archive\">\n    <MTArchiveList archive_type=\"Monthly\">\n        <MTArchiveListHeader>\n    <h2 class=\"archive-header\">Monthly Archives</h2>\n    <div class=\"archive-content\">\n        <ul class=\"archive-list\">\n        </MTArchiveListHeader>\n            <li class=\"archive-list-item\"><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$></a></li>\n        <MTArchiveListFooter>\n        </ul>\n    </div>\n        </MTArchiveListFooter>\n    </MTArchiveList>\n</div>\n</MTIfArchiveTypeEnabled>\n\n<MTIfArchiveTypeEnabled archive_type=\"Category\">\n<div class=\"archive-category archive\">\n    <h2 class=\"archive-header\">Categories</h2>\n    <div class=\"archive-content\">\n    <MTTopLevelCategories>\n        <MTSubCatIsFirst>\n        <ul class=\"archive-list\">\n        </MTSubCatIsFirst>\n        <MTIfNonZero tag=\"MTCategoryCount\">\n            <li class=\"archive-list-item\"><a href=\"<$MTCategoryArchiveLink$>\" title=\"<$MTCategoryDescription$>\"><$MTCategoryLabel$></a>\n        <MTElse>\n            <li class=\"archive-list-item\"><$MTCategoryLabel$>\n        </MTIfNonZero>\n        <MTSubCatsRecurse>\n            </li>\n        <MTSubCatIsLast>\n        </ul>\n        </MTSubCatIsLast>\n    </MTTopLevelCategories>\n    </div>\n</div>\n</MTIfArchiveTypeEnabled>\n\n<MTIfArchiveTypeEnabled archive_type=\"Author\">\n<div class=\"archive-author archive\">\n    <MTArchiveList archive_type=\"Author\">\n        <MTArchiveListHeader>\n    <h2 class=\"archive-header\">Author Archives</h2>\n    <div class=\"archive-content\">\n        <ul class=\"archive-list\">\n        </MTArchiveListHeader>\n            <li class=\"archive-list-item\"><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$></a></li>\n        <MTArchiveListFooter>\n        </ul>\n    </div>\n        </MTArchiveListFooter>\n    </MTArchiveList>\n</div>\n</MTIfArchiveTypeEnabled>\n\n<MTIfArchiveTypeEnabled archive_type=\"Category-Monthly\">\n<div class=\"archive-category-monthly archive\">\n    <MTArchiveList archive_type=\"Category-Monthly\">\n        <MTArchiveListHeader>\n    <h2 class=\"archive-header\">Category Monthly Archives</h2>\n    <div class=\"archive-content\">\n        <ul class=\"archive-list\">\n        </MTArchiveListHeader>\n            <li class=\"archive-list-item\"><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$></a></li>\n        <MTArchiveListFooter>\n        </ul>\n    </div>\n        </MTArchiveListFooter>\n    </MTArchiveList>\n</div>\n</MTIfArchiveTypeEnabled>\n\n<MTIfArchiveTypeEnabled archive_type=\"Author-Monthly\">\n<div class=\"archive-author-monthly archive\">\n    <MTArchiveList archive_type=\"Author-Monthly\">\n        <MTArchiveListHeader>\n    <h2 class=\"archive-header\">Author Monthly Archives</h2>\n    <div class=\"archive-content\">\n        <ul class=\"archive-list\">\n        </MTArchiveListHeader>\n            <li class=\"archive-list-item\"><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$></a></li>\n        <MTArchiveListFooter>\n        </ul>\n    </div>\n        </MTArchiveListFooter>\n    </MTArchiveList>\n</div>\n</MTIfArchiveTypeEnabled>\n\n<$MTInclude module=\"Footer\"$>\n','index'),(3,1,0,1, NOW(),'main_index',NULL,NULL,NULL,NULL,NULL, NOW(),'Main Index','index.html',1,'<MTSetVar name=\"body_class\" value=\"mt-main-index\">\n<MTSetVar name=\"main_template\" value=\"1\">\n<MTSetVar name=\"main_index\" value=\"1\">\n<MTSetVar name=\"sidebar\" value=\"1\">\n<MTSetVar name=\"module_recent_entries\" value=\"1\">\n<MTSetVar name=\"module_category_archives\" value=\"1\">\n<MTSetVar name=\"module_author_archives\" value=\"1\">\n<MTSetVar name=\"module_monthly_archives\" value=\"1\">\n\n<$MTInclude module=\"Header\"$>\n\n<MTEntries>\n    <$MTEntryTrackbackData$>\n    <$MTInclude module=\"Entry Summary\"$>\n</MTEntries>\n\n<div class=\"content-nav\">\n    <a href=\"<$MTLink template=\"archive_index\"$>\">Archives</a>\n</div>\n\n<$MTInclude module=\"Footer\"$>\n','index'),(4,1,0,1, NOW(),'styles',NULL,NULL,NULL,NULL,NULL, NOW(),'Stylesheet - Main','styles.css',1,'@import url(<$MTLink template=\"base_theme\"$>);\n@import url(<$MTStaticWebPath$>themes/minimalist-red/screen.css);\n','index'),(5,1,0,1, NOW(),'javascript',NULL,NULL,NULL,NULL,NULL, NOW(),'JavaScript','mt.js',1,'// Copyright (c) 1996-1997 Athenia Associates.\n// http://www.webreference.com/js/\n// License is granted if and only if this entire\n// copyright notice is included. By Tomer Shiran.\n\nfunction setCookie (name, value, expires, path, domain, secure) {\n    var curCookie = name + \"=\" + escape(value) + (expires ? \"; expires=\" + expires : \"\") +\n        (path ? \"; path=\" + path : \"\") + (domain ? \"; domain=\" + domain : \"\") + (secure ? \"secure\" : \"\");\n    document.cookie = curCookie;\n}\n\nfunction getCookie (name) {\n    var prefix = name + \'=\';\n    var c = document.cookie;\n    var nullstring = \'\';\n    var cookieStartIndex = c.indexOf(prefix);\n    if (cookieStartIndex == -1)\n        return nullstring;\n    var cookieEndIndex = c.indexOf(\";\", cookieStartIndex + prefix.length);\n    if (cookieEndIndex == -1)\n        cookieEndIndex = c.length;\n    return unescape(c.substring(cookieStartIndex + prefix.length, cookieEndIndex));\n}\n\nfunction deleteCookie (name, path, domain) {\n    if (getCookie(name))\n        document.cookie = name + \"=\" + ((path) ? \"; path=\" + path : \"\") +\n            ((domain) ? \"; domain=\" + domain : \"\") + \"; expires=Thu, 01-Jan-70 00:00:01 GMT\";\n}\n\nfunction fixDate (date) {\n    var base = new Date(0);\n    var skew = base.getTime();\n    if (skew > 0)\n        date.setTime(date.getTime() - skew);\n}\n\nfunction rememberMe (f) {\n    var now = new Date();\n    fixDate(now);\n    now.setTime(now.getTime() + 365 * 24 * 60 * 60 * 1000);\n    now = now.toGMTString();\n    if (f.author != undefined)\n       setCookie(\'mtcmtauth\', f.author.value, now, \'/\', \'\', \'\');\n    if (f.email != undefined)\n       setCookie(\'mtcmtmail\', f.email.value, now, \'/\', \'\', \'\');\n    if (f.url != undefined)\n       setCookie(\'mtcmthome\', f.url.value, now, \'/\', \'\', \'\');\n}\n\nfunction forgetMe (f) {\n    deleteCookie(\'mtcmtmail\', \'/\', \'\');\n    deleteCookie(\'mtcmthome\', \'/\', \'\');\n    deleteCookie(\'mtcmtauth\', \'/\', \'\');\n    f.email.value = \'\';\n    f.author.value = \'\';\n    f.url.value = \'\';\n}\n\nfunction hideDocumentElement(id) {\n    var el = document.getElementById(id);\n    if (el) el.style.display = \'none\';\n}\n\nfunction showDocumentElement(id) {\n    var el = document.getElementById(id);\n    if (el) el.style.display = \'block\';\n}\n\nfunction showAnonymousForm() {\n    showDocumentElement(\'comments-form\');\n<MTIfNonEmpty tag=\"MTCaptchaFields\">\n    captcha_timer = setInterval(\'delayShowCaptcha()\', 1000);\n</MTIfNonEmpty>\n}\n<MTIfNonEmpty tag=\"MTCaptchaFields\">\nvar captcha_timer;\nfunction delayShowCaptcha() {\n    clearInterval(captcha_timer);\n    var div = document.getElementById(\'comments-open-captcha\');\n    if (div) {\n        div.innerHTML = \'<$MTCaptchaFields$>\';\n    }\n}\n</MTIfNonEmpty>\n\nvar commenter_name;\nvar commenter_blog_ids;\nvar is_preview;\nvar mtcmtmail;\nvar mtcmtauth;\nvar mtcmthome;\n\nfunction individualArchivesOnLoad(commenter_name) {\n<MTIfCommentsAccepted>\n<MTElse>\n    hideDocumentElement(\'comments-open\');\n</MTIfCommentsAccepted>\n<MTIfPingsAccepted>\n<MTElse>\n    hideDocumentElement(\'trackbacks-info\');\n</MTIfPingsAccepted>\n<MTIfRegistrationAllowed>\n    <MTIfRegistrationRequired>\n    if ( commenter_name &&\n         ( !commenter_id\n        || commenter_blog_ids.indexOf(\"\'<$MTBlogID$>\'\") > -1))\n    {\n        hideDocumentElement(\'comment-form-name\');\n        hideDocumentElement(\'comment-form-email\');\n        showDocumentElement(\'comments-open-text\');\n        showDocumentElement(\'comments-open-footer\');\n    } else {\n        hideDocumentElement(\'comments-open-data\');\n        hideDocumentElement(\'comments-open-text\');\n        hideDocumentElement(\'comments-open-footer\');\n    }\n    <MTElse>\n    // comments are allowed but registration not required\n    if ( commenter_name &&\n         ( !commenter_id\n        || commenter_blog_ids.indexOf(\"\'<$MTBlogID$>\'\") > -1))\n    {\n        hideDocumentElement(\'comment-form-name\');\n        hideDocumentElement(\'comment-form-email\');\n    } else if (is_preview) {\n        delayShowCaptcha();\n    } else {\n        hideDocumentElement(\'comments-form\');\n    }\n    </MTIfRegistrationRequired>\n</MTIfRegistrationAllowed>\n\n    if (document.comments_form) {\n        if (!commenter_name && (document.comments_form.email != undefined) &&\n            (mtcmtmail = getCookie(\"mtcmtmail\")))\n            document.comments_form.email.value = mtcmtmail;\n        if (!commenter_name && (document.comments_form.author != undefined) &&\n            (mtcmtauth = getCookie(\"mtcmtauth\")))\n            document.comments_form.author.value = mtcmtauth;\n        if (document.comments_form.url != undefined &&\n            (mtcmthome = getCookie(\"mtcmthome\")))\n            document.comments_form.url.value = mtcmthome;\n        if (document.comments_form[\"bakecookie\"]) {\n            if (mtcmtauth || mtcmthome) {\n                document.comments_form.bakecookie.checked = true;\n            } else {\n                document.comments_form.bakecookie.checked = false;\n            }\n        }\n    }\n}\n\nfunction writeCommenterGreeting(commenter_name, entry_id, blog_id, commenter_id, commenter_url) {\n<MTIfRegistrationAllowed>\n    if ( commenter_name &&\n         ( !commenter_id\n        || commenter_blog_ids.indexOf(\"\'\" + blog_id + \"\'\") > -1))\n    {\n        var url;\n        if (commenter_id) {\n            url = \'<$MTCGIPath$><$MTCommentScript$>?__mode=edit_profile&commenter=\' + commenter_id + \'&blog_id=\' + blog_id;\n            if (entry_id) {\n                url += \'&entry_id=\' + entry_id;\n            } else {\n                url += \'&static=1\';\n            }\n        } else if (commenter_url) {\n            url = commenter_url;\n        } else {\n            url = null;\n        }\n        var content = \'Thanks for signing in, \';\n        if (url) {\n            content += \'<a href=\"\' + url + \'\">\' + commenter_name + \'</a>\';\n        } else {\n            content += commenter_name;\n        }\n        content += \'. Now you can comment. (<a href=\"<$MTRemoteSignOutLink static=\"1\"$>&entry_id=\' + entry_id + \'\">sign out</a>)\';\n        document.write(content);\n    } else if (commenter_name) {\n            document.write(\'You do not have permission to comment on this blog. (<a href=\"<$MTRemoteSignOutLink static=\"1\"$>&entry_id=\' + entry_id + \'\">sign out</a>)\');\n    } else {\n<MTIfRegistrationRequired>\n        document.write(\'<a href=\"<$MTCGIPath$><$MTCommentScript$>?__mode=login&entry_id=\' + entry_id + \'&blog_id=\' + blog_id + \'&static=1\">Sign in\' + \'</a>\' + \' to comment on this entry.\');\n<MTElse>\n        document.write(\'<a href=\"<$MTCGIPath$><$MTCommentScript$>?__mode=login&entry_id=\' + entry_id + \'&blog_id=\' + blog_id + \'&static=1\">Sign in\' + \'</a>\' + \' to comment on this entry, or <a href=\"javascript:void(0);\" onclick=\"showAnonymousForm();\">comment anonymously.</a>\');\n</MTIfRegistrationRequired>\n    }\n</MTIfRegistrationAllowed>\n}\n\n<MTIfRegistrationAllowed>\nif (\'<$MTCGIHost exclude_port=\"1\"$>\' != \'<$MTBlogHost exclude_port=\"1\"$>\') {\n    document.write(\'<script src=\"<$MTCGIPath$><$MTCommentScript$>?__mode=cmtr_name_js\"></script>\');\n} else {\n    commenter_name = getCookie(\'commenter_name\');\n    ids = getCookie(\'commenter_id\').split(\':\');\n    commenter_id = ids[0];\n    commenter_blog_ids = ids[1];\n    commenter_url = getCookie(\'commenter_url\');\n}\n</MTIfRegistrationAllowed>\n','index'),(6,1,0,1, NOW(),'rsd',NULL,NULL,NULL,NULL,NULL, NOW(),'RSD','rsd.xml',1,'<$MTHTTPContentType type=\"application/rsd+xml\"$><?xml version=\"1.0\"?>\n<rsd version=\"1.0\" xmlns=\"http://archipelago.phrasewise.com/rsd\">\n<service>\n<engineName><$MTProductName version=\"1\"$></engineName>\n<engineLink>http://www.sixapart.com/movabletype/</engineLink>\n<homePageLink><$MTBlogURL$></homePageLink>\n<apis>\n<api name=\"MetaWeblog\" preferred=\"true\" apiLink=\"<$MTCGIPath$><$MTXMLRPCScript$>\" blogID=\"<$MTBlogID$>\" />\n<api name=\"MovableType\" preferred=\"false\" apiLink=\"<$MTCGIPath$><$MTXMLRPCScript$>\" blogID=\"<$MTBlogID$>\" />\n<api name=\"Blogger\" preferred=\"false\" apiLink=\"<$MTCGIPath$><$MTXMLRPCScript$>\" blogID=\"<$MTBlogID$>\" />\n<api name=\"Atom\" preferred=\"false\" apiLink=\"<$MTCGIPath$><$MTAtomScript$>/weblog\" blogID=\"<$MTBlogID$>\" />\n</apis>\n</service>\n</rsd>\n','index'),(7,1,0,1, NOW(),'atom',NULL,NULL,NULL,NULL,NULL, NOW(),'Atom','atom.xml',1,'<$MTHTTPContentType type=\"application/atom+xml\"$><?xml version=\"1.0\" encoding=\"<$MTPublishCharset$>\"?>\n<feed xmlns=\"http://www.w3.org/2005/Atom\">\n    <title><$MTBlogName remove_html=\"1\" encode_xml=\"1\"$></title>\n    <link rel=\"alternate\" type=\"text/html\" href=\"<$MTBlogURL encode_xml=\"1\"$>\" />\n    <link rel=\"self\" type=\"application/atom+xml\" href=\"<$MTLink template=\"atom\"$>\" />\n    <id>tag:<$MTBlogHost exclude_port=\"1\" encode_xml=\"1\"$>,<$MTTemplateCreatedOn format=\"%Y-%m-%d\"$>:<$MTBlogRelativeURL encode_xml=\"1\"$>/<$MTBlogID$></id>\n    <updated><MTEntries lastn=\"1\"><$MTEntryModifiedDate utc=\"1\" format=\"%Y-%m-%dT%H:%M:%SZ\"$></MTEntries></updated>\n    <MTIfNonEmpty tag=\"MTBlogDescription\"><subtitle><$MTBlogDescription remove_html=\"1\" encode_xml=\"1\"$></subtitle></MTIfNonEmpty>\n    <generator uri=\"http://www.sixapart.com/movabletype/\"><$MTProductName version=\"1\"$></generator>\n<MTEntries lastn=\"15\">\n<entry>\n    <title><$MTEntryTitle remove_html=\"1\" encode_xml=\"1\"$></title>\n    <link rel=\"alternate\" type=\"text/html\" href=\"<$MTEntryPermalink encode_xml=\"1\"$>\" />\n    <id><$MTEntryAtomID$></id>\n\n    <published><$MTEntryDate utc=\"1\" format=\"%Y-%m-%dT%H:%M:%SZ\"$></published>\n    <updated><$MTEntryModifiedDate utc=\"1\" format=\"%Y-%m-%dT%H:%M:%SZ\"$></updated>\n\n    <summary><$MTEntryExcerpt remove_html=\"1\" encode_xml=\"1\"$></summary>\n    <author>\n        <name><$MTEntryAuthorDisplayName encode_xml=\"1\"$></name>\n        <MTIfNonEmpty tag=\"MTEntryAuthorURL\"><uri><$MTEntryAuthorURL encode_xml=\"1\"$></uri></MTIfNonEmpty>\n    </author>\n    <MTEntryCategories>\n        <category term=\"<$MTCategoryLabel encode_xml=\"1\"$>\" scheme=\"http://www.sixapart.com/ns/types#category\" />\n    </MTEntryCategories>\n    <MTEntryIfTagged><MTEntryTags><category term=\"<$MTTagName normalize=\"1\" encode_xml=\"1\"$>\" label=\"<$MTTagName encode_xml=\"1\"$>\" scheme=\"http://www.sixapart.com/ns/types#tag\" />\n    </MTEntryTags></MTEntryIfTagged>\n    <content type=\"html\" xml:lang=\"<$MTBlogLanguage ietf=\"1\"$>\" xml:base=\"<$MTBlogURL encode_xml=\"1\"$>\">\n        <$MTEntryBody encode_xml=\"1\"$>\n        <$MTEntryMore encode_xml=\"1\"$>\n    </content>\n</entry>\n</MTEntries>\n</feed>\n','index'),(8,1,0,1, NOW(),'rss',NULL,NULL,NULL,NULL,NULL, NOW(),'RSS','rss.xml',1,'<$MTHTTPContentType type=\"application/rss+xml\"$><?xml version=\"1.0\" encoding=\"<$MTPublishCharset$>\"?>\n<rss version=\"2.0\">\n    <channel>\n        <title><$MTBlogName remove_html=\"1\" encode_xml=\"1\"$></title>\n        <link><$MTBlogURL$></link>\n        <description><$MTBlogDescription remove_html=\"1\" encode_xml=\"1\"$></description>\n        <language><$MTBlogLanguage ietf=\"1\"$></language>\n        <copyright>Copyright <$MTDate format=\"%Y\"$></copyright>\n        <lastBuildDate><MTEntries lastn=\"1\"><$MTEntryDate format_name=\"rfc822\"$></MTEntries></lastBuildDate>\n        <generator>http://www.sixapart.com/movabletype/</generator>\n        <docs>http://www.rssboard.org/rss-specification</docs>\n        <MTEntries lastn=\"15\">\n        <item>\n            <title><$MTEntryTitle remove_html=\"1\" encode_xml=\"1\"$></title>\n            <description><$MTEntryBody encode_xml=\"1\"$></description>\n            <link><$MTEntryPermalink encode_xml=\"1\"$></link>\n            <guid><$MTEntryPermalink encode_xml=\"1\"$></guid>\n            <MTEntryCategories>\n                <category domain=\"http://www.sixapart.com/ns/types#category\"><$MTCategoryLabel remove_html=\"1\" encode_xml=\"1\"$></category>\n            </MTEntryCategories>\n            <MTEntryIfTagged><MTEntryTags>\n                <category domain=\"http://www.sixapart.com/ns/types#tag\"><$MTTagName remove_html=\"1\" encode_xml=\"1\"$></category>\n            </MTEntryTags></MTEntryIfTagged>\n            <pubDate><$MTEntryDate format_name=\"rfc822\"$></pubDate>\n        </item>\n        </MTEntries>\n    </channel>\n</rss>\n','index'),(9,1,0,1, NOW(),'page',NULL,NULL,NULL,NULL,NULL, NOW(),'Page',NULL,1,'<MTSetVar name=\"body_class\" value=\"mt-archive-listing mt-page-archive\">\n<MTSetVar name=\"sidebar\" value=\"1\">\n<MTSetVar name=\"body_onload\" value=\"individualArchivesOnLoad(commenter_name)\">\n<MTSetVarBlock name=\"page_title\"><$MTPageTitle remove_html=\"1\"$></MTSetVarBlock>\n\n<$MTInclude module=\"Header\"$>\n\n<$MTInclude module=\"Page Detail\"$>\n\n<$MTInclude module=\"TrackBacks\"$>\n\n<$MTInclude module=\"Comments\"$>\n\n<$MTInclude module=\"Footer\"$>\n','page'),(10,1,0,1, NOW(),'entry_listing',NULL,NULL,NULL,NULL,NULL, NOW(),'Entry Listing',NULL,1,'<MTSetVarBlock name=\"body_class\">mt-archive-listing mt-<MTVar name=\"archive_class\"></MTSetVarBlock>\n<MTSetVar name=\"sidebar\" value=\"1\">\n<MTSetVar name=\"module_about_context\" value=\"1\">\n\n<MTSetVarBlock name=\"page_title\"><$MTArchiveTitle$> Archives</MTSetVarBlock>\n\n<$MTInclude module=\"Header\"$>\n\n<h1 class=\"archive-title\">\n<MTUnless name=\"datebased_archive\">\n    <MTIfArchiveType archive_type=\"Category\">\nRecently in <em><$MTArchiveTitle$></em> Category\n    </MTIfArchiveType>\n    <MTIfArchiveType archive_type=\"Author\">\nRecently by <em><$MTArchiveTitle$></em>\n    </MTIfArchiveType>\n<MTElse>\n<$MTGetVar name=\"page_title\"$>\n</MTUnless>\n</h1>\n\n<MTIf name=\"datebased_archive\">\n    <MTEntries>\n<$MTEntryTrackbackData$>\n<$MTInclude module=\"Entry Summary\"$>\n    </MTEntries>\n<MTElse>\n    <MTEntries limit=\"auto\">\n<$MTEntryTrackbackData$>\n<$MTInclude module=\"Entry Summary\"$>\n    </MTEntries>\n</MTIf>\n\n<div class=\"content-nav\">\n    <MTArchivePrevious>\n    <a href=\"<$MTArchiveLink$>\">&laquo; <$MTArchiveTitle$></a> |\n    </MTArchivePrevious>\n    <a href=\"<$MTLink template=\"main_index\"$>\">Main Index</a> |\n    <a href=\"<$MTLink template=\"archive_index\"$>\">Archives</a>\n    <MTArchiveNext>\n    | <a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$> &raquo;</a>\n    </MTArchiveNext>\n</div>\n\n<$MTInclude module=\"Footer\"$>\n','archive'),(11,1,0,1, NOW(),'comment_response',NULL,NULL,NULL,NULL,NULL, NOW(),'Comment Response',NULL,1,'<MTSetVar name=\"page_layout\" value=\"layout-one-column\">\n<MTSetVar name=\"system_template\" value=\"1\">\n\n<MTIf name=\"body_class\" eq=\"mt-comment-confirmation\">\n    <MTSetVarBlock name=\"page_title\">Comment Submitted</MTSetVarBlock>\n\n    <MTSetVar name=\"heading\" value=\"Confirmation...\">\n\n    <MTSetVarBlock name=\"message\">\n    <p>Your comment has been submitted!</p>\n    </MTSetVarBlock>\n</MTIf>\n\n<MTIf name=\"body_class\" eq=\"mt-comment-pending\">\n    <MTSetVarBlock name=\"page_title\">Comment Pending</MTSetVarBlock>\n\n    <MTSetVar name=\"heading\" value=\"Thank you for commenting.\">\n\n    <MTSetVarBlock name=\"message\">\n    <p>Your comment has been received and held for approval by the blog owner.</p>\n    </MTSetVarBlock>\n\n</MTIf>\n\n<MTIf name=\"body_class\" eq=\"mt-comment-error\">\n    <MTSetVarBlock name=\"page_title\">Comment Submission Error</MTSetVarBlock>\n\n    <MTSetVar name=\"heading\" value=\"$page_title\">\n\n    <MTSetVarBlock name=\"message\">\n    <p>Your comment submission failed for the following reasons:</p>\n    <blockquote>\n        <$MTErrorMessage$>\n    </blockquote>\n    </MTSetVarBlock>\n</MTIf>\n\n<$MTInclude module=\"Header\"$>\n\n<h1><$MTGetVar name=\"heading\"$></h1>\n\n<$MTGetVar name=\"message\"$>\n\n<p>Return to the <a href=\"<$MTEntryLink$>\">original entry</a>.</p>\n\n<$MTInclude module=\"Footer\"$>\n','comment_response'),(12,1,0,1, NOW(),'popup_image',NULL,NULL,NULL,NULL,NULL, NOW(),'Popup Image',NULL,1,'<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\"\n    \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\n<html xmlns=\"http://www.w3.org/1999/xhtml\" id=\"sixapart-standard\">\n<body id=\"uploaded-image-popup\" class=\"popup\" style=\"margin: 0;padding: 0;\">\n<div id=\"popup-container\">\n    <div id=\"popup-container\">\n        <img src=\"<$MTImageURL$>\" width=\"<$MTImageWidth$>\" height=\"<$MTImageHeight$>\" style=\"margin: 0;padding: 0;border: 0;\" />\n    </div>\n</div>\n</body>\n</html>\n','popup_image'),(13,1,0,1, NOW(),'dynamic_error',NULL,NULL,NULL,NULL,NULL, NOW(),'Dynamic Error',NULL,1,'<MTSetVar name=\"page_layout\" value=\"layout-one-column\">\n<MTSetVar name=\"body_class\" value=\"mt-dynamic-error\">\n<MTSetVar name=\"system_template\" value=\"1\">\n<MTSetVar name=\"dynamic_error_template\" value=\"1\">\n<MTSetVarBlock name=\"page_title\">Page Not Found</MTSetVarBlock>\n\n<$MTInclude module=\"Header\"$>\n\n<h1><$MTGetVar name=\"page_title\"$></h1>\n<blockquote>\n    <strong><$MTErrorMessage$></strong>\n</blockquote>\n\n<$MTInclude module=\"Footer\"$>\n','dynamic_error'),(14,1,0,1, NOW(),'comment_preview',NULL,NULL,NULL,NULL,NULL, NOW(),'Comment Preview',NULL,1,'<MTSetVar name=\"page_layout\" value=\"layout-one-column\">\n<MTSetVar name=\"body_class\" value=\"mt-comment-preview\">\n<MTSetVar name=\"body_onload\" value=\"individualArchivesOnLoad(commenter_name)\">\n<MTSetVar name=\"system_template\" value=\"1\">\n<MTSetVar name=\"comment_preview_template\" value=\"1\">\n<MTSetVar name=\"feedback_template\" value=\"1\">\n<MTSetVarBlock name=\"page_title\">Comment on <$MTEntryTitle$></MTSetVarBlock>\n\n<$MTInclude module=\"Header\"$>\n\n<h1>Previewing your Comment</h1>\n\n<$MTInclude module=\"Comment Detail\"$>\n\n<$MTInclude module=\"Comments\"$>\n\n<$MTInclude module=\"Footer\"$>\n','comment_preview'),(15,1,0,1, NOW(),'search_results',NULL,NULL,NULL,NULL,NULL, NOW(),'Search Results',NULL,1,'<MTSetVar name=\"body_class\" value=\"mt-search-results\">\n<MTSetVar name=\"system_template\" value=\"1\">\n<MTSetVar name=\"search_results_template\" value=\"1\">\n<MTSetVar name=\"sidebar\" value=\"1\">\n<MTSetVarBlock name=\"page_title\">Search Results</MTSetVarBlock>\n<MTIfStraightSearch>\n    <MTSetVar name=\"search_type\" value=\"search\">\n<MTElse>\n    <MTSetVar name=\"search_type\" value=\"tag\">\n</MTIfStraightSearch>\n<$MTInclude module=\"Header\"$>\n\n<MTSearchResults>\n    <MTBlogResultHeader>\n<h1 class=\"search-results-header\">\n        <MTIfStraightSearch>\n    Results matching &ldquo;<$MTSearchString$>&rdquo; from <$MTBlogName encode_html=\"1\"$>\n        </MTIfStraightSearch>\n        <MTIfTagSearch>\n    Results tagged &ldquo;<$MTSearchString$>&rdquo; from <$MTBlogName encode_html=\"1\"$>\n        </MTIfTagSearch>\n</h1>\n<div class=\"search-results-container\">\n    </MTBlogResultHeader>\n    <$MTInclude module=\"Entry Summary\"$>\n    <MTBlogResultFooter>\n</div>\n    </MTBlogResultFooter>\n</MTSearchResults>\n\n<MTNoSearchResults>\n<h1 class=\"search-results-header\">\n    <MTIfStraightSearch>\n    Results matching &ldquo;<$MTSearchString$>&rdquo;\n    </MTIfStraightSearch>\n    <MTIfTagSearch>\n    Results tagged &ldquo;<$MTSearchString$>&rdquo;\n    </MTIfTagSearch>\n</h1>\n<p>No results found for &ldquo;<$MTSearchString$>&rdquo;.</p>\n</MTNoSearchResults>\n\n<MTNoSearch>\n<h1 class=\"search-results-header\">Instructions</h1>\n<p>By default, this search engine looks for all words in any order. To search for an exact phrase, enclose the phrase in quotes:</p>\n<blockquote>\n    <p><code>\"movable type\"</code></p>\n</blockquote>\n<p>The search engine also supports AND, OR, and NOT keywords to specify boolean expressions:</p>\n<blockquote>\n    <p><code>personal OR publishing</code></p>\n    <p><code>publishing NOT personal</code></p>\n</blockquote>\n</MTNoSearch>\n\n<$MTInclude module=\"Footer\"$>\n','search_results'),(16,1,0,1, NOW(),'entry',NULL,NULL,NULL,NULL,NULL, NOW(),'Entry',NULL,1,'<MTSetVar name=\"body_class\" value=\"mt-archive-listing mt-entry-archive\">\n<MTSetVar name=\"sidebar\" value=\"1\">\n<MTSetVar name=\"module_about_context\" value=\"1\">\n<MTSetVar name=\"body_onload\" value=\"individualArchivesOnLoad(commenter_name)\">\n<MTSetVarBlock name=\"page_title\"><$MTEntryTitle remove_html=\"1\"$></MTSetVarBlock>\n\n<$MTInclude module=\"Header\"$>\n\n<$MTInclude module=\"Entry Detail\"$>\n\n<$MTInclude module=\"TrackBacks\"$>\n\n<$MTInclude module=\"Comments\"$>\n\n<$MTInclude module=\"Footer\"$>\n','individual'),(17,1,0,1, NOW(),'comment_detail',NULL,NULL,NULL,NULL,NULL, NOW(),'Comment Detail',NULL,1,'<div class=\"comment\"<MTIfArchiveTypeEnabled archive_type=\"Individual\"> id=\"comment-<$MTCommentID$>\"</MTIfArchiveTypeEnabled>>\n    <div class=\"inner\">\n        <div class=\"comment-header\">\n            <$MTCommentAuthorLink default_name=\"Anonymous\" show_email=\"0\"$> <MTIfNonEmpty tag=\"CommentAuthorIdentity\"><$MTCommentAuthorIdentity$></MTIfNonEmpty> said:\n        </div>\n        <div class=\"comment-content\">\n            <$MTCommentBody$>\n        </div>\n        <div class=\"comment-footer\">\n            <a href=\"#comment-<$MTCommentID$>\" title=\"Permalink to this comment\"><$MTCommentDate format=\"%x %X\"$></a>\n        </div>\n    </div>\n</div>\n','custom'),(18,1,0,1, NOW(),'entry_summary',NULL,NULL,NULL,NULL,NULL, NOW(),'Entry Summary',NULL,1,'<div id=\"entry-<$MTEntryID$>\" class=\"entry-asset asset\">\n    <div class=\"asset-header\">\n        <h2 class=\"asset-name\"><a href=\"<$MTEntryPermalink$>\"><$MTEntryTitle$></a></h2>\n        <$MTInclude module=\"Entry Metadata\"$>\n    </div>\n    <div class=\"asset-content\">\n<MTIfNonEmpty tag=\"EntryBody\">\n        <div class=\"asset-body\">\n            <$MTEntryBody$>\n        </div>\n</MTIfNonEmpty>\n<MTIfTagSearch>\n        <$MTInclude module=\"Tags\"$>\n</MTIfTagSearch>\n<MTIfNonEmpty tag=\"EntryMore\" convert_breaks=\"0\">\n        <div class=\"asset-more-link\">\n            Continue reading <a href=\"<$MTEntryPermalink$>#more\"><$MTEntryTitle$></a>.\n        </div>\n</MTIfNonEmpty>\n    </div>\n    <div class=\"asset-footer\"></div>\n</div>\n','custom'),(19,1,0,1, NOW(),'sidebar_3col',NULL,NULL,NULL,NULL,NULL, NOW(),'Sidebar - 3 Column Layout',NULL,1,'<div id=\"beta\">\n    <div id=\"beta-inner\">\n<MTIf name=\"module_about_context\">\n        <div class=\"widget-welcome widget\">\n            <h3 class=\"widget-header\">\n    <MTIf name=\"entry_template\">\n                About this Entry\n    <MTElse>\n        <MTIf name=\"archive_template\">\n                About this Archive\n        </MTIf>\n    </MTIf>\n    <MTIf name=\"archive_index\">\n                About Archives\n    </MTIf>\n            </h3>\n            <div class=\"widget-content\">\n    <MTIf name=\"archive_index\">\n                <p>This page contains links to all the archived content.</p>\n    </MTIf>\n    <MTIf name=\"entry_template\">\n                <p class=\"first\">This page contains a single entry by <$MTEntryAuthorLink show_email=\"0\"$> published on <em><$MTEntryDate format=\"%x %X\"$></em>.</p>\n        <MTEntryPrevious>\n                <p><a href=\"<$MTEntryPermalink$>\"><$MTEntryTitle remove_html=\"1\"$></a> was the previous entry in this blog.</p>\n        </MTEntryPrevious>\n        <MTEntryNext>\n                <p><a href=\"<$MTEntryPermalink$>\"><$MTEntryTitle remove_html=\"1\"$></a> is the next entry in this blog.</p>\n        </MTEntryNext>\n    </MTIf>\n    <MTIf name=\"category_archive\">\n        <MTIf name=\"datebased_archive\">\n                <p class=\"first\">This page is a archive of entries in the <strong><$MTCategoryLabel$></strong> category from <strong><$MTArchiveDate format=\"%B %Y\"$></strong>.</p>\n            <MTArchivePrevious>\n                <p><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$></a> is the previous archive.</p>\n            </MTArchivePrevious>\n            <MTArchiveNext>\n                <p><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$></a> is the next archive.</p>\n            </MTArchiveNext>\n        <MTElse>\n                <p class=\"first\">This page is a archive of recent entries in the <strong><$MTCategoryLabel$></strong> category.</p>\n            <MTCategoryPrevious>\n                <p><a href=\"<$MTCategoryArchiveLink$>\"><$MTCategoryLabel$></a> is the previous category.</p>\n            </MTCategoryPrevious>\n            <MTCategoryNext>\n                <p><a href=\"<$MTCategoryArchiveLink$>\"><$MTCategoryLabel$></a> is the next category.</p>\n            </MTCategoryNext>\n        </MTIf>\n    </MTIf>\n    <MTIf name=\"author_archive\">\n        <MTIf name=\"datebased_archive\">\n                <p class=\"first\">This page is a archive of recent entries written by <strong><$MTAuthorDisplayName$></strong> in <strong><$MTArchiveDate format=\"%B %Y\"$></strong>.</p>\n            <MTArchivePrevious>\n                <p><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$></a> is the previous archive.</p>\n            </MTArchivePrevious>\n            <MTArchiveNext>\n                <p><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$></a> is the next archive.</p>\n            </MTArchiveNext>\n        <MTElse>\n                <p class=\"first\">This page is a archive of recent entries written by <strong><$MTAuthorDisplayName$></strong>.</p>\n        </MTIf>\n    </MTIf>\n    <MTIf name=\"datebased_only_archive\">\n                <p class=\"first\">This page is an archive of entries from <strong><$MTArchiveDate format=\"%B %Y\"$></strong> listed from newest to oldest.</p>\n        <MTArchivePrevious>\n                <p><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$></a> is the previous archive.</p>\n        </MTArchivePrevious>\n        <MTArchiveNext>\n                <p><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$></a> is the next archive.</p>\n        </MTArchiveNext>\n    </MTIf>\n    <MTIf name=\"archive_index\">\n                <p>Find recent content on the <a href=\"<$MTBlogURL$>\">main index</a>.</p>\n    <MTElse>\n                <p>Find recent content on the <a href=\"<$MTBlogURL$>\">main index</a> or look in the <a href=\"<$MTLink template=\"archive_index\"$>\">archives</a> to find all content.</p>\n    </MTIf>\n            </div>\n        </div>\n</MTIf>\n<MTIf name=\"main_index\">\n        <div class=\"widget-cloud widget\">\n            <h3 class=\"widget-header\">Tag Cloud</h3>\n            <div class=\"widget-content\">\n                <ul class=\"widget-list\">\n    <MTTags limit=\"20\" sort_by=\"rank\">\n                    <li class=\"rank-<$MTTagRank max=\"10\"$> widget-list-item\"><a href=\"<$MTTagSearchLink$>\"><$MTTagName$></a></li>\n    </MTTags>\n                </ul>\n            </div>\n        </div>\n</MTIf>\n<MTIf name=\"module_author_archives\">\n    <MTIfArchiveTypeEnabled archive_type=\"Author\">\n        <MTArchiveList archive_type=\"Author\">\n            <MTArchiveListHeader>\n        <div class=\"widget-authors widget\">\n            <h3 class=\"widget-header\">Author Archives</h3>\n            <div class=\"widget-content\">\n                <ul class=\"widget-list\">\n            </MTArchiveListHeader>\n                    <li class=\"widget-list-item\"><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$> (<$MTArchiveCount$>)</a></li>\n            <MTArchiveListFooter>\n                </ul>\n            </div>\n        </div>\n            </MTArchiveListFooter>\n        </MTArchiveList>\n    </MTIfArchiveTypeEnabled>\n</MTIf>\n<MTIf name=\"module_monthly_archives\">\n    <MTIfArchiveTypeEnabled archive_type=\"Monthly\">\n        <MTArchiveList archive_type=\"Monthly\">\n            <MTArchiveListHeader>\n        <div class=\"widget-archives widget\">\n            <h3 class=\"widget-header\"><$MTArchiveTypeLabel$> <a href=\"<$MTLink template=\"archive_index\"$>\">Archives</a></h3>\n            <div class=\"widget-content\">\n                <ul class=\"widget-list\">\n            </MTArchiveListHeader>\n                    <li class=\"widget-list-item\"><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$> (<$MTArchiveCount$>)</a></li>\n            <MTArchiveListFooter>\n                </ul>\n            </div>\n        </div>\n            </MTArchiveListFooter>\n        </MTArchiveList>\n    </MTIfArchiveTypeEnabled>\n</MTIf>\n<MTIf name=\"module_category-monthly_archives\">\n    <MTIfArchiveTypeEnabled archive_type=\"Category-Monthly\">\n        <div class=\"widget-categories widget\">\n            <h3 class=\"widget-header\"><$MTArchiveTitle$>: Monthly Archives</h3>\n            <div class=\"widget-content\">\n        <MTArchiveList archive_type=\"Category-Monthly\">\n            <MTArchiveListHeader>\n                <ul class=\"widget-list\">\n            </MTArchiveListHeader>\n                    <li class=\"widget-list-item\"><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$> (<$MTArchiveCount$>)</a></li>\n            <MTArchiveListFooter>\n                </ul>\n            </MTArchiveListFooter>\n        </MTArchiveList>\n            </div>\n        </div>\n    </MTIfArchiveTypeEnabled>\n</MTIf>\n<MTIf name=\"module_author-monthly_archives\">\n    <MTIfArchiveTypeEnabled archive_type=\"Author-Monthly\">\n        <MTArchiveList archive_type=\"Author-Monthly\">\n            <MTArchiveListHeader>\n        <div class=\"widget-categories widget\">\n            <h3 class=\"widget-header\"><$MTAuthorDisplayName$>: Monthly Archives</h3>\n            <div class=\"widget-content\">\n                <ul class=\"widget-list\">\n            </MTArchiveListHeader>\n                    <li class=\"widget-list-item\"><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$> (<$MTArchiveCount$>)</a></li>\n            <MTArchiveListFooter>\n                </ul>\n            </MTArchiveListFooter>\n        </MTArchiveList>\n            </div>\n        </div>\n    </MTIfArchiveTypeEnabled>\n</MTIf>\n        <div class=\"widget-syndicate widget\">\n            <div class=\"widget-content\">\n                <ul class=\"blog-feeds\">\n                    <li class=\"blog feed\"><img src=\"<$MTStaticWebPath$>images/status_icons/feed.gif\" alt=\"Subscribe to feed\" width=\"9\" height=\"9\" /> <a href=\"<$MTLink template=\"atom\"$>\">Subscribe to this blog\'s feed</a></li>\n    <MTIf name=\"search_results_template\">\n        <mt:ifnonempty tag=\"MTSearchString\">\n                    <li class=\"search-results-feed\"><img src=\"<$MTStaticWebPath$>images/status_icons/feed.gif\" alt=\"Subscribe to feed\" width=\"9\" height=\"9\" /> <a href=\"<$MTCGIPath$><$MTSearchScript$>?<MTIfTagSearch>tag<MTElse>search</MTIfTagSearch>=<$MTSearchString encode_url=\"1\"$>&amp;Template=feed&amp;IncludeBlogs=<$MTSearchIncludeBlogs$>\" title=\"Subscribe to feed\">Search results matching &ldquo;<$MTSearchString$>&rdquo;</a></li>\n        </mt:ifnonempty>\n    </MTIf>\n                </ul>\n            </div>\n        </div>\n        <div class=\"widget-powered widget\">\n            <div class=\"widget-content\">\n                <a href=\"http://www.movabletype.com/\"><img src=\"<$MTStaticWebPath$>images/mt4-bug-pbmt-white.png\" alt=\"Powered by Movable Type <$MTVersion$>\" width=\"120\" height=\"75\" /></a>\n            </div>\n        </div>\n    </div>\n</div>\n<div id=\"gamma\">\n    <div id=\"gamma-inner\">\n        <div class=\"widget-search widget\">\n            <h3 class=\"widget-header\">Search</h3>\n            <div class=\"widget-content\">\n                <form method=\"get\" action=\"<$MTCGIPath$><$MTSearchScript$>\">\n                    <input id=\"search\" name=\"search\" size=\"20\" value=\"<$MTSearchString$>\" />\n        <MTIf name=\"search_results_template\">\n                    <input type=\"hidden\" name=\"IncludeBlogs\" value=\"<$MTSearchIncludeBlogs$>\" />\n                    <ul class=\"search-options\">\n                        <li><input type=\"checkbox\" name=\"CaseSearch\" /> Case sensitive</li>\n                        <li><input type=\"checkbox\" name=\"RegexSearch\" /> Regex search</li>\n                    </ul>\n        <mt:else>\n                    <input type=\"hidden\" name=\"IncludeBlogs\" value=\"<$MTBlogID$>\" />\n        </mt:if>\n                    <input type=\"submit\" value=\"Search\" />\n                </form>\n            </div>\n        </div>\n<MTIf name=\"search_results_template\">\n    <MTIfTagSearch>\n        <div class=\"widget-tags widget\">\n            <h3 class=\"widget-header\">Tags</h3>\n            <div class=\"widget-content\">\n                <ul class=\"widget-list\">\n        <MTTags>\n                    <li class=\"widget-list-item\"><a href=\"<$MTTagSearchLink$>\"><$MTTagName$> (<$MTTagCount$>)</a></li>\n        </MTTags>\n                </ul>\n            </div>\n        </div>\n    </MTIfTagSearch>\n</MTIf>\n<MTIf name=\"module_recent_entries\">\n        <div class=\"widget-archives widget\">\n            <h3 class=\"widget-header\">Recent Entries</h3>\n            <div class=\"widget-content\">\n                <ul class=\"widget-list\">\n    <MTEntries lastn=\"10\">\n                    <li class=\"widget-list-item\"><a href=\"<$MTEntryPermalink$>\"><$MTEntryTitle$></a></li>\n    </MTEntries>\n                </ul>\n            </div>\n        </div>\n</MTIf>\n<MTIf name=\"main_index\">\n    <MTIfNonZero tag=\"AssetCount\">\n        <MTAssets type=\"image\" lastn=\"10\">\n            <MTAssetsHeader>\n        <div class=\"widget-assets widget\">\n            <h3 class=\"widget-header\">Photos</h3>\n            <div class=\"widget-content\">\n                <ul class=\"widget-list\"></MTAssetsHeader>\n                <li class=\"item\"><a class=\"asset-image\" href=\"<$MTAssetURL$>\"><img src=\"<$MTAssetThumbnailURL height=\"70\"$>\" class=\"asset-img-thumb\" alt=\"<$MTAssetLabel$>\" title=\"<$MTAssetLabel$>\" /></a></li>\n            <MTAssetsFooter></ul>\n            </div>\n        </div>\n            </MTAssetsFooter>\n        </MTAssets>\n    </MTIfNonZero>\n</MTIf> \n<MTIf name=\"module_category_archives\">\n    <MTIfArchiveTypeEnabled archive_type=\"Category\">\n        <div class=\"widget-categories widget\">\n            <h3 class=\"widget-header\">Categories</h3>\n            <div class=\"widget-content\">\n        <MTTopLevelCategories>\n            <MTSubCatIsFirst>\n                <ul class=\"widget-list\">\n            </MTSubCatIsFirst>\n            <MTIfNonZero tag=\"MTCategoryCount\">\n                    <li class=\"widget-list-item\"><a href=\"<$MTCategoryArchiveLink$>\"<MTIfNonEmpty tag=\"MTCategoryDescription\"> title=\"<$MTCategoryDescription$>\"</MTIfNonEmpty>><$MTCategoryLabel$> (<$MTCategoryCount$>)</a>\n            <MTElse>\n                    <li class=\"widget-list-item\"><$MTCategoryLabel$>\n            </MTIfNonZero>\n            <MTSubCatsRecurse>\n                    </li>\n            <MTSubCatIsLast>\n                </ul>\n            </MTSubCatIsLast>\n        </MTTopLevelCategories>\n            </div>\n        </div>\n    </MTIfArchiveTypeEnabled>\n</MTIf>\n    </div>\n</div>\n','custom'),(20,1,0,1, NOW(),'categories',NULL,NULL,NULL,NULL,NULL, NOW(),'Categories',NULL,1,'<MTIfNonEmpty tag=\"EntryCategory\">\n<div class=\"entry-categories\">\n    <h4 class=\"entry-categories-header\">Categories<span class=\"delimiter\">:</span></h4>\n    <ul class=\"entry-categories-list\">\n        <li class=\"entry-category\"><MTEntryCategories glue=\"<span class=\"delimiter\">,</span></li> <li class=\"entry-category\">\"><a href=\"<$MTCategoryArchiveLink$>\"><$MTCategoryLabel$></a></MTEntryCategories></li>\n    </ul>\n</div>\n</MTIfNonEmpty>\n','custom'),(21,1,0,1, NOW(),'comments',NULL,NULL,NULL,NULL,NULL, NOW(),'Comments',NULL,1,'<MTIfCommentsActive>\n<div id=\"comments\" class=\"comments\">\n    <MTIf name=\"comment_preview_template\">\n    <$MTInclude module=\"Comment Form\"$>\n    </MTIf>\n    <MTComments>\n        <MTCommentsHeader>\n    <h2 class=\"comments-header\"><$MTEntryCommentCount$> Comments</h2>\n    <div class=\"comments-content\">\n        </MTCommentsHeader>\n        <$MTInclude module=\"Comment Detail\"$>\n        <MTCommentsFooter>\n    </div>\n        </MTCommentsFooter>\n    </MTComments>\n    <MTUnless name=\"comment_preview_template\">\n    <$MTInclude module=\"Comment Form\"$>\n    </MTUnless>\n</div>\n</MTIfCommentsActive>\n','custom'),(22,1,0,1, NOW(),'footer',NULL,NULL,NULL,NULL,NULL, NOW(),'Footer',NULL,1,'                        </div>\n                    </div>\n<MTIf name=\"sidebar\">\n    <MTIf name=\"page_layout\" eq=\"layout-tw\"$>\n                    <$MTInclude module=\"Sidebar - 2 Column Layout\"$>\n        <MTElse>\n            <MTIf name=\"page_layout\" eq=\"layout-wt\"$>\n                    <$MTInclude module=\"Sidebar - 2 Column Layout\"$>\n                <MTElse>\n                    <MTIf name=\"page_layout\" eq=\"layout-twt\"$>\n                    <$MTInclude module=\"Sidebar - 3 Column Layout\"$>\n                        <MTElse>\n                    <$MTInclude module=\"Sidebar - 3 Column Layout\"$>\n                        </MTElse>\n                    </MTIf>\n                </MTElse>\n            </MTIf>\n        </MTElse>\n    </MTIf>\n</MTIf>\n                </div>\n            </div>\n            <div id=\"footer\">\n                <div id=\"footer-inner\">\n                    <div id=\"footer-content\">\n                        <div class=\"widget-powered widget\">\n                            <div class=\"widget-content\">\n                                Powered by <a href=\"http://www.movabletype.com/\"><$MTProductName$></a>\n                            </div>\n                        </div>\n<MTBlogIfCCLicense>\n                        <div class=\"widget-creative-commons widget\">\n                            <div class=\"widget-content\">\n                                This blog is licensed under a <a href=\"<$MTBlogCCLicenseURL$>\">Creative Commons License</a>.\n                            </div>\n                        </div>\n</MTBlogIfCCLicense>\n                    </div>\n                </div>\n            </div>\n        </div>\n    </div>\n</body>\n</html>\n','custom'),(23,1,0,1, NOW(),'tags',NULL,NULL,NULL,NULL,NULL, NOW(),'Tags',NULL,1,'<MTEntryIfTagged>\n<div class=\"entry-tags\">\n    <h4 class=\"entry-tags-header\">Tags<span class=\"delimiter\">:</span></h4>\n    <ul class=\"entry-tags-list\">\n        <li class=\"entry-tag\"><MTEntryTags glue=\"<span class=\"delimiter\">,</span></li> <li class=\"entry-tag\">\"><a href=\"<$MTTagSearchLink$>&amp;IncludeBlogs=<$MTBlogID$>\" rel=\"tag\"><$MTTagName$></a></MTEntryTags></li>\n    </ul>\n</div>\n</MTEntryIfTagged>\n','custom'),(24,1,0,1, NOW(),'sidebar_2col',NULL,NULL,NULL,NULL,NULL, NOW(),'Sidebar - 2 Column Layout',NULL,1,'<div id=\"beta\">\n    <div id=\"beta-inner\">\n        <div class=\"widget-search widget\">\n            <h3 class=\"widget-header\">Search</h3>\n            <div class=\"widget-content\">\n                <form method=\"get\" action=\"<$MTCGIPath$><$MTSearchScript$>\">\n                    <input id=\"search\" name=\"search\" size=\"20\" value=\"<$MTSearchString$>\" />\n        <MTIf name=\"search_results_template\">\n                    <input type=\"hidden\" name=\"IncludeBlogs\" value=\"<$MTSearchIncludeBlogs$>\" />\n                    <ul class=\"search-options\">\n                        <li><input type=\"checkbox\" name=\"CaseSearch\" /> Case sensitive</li>\n                        <li><input type=\"checkbox\" name=\"RegexSearch\" /> Regex search</li>\n                    </ul>\n        <mt:else>\n                    <input type=\"hidden\" name=\"IncludeBlogs\" value=\"<$MTBlogID$>\" />\n        </mt:if>\n                    <input type=\"submit\" value=\"Search\" />\n                </form>\n            </div>\n        </div>\n<MTIf name=\"search_results_template\">\n    <MTIfTagSearch>\n        <div class=\"widget-tags widget\">\n            <h3 class=\"widget-header\">Tags</h3>\n            <div class=\"widget-content\">\n                <ul class=\"widget-list\">\n        <MTTags>\n                    <li class=\"widget-list-item\"><a href=\"<$MTTagSearchLink$>\"><$MTTagName$> (<$MTTagCount$>)</a></li>\n        </MTTags>\n                </ul>\n            </div>\n        </div>\n    </MTIfTagSearch>\n</MTIf>\n<MTIf name=\"module_about_context\">\n        <div class=\"widget-welcome widget\">\n            <h3 class=\"widget-header\">\n    <MTIf name=\"entry_template\">\n                About this Entry\n    <MTElse>\n        <MTIf name=\"archive_template\">\n                About this Archive\n        </MTIf>\n    </MTIf>\n    <MTIf name=\"archive_index\">\n                About Archives\n    </MTIf>\n            </h3>\n            <div class=\"widget-content\">\n    <MTIf name=\"archive_index\">\n                <p>This page contains links to all the archived content.</p>\n    </MTIf>\n    <MTIf name=\"entry_template\">\n                <p class=\"first\">This page contains a single entry by <$MTEntryAuthorLink show_email=\"0\"$> published on <em><$MTEntryDate format=\"%x %X\"$></em>.</p>\n        <MTEntryPrevious>\n                <p><a href=\"<$MTEntryPermalink$>\"><$MTEntryTitle remove_html=\"1\"$></a> was the previous entry in this blog.</p>\n        </MTEntryPrevious>\n        <MTEntryNext>\n                <p><a href=\"<$MTEntryPermalink$>\"><$MTEntryTitle remove_html=\"1\"$></a> is the next entry in this blog.</p>\n        </MTEntryNext>\n    </MTIf>\n    <MTIf name=\"category_archive\">\n        <MTIf name=\"datebased_archive\">\n                <p class=\"first\">This page is a archive of entries in the <strong><$MTCategoryLabel$></strong> category from <strong><$MTArchiveDate format=\"%B %Y\"$></strong>.</p>\n            <MTArchivePrevious>\n                <p><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$></a> is the previous archive.</p>\n            </MTArchivePrevious>\n            <MTArchiveNext>\n                <p><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$></a> is the next archive.</p>\n            </MTArchiveNext>\n        <MTElse>\n                <p class=\"first\">This page is a archive of recent entries in the <strong><$MTCategoryLabel$></strong> category.</p>\n            <MTCategoryPrevious>\n                <p><a href=\"<$MTCategoryArchiveLink$>\"><$MTCategoryLabel$></a> is the previous category.</p>\n            </MTCategoryPrevious>\n            <MTCategoryNext>\n                <p><a href=\"<$MTCategoryArchiveLink$>\"><$MTCategoryLabel$></a> is the next category.</p>\n            </MTCategoryNext>\n        </MTIf>\n    </MTIf>\n    <MTIf name=\"author_archive\">\n        <MTIf name=\"datebased_archive\">\n                <p class=\"first\">This page is a archive of recent entries written by <strong><$MTAuthorDisplayName$></strong> in <strong><$MTArchiveDate format=\"%B %Y\"$></strong>.</p>\n            <MTArchivePrevious>\n                <p><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$></a> is the previous archive.</p>\n            </MTArchivePrevious>\n            <MTArchiveNext>\n                <p><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$></a> is the next archive.</p>\n            </MTArchiveNext>\n        <MTElse>\n                <p class=\"first\">This page is a archive of recent entries written by <strong><$MTAuthorDisplayName$></strong>.</p>\n        </MTIf>\n    </MTIf>\n    <MTIf name=\"datebased_only_archive\">\n                <p class=\"first\">This page is an archive of entries from <strong><$MTArchiveDate format=\"%B %Y\"$></strong> listed from newest to oldest.</p>\n        <MTArchivePrevious>\n                <p><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$></a> is the previous archive.</p>\n        </MTArchivePrevious>\n        <MTArchiveNext>\n                <p><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$></a> is the next archive.</p>\n        </MTArchiveNext>\n    </MTIf>\n    <MTIf name=\"archive_index\">\n                <p>Find recent content on the <a href=\"<$MTBlogURL$>\">main index</a>.</p>\n    <MTElse>\n                <p>Find recent content on the <a href=\"<$MTBlogURL$>\">main index</a> or look in the <a href=\"<$MTLink template=\"archive_index\"$>\">archives</a> to find all content.</p>\n    </MTIf>\n            </div>\n        </div>\n</MTIf>\n<MTIf name=\"module_recent_entries\">\n        <div class=\"widget-archives widget\">\n            <h3 class=\"widget-header\">Recent Entries</h3>\n            <div class=\"widget-content\">\n                <ul class=\"widget-list\">\n    <MTEntries lastn=\"10\">\n                    <li class=\"widget-list-item\"><a href=\"<$MTEntryPermalink$>\"><$MTEntryTitle$></a></li>\n    </MTEntries>\n                </ul>\n            </div>\n        </div>\n</MTIf>\n<MTIf name=\"main_index\">\n    <MTIfNonZero tag=\"AssetCount\">\n        <MTAssets type=\"image\" lastn=\"10\">\n            <MTAssetsHeader>\n        <div class=\"widget-assets widget\">\n            <h3 class=\"widget-header\">Photos</h3>\n            <div class=\"widget-content\">\n                <ul class=\"widget-list\"></MTAssetsHeader>\n                <li class=\"item\"><a class=\"asset-image\" href=\"<$MTAssetURL$>\"><img src=\"<$MTAssetThumbnailURL height=\"70\"$>\" class=\"asset-img-thumb\" alt=\"<$MTAssetLabel$>\" title=\"<$MTAssetLabel$>\" /></a></li>\n            <MTAssetsFooter></ul>\n            </div>\n        </div>\n            </MTAssetsFooter>\n        </MTAssets>\n    </MTIfNonZero>\n</MTIf> \n<MTIf name=\"module_category_archives\">\n    <MTIfArchiveTypeEnabled archive_type=\"Category\">\n        <div class=\"widget-categories widget\">\n            <h3 class=\"widget-header\">Categories</h3>\n            <div class=\"widget-content\">\n        <MTTopLevelCategories>\n            <MTSubCatIsFirst>\n                <ul class=\"widget-list\">\n            </MTSubCatIsFirst>\n            <MTIfNonZero tag=\"MTCategoryCount\">\n                    <li class=\"widget-list-item\"><a href=\"<$MTCategoryArchiveLink$>\"<MTIfNonEmpty tag=\"MTCategoryDescription\"> title=\"<$MTCategoryDescription$>\"</MTIfNonEmpty>><$MTCategoryLabel$> (<$MTCategoryCount$>)</a>\n            <MTElse>\n                    <li class=\"widget-list-item\"><$MTCategoryLabel$>\n            </MTIfNonZero>\n            <MTSubCatsRecurse>\n                    </li>\n            <MTSubCatIsLast>\n                </ul>\n            </MTSubCatIsLast>\n        </MTTopLevelCategories>\n            </div>\n        </div>\n    </MTIfArchiveTypeEnabled>\n</MTIf>\n<MTIf name=\"main_index\">\n        <div class=\"widget-cloud widget\">\n            <h3 class=\"widget-header\">Tag Cloud</h3>\n            <div class=\"widget-content\">\n                <ul class=\"widget-list\">\n    <MTTags limit=\"20\" sort_by=\"rank\">\n                    <li class=\"rank-<$MTTagRank max=\"10\"$> widget-list-item\"><a href=\"<$MTTagSearchLink$>\"><$MTTagName$></a></li>\n    </MTTags>\n                </ul>\n            </div>\n        </div>\n</MTIf>\n<MTIf name=\"module_author_archives\">\n    <MTIfArchiveTypeEnabled archive_type=\"Author\">\n        <MTArchiveList archive_type=\"Author\">\n            <MTArchiveListHeader>\n        <div class=\"widget-authors widget\">\n            <h3 class=\"widget-header\">Author Archives</h3>\n            <div class=\"widget-content\">\n                <ul class=\"widget-list\">\n            </MTArchiveListHeader>\n                    <li class=\"widget-list-item\"><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$> (<$MTArchiveCount$>)</a></li>\n            <MTArchiveListFooter>\n                </ul>\n            </div>\n        </div>\n            </MTArchiveListFooter>\n        </MTArchiveList>\n    </MTIfArchiveTypeEnabled>\n</MTIf>\n<MTIf name=\"module_monthly_archives\">\n    <MTIfArchiveTypeEnabled archive_type=\"Monthly\">\n        <MTArchiveList archive_type=\"Monthly\">\n            <MTArchiveListHeader>\n        <div class=\"widget-archives widget\">\n            <h3 class=\"widget-header\"><$MTArchiveTypeLabel$> <a href=\"<$MTLink template=\"archive_index\"$>\">Archives</a></h3>\n            <div class=\"widget-content\">\n                <ul class=\"widget-list\">\n            </MTArchiveListHeader>\n                    <li class=\"widget-list-item\"><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$> (<$MTArchiveCount$>)</a></li>\n            <MTArchiveListFooter>\n                </ul>\n            </div>\n        </div>\n            </MTArchiveListFooter>\n        </MTArchiveList>\n    </MTIfArchiveTypeEnabled>\n</MTIf>\n<MTIf name=\"module_category-monthly_archives\">\n    <MTIfArchiveTypeEnabled archive_type=\"Category-Monthly\">\n        <div class=\"widget-categories widget\">\n            <h3 class=\"widget-header\"><$MTArchiveTitle$>: Monthly Archives</h3>\n            <div class=\"widget-content\">\n        <MTArchiveList archive_type=\"Category-Monthly\">\n            <MTArchiveListHeader>\n                <ul class=\"widget-list\">\n            </MTArchiveListHeader>\n                    <li class=\"widget-list-item\"><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$> (<$MTArchiveCount$>)</a></li>\n            <MTArchiveListFooter>\n                </ul>\n            </MTArchiveListFooter>\n        </MTArchiveList>\n            </div>\n        </div>\n    </MTIfArchiveTypeEnabled>\n</MTIf>\n<MTIf name=\"module_author-monthly_archives\">\n    <MTIfArchiveTypeEnabled archive_type=\"Author-Monthly\">\n        <MTArchiveList archive_type=\"Author-Monthly\">\n            <MTArchiveListHeader>\n        <div class=\"widget-categories widget\">\n            <h3 class=\"widget-header\"><$MTAuthorDisplayName$>: Monthly Archives</h3>\n            <div class=\"widget-content\">\n                <ul class=\"widget-list\">\n            </MTArchiveListHeader>\n                    <li class=\"widget-list-item\"><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$> (<$MTArchiveCount$>)</a></li>\n            <MTArchiveListFooter>\n                </ul>\n            </MTArchiveListFooter>\n        </MTArchiveList>\n            </div>\n        </div>\n    </MTIfArchiveTypeEnabled>\n</MTIf>\n        <div class=\"widget-syndicate widget\">\n            <div class=\"widget-content\">\n                <ul class=\"blog-feeds\">\n                    <li class=\"blog feed\"><img src=\"<$MTStaticWebPath$>images/status_icons/feed.gif\" alt=\"Subscribe to feed\" width=\"9\" height=\"9\" /> <a href=\"<$MTLink template=\"atom\"$>\">Subscribe to this blog\'s feed</a></li>\n    <MTIf name=\"search_results_template\">\n        <mt:ifnonempty tag=\"MTSearchString\">\n                    <li class=\"search-results-feed\"><img src=\"<$MTStaticWebPath$>images/status_icons/feed.gif\" alt=\"Subscribe to feed\" width=\"9\" height=\"9\" /> <a href=\"<$MTCGIPath$><$MTSearchScript$>?<MTIfTagSearch>tag<MTElse>search</MTIfTagSearch>=<$MTSearchString encode_url=\"1\"$>&amp;Template=feed&amp;IncludeBlogs=<$MTSearchIncludeBlogs$>\" title=\"Subscribe to feed\">Search results matching &ldquo;<$MTSearchString$>&rdquo;</a></li>\n        </mt:ifnonempty>\n    </MTIf>\n                </ul>\n            </div>\n        </div>\n        <div class=\"widget-powered widget\">\n            <div class=\"widget-content\">\n                <a href=\"http://www.movabletype.com/\"><img src=\"<$MTStaticWebPath$>images/mt4-bug-pbmt-white.png\" alt=\"Powered by Movable Type <$MTVersion$>\" width=\"120\" height=\"75\" /></a>\n            </div>\n        </div>\n    </div>\n</div>\n','custom'),(25,1,0,1, NOW(),'entry_metadata',NULL,NULL,NULL,NULL,NULL, NOW(),'Entry Metadata',NULL,1,'<div class=\"asset-meta\">\n    <span class=\"byline\">\n<MTIfNonEmpty tag=\"EntryAuthorDisplayName\">\n        By <$MTEntryAuthorLink show_email=\"0\"$> on <$MTEntryDate format=\"%x %X\"$>\n<MTElse>\n        <$MTEntryDate format=\"%x %X\"$>\n</MTIfNonEmpty>\n    </span>\n    <span class=\"separator\">|</span> <a class=\"permalink\" href=\"<$MTEntryPermalink$>\">Permalink</a>\n    <MTIfCommentsActive>| <a href=\"<$MTEntryPermalink$>#comments\">Comments (<$MTEntryCommentCount$>)</a></MTIfCommentsActive>\n    <MTIfPingsActive>| <a href=\"<$MTEntryPermalink$>#trackback\">TrackBacks (<$MTEntryTrackbackCount$>)</a></MTIfPingsActive>\n</div>\n','custom'),(26,1,0,1, NOW(),'trackbacks',NULL,NULL,NULL,NULL,NULL, NOW(),'TrackBacks',NULL,1,'<MTIfPingsActive>\n<div id=\"trackbacks\" class=\"trackbacks\">\n    <h2 class=\"trackbacks-header\"><$MTEntryTrackbackCount$> TrackBacks</h2>\n    <div class=\"trackbacks-info\">\n        <p>Listed below are links to blogs that reference this entry: <a href=\"<$MTEntryPermalink$>\"><$MTEntryTitle$></a>.</p>\n        <p>TrackBack URL for this entry: <span id=\"trackbacks-link\"><$MTEntryTrackbackLink$></span></p>\n    </div>\n    <MTPings>\n        <MTPingsHeader>\n    <div class=\"trackbacks-content\">\n        </MTPingsHeader>\n        <div class=\"trackback\" id=\"ping-<$MTPingID$>\">\n            <div class=\"inner\">\n                <div class=\"trackback-header\">\n                    &raquo; <a href=\"<$MTPingURL$>\"><$MTPingTitle$></a> from <$MTPingBlogName$>\n                </div>\n                <div class=\"trackback-content\">\n                    <p>\n                        <$MTPingExcerpt$> <a href=\"<$MTPingURL$>\">Read More</a>\n                    </p>\n                </div>\n                <div class=\"trackback-footer\">\n                    Tracked on <a href=\"#ping-<$MTPingID$>\"><$MTPingDate$></a>\n                </div>\n            </div>\n        </div>\n        <MTPingsFooter>\n    </div>\n        </MTPingsFooter>\n    </MTPings>\n</div>\n</MTIfPingsActive>\n','custom'),(27,1,0,1, NOW(),'comment_form',NULL,NULL,NULL,NULL,NULL, NOW(),'Comment Form',NULL,1,'<MTEntryIfCommentsOpen>\n<div class=\"comments-open\" id=\"comments-open\">\n    <h2 class=\"comments-open-header\">Leave a comment</h2>\n    <div class=\"comments-open-content\">\n    <MTIfRegistrationAllowed>\n            <div id=\"comment-form-external-auth\">\n                <script type=\"text/javascript\">\n                <!--\n                <MTIf name=\"comment_preview_template\">is_preview = true;</MTIf>\n                writeCommenterGreeting(commenter_name, <$MTEntryID$>, <$MTEntryBlogID$>, commenter_id, commenter_url);\n                //-->\n                </script>\n            </div>\n    </MTIfRegistrationAllowed>\n        <form method=\"post\" action=\"<$MTCGIPath$><$MTCommentScript$>\" name=\"comments_form\" id=\"comments-form\" onsubmit=\"if (this.bakecookie.checked) rememberMe(this)\">\n            <input type=\"hidden\" name=\"static\" value=\"1\" />\n            <input type=\"hidden\" name=\"entry_id\" value=\"<$MTEntryID$>\" />\n            <input type=\"hidden\" name=\"__lang\" value=\"<$MTBlogLanguage$>\" />\n            <div id=\"comments-open-data\">\n                <div id=\"comment-form-name\">\n                    <label for=\"comment-author\">Name</label>\n                    <input id=\"comment-author\" name=\"author\" size=\"30\" value=\"<MTIf name=\"comment_preview_template\"><$MTCommentAuthor encode_html=\"1\"$></MTIf>\" />\n                </div>\n                <div id=\"comment-form-email\">\n                    <label for=\"comment-email\">Email Address</label>\n                    <input id=\"comment-email\" name=\"email\" size=\"30\" value=\"<MTIf name=\"comment_preview_template\"><$MTCommentEmail encode_html=\"1\"$></MTIf>\" />\n                </div>\n                <div id=\"comment-form-url\">\n                    <label for=\"comment-url\">URL</label>\n                    <input id=\"comment-url\" name=\"url\" size=\"30\" value=\"<MTIf name=\"comment_preview_template\"><$MTCommentURL encode_html=\"1\"$></MTIf>\" />\n                </div>\n                <div id=\"comment-form-remember-me\">\n                    <label for=\"comment-bake-cookie\"><input type=\"checkbox\" id=\"comment-bake-cookie\" name=\"bakecookie\" onclick=\"if (!this.checked) forgetMe(document.comments_form)\" value=\"1\" />\n                        Remember personal info?</label>\n                </div>\n            </div>\n            <div id=\"comments-open-text\">\n                <label for=\"comment-text\">Comments <MTIfAllowCommentHTML>(You may use HTML tags for style)</MTIfAllowCommentHTML></label>\n                <textarea id=\"comment-text\" name=\"text\" rows=\"15\" cols=\"50\"><MTIf name=\"comment_preview_template\"><$MTCommentBody autolink=\"0\" sanitize=\"0\" convert_breaks=\"0\" encode_html=\"1\"$></MTIf></textarea>\n            </div>\n            <MTIfNonEmpty tag=\"MTCaptchaFields\">\n            <MTIfCommentsAccepted><MTIfRegistrationAllowed><MTElse><$MTCaptchaFields$></MTIfRegistrationAllowed></MTIfCommentsAccepted>\n            <div id=\"comments-open-captcha\">\n            </div>\n            </MTIfNonEmpty>\n            <div id=\"comments-open-footer\">\n                <input type=\"submit\" accesskey=\"v\" name=\"preview\" id=\"comment-preview\" value=\"Preview\" />\n                <input type=\"submit\" accesskey=\"s\" name=\"post\" id=\"comment-submit\" value=\"Submit\" />\n    <MTIf name=\"comment_preview_template\">\n                <input type=\"button\" name=\"cancel\" id=\"comment-cancel\" value=\"Cancel\" onclick=\"window.location=\'<$MTEntryPermalink$>\'\" />\n    </MTIf>\n            </div>\n        </form>\n    </div>\n</div>\n</MTEntryIfCommentsOpen>\n','custom'),(28,1,0,1, NOW(),'page_detail',NULL,NULL,NULL,NULL,NULL, NOW(),'Page Detail',NULL,1,'<div id=\"page-<$MTPageID$>\" class=\"page-asset asset\">\n    <div class=\"asset-header\">\n        <h1 class=\"asset-name\"><$MTPageTitle$></h1>\n    </div>\n    <div class=\"asset-content\">\n<MTIfNonEmpty tag=\"PageBody\">\n        <div class=\"asset-body\">\n            <$MTPageBody$>\n        </div>\n</MTIfNonEmpty>\n<MTIfNonEmpty tag=\"PageMore\" convert_breaks=\"0\">\n        <div id=\"more\" class=\"asset-more\">\n            <$MTPageMore$>\n        </div>\n</MTIfNonEmpty>\n    </div>\n    <div class=\"asset-footer\"></div>\n</div>\n','custom'),(29,1,0,1, NOW(),'header',NULL,NULL,NULL,NULL,NULL, NOW(),'Header',NULL,1,'<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\"\n    \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\n<html xmlns=\"http://www.w3.org/1999/xhtml\" id=\"sixapart-standard\">\n<head>\n    <meta http-equiv=\"Content-Type\" content=\"text/html; charset=<$MTPublishCharset$>\" />\n    <meta name=\"generator\" content=\"<$MTProductName version=\"1\"$>\" />\n    <$MTInclude identifier=\"styles\" trim_to=\"0\"$>\n    <link rel=\"stylesheet\" href=\"<$MTLink template=\"styles\"$>\" type=\"text/css\" />\n<MTIf name=\"main_template\">\n    <link rel=\"alternate\" type=\"application/atom+xml\" title=\"Atom\" href=\"<$MTLink template=\"atom\"$>\" />\n    <link rel=\"alternate\" type=\"application/rss+xml\" title=\"RSS\" href=\"<$MTLink template=\"rss\"$>\" />\n</MTIf>\n<MTIf name=\"search_results_template\">\n    <link rel=\"alternate\" type=\"application/atom+xml\" title=\"<$MTBlogName encode_html=\"1\"$>: Search Results\" href=\"<$MTCGIPath$><$MTSearchScript$>?<$MTGetVar name=\"search_type\"$>=<$MTSearchString encode_url=\"1\"$>&amp;Template=feed&amp;IncludeBlogs=<$MTSearchIncludeBlogs$>\" />\n</MTIf>\n    <title>\n<MTIf name=\"entry_template\">\n    <$MTGetVar name=\"page_title\"$> - <$MTBlogName encode_html=\"1\"$>\n<MTElse>\n        <MTIf name=\"main_index\">\n    <$MTBlogName encode_html=\"1\"$>\n        <MTElse>\n    <$MTBlogName encode_html=\"1\"$>: <$MTGetVar name=\"page_title\"$>\n        </MTIf>\n</MTIf>\n    </title>\n<MTIf name=\"main_index\">\n    <link rel=\"EditURI\" type=\"application/rsd+xml\" title=\"RSD\" href=\"<$MTLink template=\"rsd\"$>\" />\n</MTIf>\n<MTIf name=\"main_template\">\n    <MTUnless name=\"main_index\">\n    <link rel=\"start\" href=\"<$MTBlogURL$>\" title=\"Home\" />\n    </MTUnless>\n</MTIf>\n<MTIf name=\"datebased_archive\">\n    <MTArchivePrevious><link rel=\"prev\" href=\"<$MTArchiveLink$>\" title=\"<$MTArchiveTitle encode_html=\"1\"$>\" /></MTArchivePrevious>\n    <MTArchiveNext><link rel=\"next\" href=\"<$MTArchiveLink$>\" title=\"<$MTArchiveTitle encode_html=\"1\"$>\" /></MTArchiveNext>\n</MTIf>\n<MTIf name=\"entry_template\">\n    <MTEntryPrevious><link rel=\"prev\" href=\"<$MTEntryPermalink$>\" title=\"<$MTEntryTitle encode_html=\"1\"$>\" /></MTEntryPrevious>\n    <MTEntryNext><link rel=\"next\" href=\"<$MTEntryPermalink$>\" title=\"<$MTEntryTitle encode_html=\"1\"$>\" /></MTEntryNext>\n</MTIf>\n<MTIf name=\"feedback_template\">\n    <$MTEntryTrackbackData$>\n    <script type=\"text/javascript\" src=\"<$MTLink template=\"javascript\"$>\"></script>\n</MTIf>\n<MTIf name=\"main_template\">\n    <$MTCCLicenseRDF$>\n</MTIf>\n</head>\n<body class=\"<MTIf name=\"body_class\"><$MTGetVar name=\"body_class\"$> </MTIf><$MTGetVar name=\"page_layout\" default=\"layout-wtt\"$>\"<MTIf name=\"body_onload\"> onload=\"<$MTGetVar name=\"body_onload\"$>\"</MTIf>>\n    <div id=\"container\">\n        <div id=\"container-inner\">\n            <div id=\"header\">\n                <div id=\"header-inner\">\n                    <div id=\"header-content\">\n<MTIf name=\"main_index\">\n                        <h1 id=\"header-name\"><a href=\"<$MTBlogURL$>\" accesskey=\"1\"><$MTBlogName encode_html=\"1\"$></a></h1>\n                        <h2 id=\"header-description\"><$MTBlogDescription$></h2>\n<MTElse>\n                        <div id=\"header-name\"><a href=\"<$MTBlogURL$>\" accesskey=\"1\"><$MTBlogName encode_html=\"1\"$></a></div>\n                        <div id=\"header-description\"><$MTBlogDescription$></div>\n</MTIf>\n                    </div>\n                </div>\n            </div>\n            <div id=\"content\">\n                <div id=\"content-inner\">\n                    <div id=\"alpha\">\n                        <div id=\"alpha-inner\">\n','custom'),(30,1,0,1, NOW(),'entry_detail',NULL,NULL,NULL,NULL,NULL, NOW(),'Entry Detail',NULL,1,'<div id=\"entry-<$MTEntryID$>\" class=\"entry-asset asset\">\n    <div class=\"asset-header\">\n        <h1 class=\"asset-name\"><$MTEntryTitle$></h1>\n        <$MTInclude module=\"Entry Metadata\"$>\n    </div>\n    <div class=\"asset-content\">\n<MTIfNonEmpty tag=\"EntryBody\">\n        <div class=\"asset-body\">\n            <$MTEntryBody$>\n        </div>\n</MTIfNonEmpty>\n<MTIfNonEmpty tag=\"EntryMore\" convert_breaks=\"0\">\n        <div id=\"more\" class=\"asset-more\">\n            <$MTEntryMore$>\n        </div>\n</MTIfNonEmpty>\n    </div>\n    <div class=\"asset-footer\">\n        <MTIf name=\"entry_template\">\n                <$MTInclude module=\"Categories\"$>\n        </MTIf>\n                <$MTInclude module=\"Tags\"$>\n    </div>\n</div>\n','custom'),(31,2,0,1, NOW(),'base_theme',NULL,NULL,NULL,NULL,NULL, NOW(),'Stylesheet - Base Theme','base_theme.css',1,'/* Base Theme ============================================================= */\n\n/* Reset ------------------------------------------------------------------ */\n\n/*\n    reset.css - resets default browser styling\n    http://tantek.com/log/2004/09.html#d06t2354\n    http://www.vox.com/.shared/css/base.css by beausmith.com\n    http://developer.yahoo.com/yui/reset/\n*/\n\n:link,:visited {\n    text-decoration:none;\n}\nhtml,body,div,\nul,ol,li,dl,dt,dd,\nform,fieldset,input,textarea,\nh1,h2,h3,h4,h5,h6,pre,code,p,blockquote,hr,\nth,td {\n    margin:0;\n    padding:0;\n}\nh1,h2,h3,h4,h5,h6 {\n    font-size:100%;\n    font-weight:normal;\n}\ntable {\n    border-spacing:0;\n}\nfieldset,img,abbr,acronym {\n    border:0;\n} \n/* strict reset by uncommenting lines below */\naddress,caption,cite,code,dfn,em,strong,b,u,s,i,th,var {\n    /* font-style:normal; */\n    /* font-weight:normal; */\n}\n\nol,ul {\n    list-style:none;\n}\ncaption,th {\n    text-align:left;\n}\nq:before,q:after {\n    content:\'\';\n}\na {\n    text-decoration:underline;\n    outline:none;\n}\nhr {\n    border:0;\n    height:1px;\n    background-color:#000;\n    color:#000;\n}\na img,:link img,:visited img {\n    border:none;\n}\naddress {\n    font-style:normal;\n}\n\n\n/* Layout ----------------------------------------------------------------- */\n\nbody {\n    text-align: center;\n    background: #fff;\n}\n\n#container-inner {\n    width: 940px;\n    min-height: 100%;\n    margin: 0 auto;\n    text-align: left;\n}\n\n#header, #content, #alpha, #beta, #gamma, #footer {\n    position: relative;\n}\n\n#alpha, #beta, #gamma {\n    display: inline;\n    float: left;\n}\n\n#header-inner, #content-inner, #footer-inner,\n#alpha-inner, #beta-inner, #gamma-inner {\n    position: static;\n}\n\n#header-inner, #content-inner, #footer-inner {\n    padding-top: 20px;\n    padding-bottom: 20px;\n}\n\n#header-inner, #footer-inner,\n#alpha-inner, #beta-inner, #gamma-inner {\n    overflow: hidden;\n    padding-right: 20px;\n    padding-left: 20px;\n}\n\n\n/* Wide-Thin-Thin */\n\n.layout-wtt #alpha {\n    width: 560px;\n}\n\n.layout-wtt #beta {\n    left: 190px;\n    width: 190px;\n}\n\n.layout-wtt #gamma {\n    right: 190px;\n    width: 190px;\n}\n\n\n/* Thin-Wide-Thin */\n\n.layout-twt #alpha {\n    left: 190px;\n    width: 560px;\n}\n\n.layout-twt #beta {\n    left: -560px;\n    width: 190px;\n}\n\n.layout-twt #gamma {\n    width: 190px;\n}\n\n\n/* Wide-Thin */\n\n.layout-wt #alpha {\n    width: 750px;\n}\n\n.layout-wt #beta {\n    width: 190px;\n}\n\n\n/* Thin-Wide */\n\n.layout-tw #alpha {\n    left: 190px;\n    width: 750px;\n}\n\n.layout-tw #beta {\n    left: -750px;\n    width: 190px;\n}\n\n\n/* Utilities */\n\n.pkg:after, #content-inner:after {\n    content: \" \";\n    display: block;\n    visibility: hidden;\n    clear: both;\n    height: 0.1px;\n    font-size: 0.1em;\n    line-height: 0;\n}\n.pkg, #content-inner { display: inline-block; }\n/* no ie mac \\*/\n* html .pkg, * html #content-inner { height: 1%; }\n.pkg, #content-inner { display: block; }\n/* */\n\n\n/* Content ---------------------------------------------------------------- */\n\na:link, a:visited {\n    text-decoration: underline;\n}\n\nh1, h2, h3, h4, h5, h6, p, pre, blockquote, fieldset, ul, ol, dl {\n    margin-bottom: .75em;\n}\n\nblockquote, ol, ul {\n    margin-left: 30px;\n    background-repeat: repeat-y;\n}\n\nol { list-style: decimal outside; }\nul { list-style: disc outside; }\n.item { list-style: none; }\n\n\n/* Header */\n\n#header-name {\n    margin-bottom: .25em;\n}\n\n#header-description {\n    margin-bottom: 0;\n}\n\n\n/* Assets */\n\n.asset-body,\n.asset-more,\n.asset-more-link,\n.asset-excerpt,\n.comment-content,\n.comment-footer,\n.comments-open-content,\n.comments-open-footer,\n.comments-closed,\n.trackbacks-info,\n.trackback-content,\n.trackback-footer,\n.archive-content {\n    clear: both;\n}\n\n.asset,\n.comments,\n.trackbacks,\n.archive {\n    overflow: hidden;\n    width: 100%;\n}\n\n.asset,\n.asset-content,\n.comments,\n.trackbacks,\n.archive {\n    position: static;\n    clear: both;\n}\n\n.asset,\n.comments,\n.comments-content,\n.trackbacks,\n.archive,\n.search-form {\n    margin-bottom: 1.5em;\n}\n\n.asset-header,\n.asset-content,\n.asset-body,\n.comments-header,\n.comment-header,\n.comment-content,\n.comment-footer,\n.comments-open-header,\n.comments-open-content,\n#comments-open-footer,\n.comments-closed,\n#comment-form-external-auth,\n.comments-open-moderated,\n#comment-form-name,\n#comment-form-email,\n#comment-form-url,\n#comment-form-remember-me,\n#comments-open-text,\n.trackbacks-header,\n.trackbacks-info,\n.trackback-content,\n.trackback-footer,\n.archive-content,\n.search-form-header,\n.search-results-header {\n    margin-bottom: .75em;\n}\n\n.entry-categories,\n.entry-tags {\n    margin-bottom: .5em;\n}\n\n.asset-name {\n    margin-bottom: .25em;\n}\n\n.asset-footer,\n.asset-meta {\n    font-size: 11px;\n}\n\n.asset-meta {\n    margin-top: .25em;\n    padding-top: 2px;\n    padding-bottom: .3em;\n    font-weight: normal;\n}\n\n.asset-footer {\n    margin-top: 1.5em;\n    padding-top: .5em;\n}\n\n.content-nav {\n    text-align: center;\n}\n\n.entry-tags-header,\n.entry-categories-header {\n    margin-bottom: 0;\n    margin-right: .25em;\n    display: inline;\n    font-weight: bold;\n}\n\n.entry-tags-list,\n.entry-categories-list {\n    display: inline;\n    list-style: none;\n    margin-left: 0;\n    padding-left: 0;\n}\n.entry-tags-list .entry-tag,\n.entry-categories-list .entry-category {\n    display: inline;\n}\n\n.mt-image-left {\n    float: left;\n    margin: 0 20px 20px 0;\n}\n\n.mt-image-center {\n    display: block;\n    margin: 0 auto 20px;\n    text-align: center;\n}\n\n.mt-image-right {\n    float: right;\n    margin: 0 0 20px 20px;\n}\n\n\n/* Feedback */\n\n.comments-open label {\n    display: block;\n}\n\n#comment-author, #comment-email, #comment-url, #comment-text {\n    width: 80%;\n}\n\n#comment-bake-cookie {\n    margin-left: 0;\n    vertical-align: middle;\n}\n\n#comment-submit {\n    font-weight: bold;\n}\n\n\n/* Widgets */\n\n.widget {\n    position: relative;\n    overflow: hidden;\n    width: 100%;\n}\n\n.widget-content {\n    position: relative;\n    margin: 5px 0 20px;\n}\n\n.widget-list,\n.archive-list {\n    margin: 0;\n    padding: 0;\n    list-style: none;\n}\n\n.widget-list .widget-list {\n    margin-left: 15px;\n}\n\n.widget-list-item {\n    margin-top: 5px;\n    margin-bottom: 5px;\n}\n\n.widget-cloud .widget-list {\n    margin-right: 0;\n    margin-left: 0;\n}\n\n.widget-cloud .widget-list-item {\n    display: inline;\n    margin: 0 5px 0 0;\n    padding: 0;\n    line-height: 1.2;\n    background: none;\n}\n\n.widget-cloud .rank-1  { font-size: 1.75em; }\n.widget-cloud .rank-2  { font-size: 1.75em; }\n.widget-cloud .rank-3  { font-size: 1.625em; }\n.widget-cloud .rank-4  { font-size: 1.5em; }\n.widget-cloud .rank-5  { font-size: 1.375em; }\n.widget-cloud .rank-6  { font-size: 1.25em; }\n.widget-cloud .rank-7  { font-size: 1.125em; }\n.widget-cloud .rank-8  { font-size: 1em; }\n.widget-cloud .rank-9  { font-size: 0.95em; }\n.widget-cloud .rank-10 { font-size: 0.9em; }\n\n#footer .widget-content {\n    margin-top: 0;\n    margin-bottom: 0;\n}\n\n.widget-assets .widget-content .widget-list {\n    overflow: auto;\n    margin-right: 0;\n}\n\n.item {\n    display: inline;\n    float: left;\n    margin: 0pt 5px 8px;\n    overflow: hidden;\n    text-align: center;\n    vertical-align: middle;\n    width: 70px;\n}\n\n.widget-search .search-options,\n.widget-syndicate .blog-feeds  {\n    list-style: none;\n    margin: 5px 0;\n}','index'),(32,2,0,1, NOW(),'archive_index',NULL,NULL,NULL,NULL,NULL, NOW(),'Archive Index','archives.html',1,'<MTSetVar name=\"body_class\" value=\"mt-archive-index\">\n<MTSetVar name=\"main_template\" value=\"1\">\n<MTSetVar name=\"archive_index\" value=\"1\">\n<MTSetVar name=\"sidebar\" value=\"1\">\n<MTSetVar name=\"module_about_context\" value=\"1\">\n<MTSetVarBlock name=\"page_title\">Archives</MTSetVarBlock>\n\n<$MTInclude module=\"Header\"$>\n\n<h1 class=\"archive-title\"><$MTGetVar name=\"page_title\"$></h1>\n\n<MTIfArchiveTypeEnabled archive_type=\"Individual\">\n<div class=\"archive-individual archive-date-based archive\">\n    <MTArchiveList archive_type=\"Individual\">\n        <MTArchiveListHeader>\n    <div class=\"archive-content\">\n        <ul class=\"archive-list\">\n        </MTArchiveListHeader>\n            <li class=\"archive-list-item\"><$MTArchiveDate format=\"%Y.%m.%d\"$>: <a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$></a></li>\n        <MTArchiveListFooter>\n        </ul>\n    </div>\n        </MTArchiveListFooter>\n    </MTArchiveList>\n</div>\n</MTIfArchiveTypeEnabled>\n\n<MTIfArchiveTypeEnabled archive_type=\"Monthly\">\n<div class=\"archive-monthly archive-date-based archive\">\n    <MTArchiveList archive_type=\"Monthly\">\n        <MTArchiveListHeader>\n    <h2 class=\"archive-header\">Monthly Archives</h2>\n    <div class=\"archive-content\">\n        <ul class=\"archive-list\">\n        </MTArchiveListHeader>\n            <li class=\"archive-list-item\"><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$></a></li>\n        <MTArchiveListFooter>\n        </ul>\n    </div>\n        </MTArchiveListFooter>\n    </MTArchiveList>\n</div>\n</MTIfArchiveTypeEnabled>\n\n<MTIfArchiveTypeEnabled archive_type=\"Category\">\n<div class=\"archive-category archive\">\n    <h2 class=\"archive-header\">Categories</h2>\n    <div class=\"archive-content\">\n    <MTTopLevelCategories>\n        <MTSubCatIsFirst>\n        <ul class=\"archive-list\">\n        </MTSubCatIsFirst>\n        <MTIfNonZero tag=\"MTCategoryCount\">\n            <li class=\"archive-list-item\"><a href=\"<$MTCategoryArchiveLink$>\" title=\"<$MTCategoryDescription$>\"><$MTCategoryLabel$></a>\n        <MTElse>\n            <li class=\"archive-list-item\"><$MTCategoryLabel$>\n        </MTIfNonZero>\n        <MTSubCatsRecurse>\n            </li>\n        <MTSubCatIsLast>\n        </ul>\n        </MTSubCatIsLast>\n    </MTTopLevelCategories>\n    </div>\n</div>\n</MTIfArchiveTypeEnabled>\n\n<MTIfArchiveTypeEnabled archive_type=\"Author\">\n<div class=\"archive-author archive\">\n    <MTArchiveList archive_type=\"Author\">\n        <MTArchiveListHeader>\n    <h2 class=\"archive-header\">Author Archives</h2>\n    <div class=\"archive-content\">\n        <ul class=\"archive-list\">\n        </MTArchiveListHeader>\n            <li class=\"archive-list-item\"><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$></a></li>\n        <MTArchiveListFooter>\n        </ul>\n    </div>\n        </MTArchiveListFooter>\n    </MTArchiveList>\n</div>\n</MTIfArchiveTypeEnabled>\n\n<MTIfArchiveTypeEnabled archive_type=\"Category-Monthly\">\n<div class=\"archive-category-monthly archive\">\n    <MTArchiveList archive_type=\"Category-Monthly\">\n        <MTArchiveListHeader>\n    <h2 class=\"archive-header\">Category Monthly Archives</h2>\n    <div class=\"archive-content\">\n        <ul class=\"archive-list\">\n        </MTArchiveListHeader>\n            <li class=\"archive-list-item\"><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$></a></li>\n        <MTArchiveListFooter>\n        </ul>\n    </div>\n        </MTArchiveListFooter>\n    </MTArchiveList>\n</div>\n</MTIfArchiveTypeEnabled>\n\n<MTIfArchiveTypeEnabled archive_type=\"Author-Monthly\">\n<div class=\"archive-author-monthly archive\">\n    <MTArchiveList archive_type=\"Author-Monthly\">\n        <MTArchiveListHeader>\n    <h2 class=\"archive-header\">Author Monthly Archives</h2>\n    <div class=\"archive-content\">\n        <ul class=\"archive-list\">\n        </MTArchiveListHeader>\n            <li class=\"archive-list-item\"><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$></a></li>\n        <MTArchiveListFooter>\n        </ul>\n    </div>\n        </MTArchiveListFooter>\n    </MTArchiveList>\n</div>\n</MTIfArchiveTypeEnabled>\n\n<$MTInclude module=\"Footer\"$>\n','index'),(33,2,0,1, NOW(),'main_index',NULL,NULL,NULL,NULL,NULL, NOW(),'Main Index','index.html',1,'<MTSetVar name=\"body_class\" value=\"mt-main-index\">\n<MTSetVar name=\"main_template\" value=\"1\">\n<MTSetVar name=\"main_index\" value=\"1\">\n<MTSetVar name=\"sidebar\" value=\"1\">\n<MTSetVar name=\"module_recent_entries\" value=\"1\">\n<MTSetVar name=\"module_category_archives\" value=\"1\">\n<MTSetVar name=\"module_author_archives\" value=\"1\">\n<MTSetVar name=\"module_monthly_archives\" value=\"1\">\n\n<$MTInclude module=\"Header\"$>\n\n<MTEntries>\n    <$MTEntryTrackbackData$>\n    <$MTInclude module=\"Entry Summary\"$>\n</MTEntries>\n\n<div class=\"content-nav\">\n    <a href=\"<$MTLink template=\"archive_index\"$>\">Archives</a>\n</div>\n\n<$MTInclude module=\"Footer\"$>\n','index'),(34,2,0,1, NOW(),'styles',NULL,NULL,NULL,NULL,NULL, NOW(),'Stylesheet - Main','styles.css',1,'@import url(<$MTLink template=\"base_theme\"$>);\n@import url(<$MTStaticWebPath$>themes/minimalist-red/screen.css);\n','index'),(35,2,0,1, NOW(),'javascript',NULL,NULL,NULL,NULL,NULL, NOW(),'JavaScript','mt.js',1,'// Copyright (c) 1996-1997 Athenia Associates.\n// http://www.webreference.com/js/\n// License is granted if and only if this entire\n// copyright notice is included. By Tomer Shiran.\n\nfunction setCookie (name, value, expires, path, domain, secure) {\n    var curCookie = name + \"=\" + escape(value) + (expires ? \"; expires=\" + expires : \"\") +\n        (path ? \"; path=\" + path : \"\") + (domain ? \"; domain=\" + domain : \"\") + (secure ? \"secure\" : \"\");\n    document.cookie = curCookie;\n}\n\nfunction getCookie (name) {\n    var prefix = name + \'=\';\n    var c = document.cookie;\n    var nullstring = \'\';\n    var cookieStartIndex = c.indexOf(prefix);\n    if (cookieStartIndex == -1)\n        return nullstring;\n    var cookieEndIndex = c.indexOf(\";\", cookieStartIndex + prefix.length);\n    if (cookieEndIndex == -1)\n        cookieEndIndex = c.length;\n    return unescape(c.substring(cookieStartIndex + prefix.length, cookieEndIndex));\n}\n\nfunction deleteCookie (name, path, domain) {\n    if (getCookie(name))\n        document.cookie = name + \"=\" + ((path) ? \"; path=\" + path : \"\") +\n            ((domain) ? \"; domain=\" + domain : \"\") + \"; expires=Thu, 01-Jan-70 00:00:01 GMT\";\n}\n\nfunction fixDate (date) {\n    var base = new Date(0);\n    var skew = base.getTime();\n    if (skew > 0)\n        date.setTime(date.getTime() - skew);\n}\n\nfunction rememberMe (f) {\n    var now = new Date();\n    fixDate(now);\n    now.setTime(now.getTime() + 365 * 24 * 60 * 60 * 1000);\n    now = now.toGMTString();\n    if (f.author != undefined)\n       setCookie(\'mtcmtauth\', f.author.value, now, \'/\', \'\', \'\');\n    if (f.email != undefined)\n       setCookie(\'mtcmtmail\', f.email.value, now, \'/\', \'\', \'\');\n    if (f.url != undefined)\n       setCookie(\'mtcmthome\', f.url.value, now, \'/\', \'\', \'\');\n}\n\nfunction forgetMe (f) {\n    deleteCookie(\'mtcmtmail\', \'/\', \'\');\n    deleteCookie(\'mtcmthome\', \'/\', \'\');\n    deleteCookie(\'mtcmtauth\', \'/\', \'\');\n    f.email.value = \'\';\n    f.author.value = \'\';\n    f.url.value = \'\';\n}\n\nfunction hideDocumentElement(id) {\n    var el = document.getElementById(id);\n    if (el) el.style.display = \'none\';\n}\n\nfunction showDocumentElement(id) {\n    var el = document.getElementById(id);\n    if (el) el.style.display = \'block\';\n}\n\nfunction showAnonymousForm() {\n    showDocumentElement(\'comments-form\');\n<MTIfNonEmpty tag=\"MTCaptchaFields\">\n    captcha_timer = setInterval(\'delayShowCaptcha()\', 1000);\n</MTIfNonEmpty>\n}\n<MTIfNonEmpty tag=\"MTCaptchaFields\">\nvar captcha_timer;\nfunction delayShowCaptcha() {\n    clearInterval(captcha_timer);\n    var div = document.getElementById(\'comments-open-captcha\');\n    if (div) {\n        div.innerHTML = \'<$MTCaptchaFields$>\';\n    }\n}\n</MTIfNonEmpty>\n\nvar commenter_name;\nvar commenter_blog_ids;\nvar is_preview;\nvar mtcmtmail;\nvar mtcmtauth;\nvar mtcmthome;\n\nfunction individualArchivesOnLoad(commenter_name) {\n<MTIfCommentsAccepted>\n<MTElse>\n    hideDocumentElement(\'comments-open\');\n</MTIfCommentsAccepted>\n<MTIfPingsAccepted>\n<MTElse>\n    hideDocumentElement(\'trackbacks-info\');\n</MTIfPingsAccepted>\n<MTIfRegistrationAllowed>\n    <MTIfRegistrationRequired>\n    if ( commenter_name &&\n         ( !commenter_id\n        || commenter_blog_ids.indexOf(\"\'<$MTBlogID$>\'\") > -1))\n    {\n        hideDocumentElement(\'comment-form-name\');\n        hideDocumentElement(\'comment-form-email\');\n        showDocumentElement(\'comments-open-text\');\n        showDocumentElement(\'comments-open-footer\');\n    } else {\n        hideDocumentElement(\'comments-open-data\');\n        hideDocumentElement(\'comments-open-text\');\n        hideDocumentElement(\'comments-open-footer\');\n    }\n    <MTElse>\n    // comments are allowed but registration not required\n    if ( commenter_name &&\n         ( !commenter_id\n        || commenter_blog_ids.indexOf(\"\'<$MTBlogID$>\'\") > -1))\n    {\n        hideDocumentElement(\'comment-form-name\');\n        hideDocumentElement(\'comment-form-email\');\n    } else if (is_preview) {\n        delayShowCaptcha();\n    } else {\n        hideDocumentElement(\'comments-form\');\n    }\n    </MTIfRegistrationRequired>\n</MTIfRegistrationAllowed>\n\n    if (document.comments_form) {\n        if (!commenter_name && (document.comments_form.email != undefined) &&\n            (mtcmtmail = getCookie(\"mtcmtmail\")))\n            document.comments_form.email.value = mtcmtmail;\n        if (!commenter_name && (document.comments_form.author != undefined) &&\n            (mtcmtauth = getCookie(\"mtcmtauth\")))\n            document.comments_form.author.value = mtcmtauth;\n        if (document.comments_form.url != undefined &&\n            (mtcmthome = getCookie(\"mtcmthome\")))\n            document.comments_form.url.value = mtcmthome;\n        if (document.comments_form[\"bakecookie\"]) {\n            if (mtcmtauth || mtcmthome) {\n                document.comments_form.bakecookie.checked = true;\n            } else {\n                document.comments_form.bakecookie.checked = false;\n            }\n        }\n    }\n}\n\nfunction writeCommenterGreeting(commenter_name, entry_id, blog_id, commenter_id, commenter_url) {\n<MTIfRegistrationAllowed>\n    if ( commenter_name &&\n         ( !commenter_id\n        || commenter_blog_ids.indexOf(\"\'\" + blog_id + \"\'\") > -1))\n    {\n        var url;\n        if (commenter_id) {\n            url = \'<$MTCGIPath$><$MTCommentScript$>?__mode=edit_profile&commenter=\' + commenter_id + \'&blog_id=\' + blog_id;\n            if (entry_id) {\n                url += \'&entry_id=\' + entry_id;\n            } else {\n                url += \'&static=1\';\n            }\n        } else if (commenter_url) {\n            url = commenter_url;\n        } else {\n            url = null;\n        }\n        var content = \'Thanks for signing in, \';\n        if (url) {\n            content += \'<a href=\"\' + url + \'\">\' + commenter_name + \'</a>\';\n        } else {\n            content += commenter_name;\n        }\n        content += \'. Now you can comment. (<a href=\"<$MTRemoteSignOutLink static=\"1\"$>&entry_id=\' + entry_id + \'\">sign out</a>)\';\n        document.write(content);\n    } else if (commenter_name) {\n            document.write(\'You do not have permission to comment on this blog. (<a href=\"<$MTRemoteSignOutLink static=\"1\"$>&entry_id=\' + entry_id + \'\">sign out</a>)\');\n    } else {\n<MTIfRegistrationRequired>\n        document.write(\'<a href=\"<$MTCGIPath$><$MTCommentScript$>?__mode=login&entry_id=\' + entry_id + \'&blog_id=\' + blog_id + \'&static=1\">Sign in\' + \'</a>\' + \' to comment on this entry.\');\n<MTElse>\n        document.write(\'<a href=\"<$MTCGIPath$><$MTCommentScript$>?__mode=login&entry_id=\' + entry_id + \'&blog_id=\' + blog_id + \'&static=1\">Sign in\' + \'</a>\' + \' to comment on this entry, or <a href=\"javascript:void(0);\" onclick=\"showAnonymousForm();\">comment anonymously.</a>\');\n</MTIfRegistrationRequired>\n    }\n</MTIfRegistrationAllowed>\n}\n\n<MTIfRegistrationAllowed>\nif (\'<$MTCGIHost exclude_port=\"1\"$>\' != \'<$MTBlogHost exclude_port=\"1\"$>\') {\n    document.write(\'<script src=\"<$MTCGIPath$><$MTCommentScript$>?__mode=cmtr_name_js\"></script>\');\n} else {\n    commenter_name = getCookie(\'commenter_name\');\n    ids = getCookie(\'commenter_id\').split(\':\');\n    commenter_id = ids[0];\n    commenter_blog_ids = ids[1];\n    commenter_url = getCookie(\'commenter_url\');\n}\n</MTIfRegistrationAllowed>\n','index'),(36,2,0,1, NOW(),'rsd',NULL,NULL,NULL,NULL,NULL, NOW(),'RSD','rsd.xml',1,'<$MTHTTPContentType type=\"application/rsd+xml\"$><?xml version=\"1.0\"?>\n<rsd version=\"1.0\" xmlns=\"http://archipelago.phrasewise.com/rsd\">\n<service>\n<engineName><$MTProductName version=\"1\"$></engineName>\n<engineLink>http://www.sixapart.com/movabletype/</engineLink>\n<homePageLink><$MTBlogURL$></homePageLink>\n<apis>\n<api name=\"MetaWeblog\" preferred=\"true\" apiLink=\"<$MTCGIPath$><$MTXMLRPCScript$>\" blogID=\"<$MTBlogID$>\" />\n<api name=\"MovableType\" preferred=\"false\" apiLink=\"<$MTCGIPath$><$MTXMLRPCScript$>\" blogID=\"<$MTBlogID$>\" />\n<api name=\"Blogger\" preferred=\"false\" apiLink=\"<$MTCGIPath$><$MTXMLRPCScript$>\" blogID=\"<$MTBlogID$>\" />\n<api name=\"Atom\" preferred=\"false\" apiLink=\"<$MTCGIPath$><$MTAtomScript$>/weblog\" blogID=\"<$MTBlogID$>\" />\n</apis>\n</service>\n</rsd>\n','index'),(37,2,0,1, NOW(),'atom',NULL,NULL,NULL,NULL,NULL, NOW(),'Atom','atom.xml',1,'<$MTHTTPContentType type=\"application/atom+xml\"$><?xml version=\"1.0\" encoding=\"<$MTPublishCharset$>\"?>\n<feed xmlns=\"http://www.w3.org/2005/Atom\">\n    <title><$MTBlogName remove_html=\"1\" encode_xml=\"1\"$></title>\n    <link rel=\"alternate\" type=\"text/html\" href=\"<$MTBlogURL encode_xml=\"1\"$>\" />\n    <link rel=\"self\" type=\"application/atom+xml\" href=\"<$MTLink template=\"atom\"$>\" />\n    <id>tag:<$MTBlogHost exclude_port=\"1\" encode_xml=\"1\"$>,<$MTTemplateCreatedOn format=\"%Y-%m-%d\"$>:<$MTBlogRelativeURL encode_xml=\"1\"$>/<$MTBlogID$></id>\n    <updated><MTEntries lastn=\"1\"><$MTEntryModifiedDate utc=\"1\" format=\"%Y-%m-%dT%H:%M:%SZ\"$></MTEntries></updated>\n    <MTIfNonEmpty tag=\"MTBlogDescription\"><subtitle><$MTBlogDescription remove_html=\"1\" encode_xml=\"1\"$></subtitle></MTIfNonEmpty>\n    <generator uri=\"http://www.sixapart.com/movabletype/\"><$MTProductName version=\"1\"$></generator>\n<MTEntries lastn=\"15\">\n<entry>\n    <title><$MTEntryTitle remove_html=\"1\" encode_xml=\"1\"$></title>\n    <link rel=\"alternate\" type=\"text/html\" href=\"<$MTEntryPermalink encode_xml=\"1\"$>\" />\n    <id><$MTEntryAtomID$></id>\n\n    <published><$MTEntryDate utc=\"1\" format=\"%Y-%m-%dT%H:%M:%SZ\"$></published>\n    <updated><$MTEntryModifiedDate utc=\"1\" format=\"%Y-%m-%dT%H:%M:%SZ\"$></updated>\n\n    <summary><$MTEntryExcerpt remove_html=\"1\" encode_xml=\"1\"$></summary>\n    <author>\n        <name><$MTEntryAuthorDisplayName encode_xml=\"1\"$></name>\n        <MTIfNonEmpty tag=\"MTEntryAuthorURL\"><uri><$MTEntryAuthorURL encode_xml=\"1\"$></uri></MTIfNonEmpty>\n    </author>\n    <MTEntryCategories>\n        <category term=\"<$MTCategoryLabel encode_xml=\"1\"$>\" scheme=\"http://www.sixapart.com/ns/types#category\" />\n    </MTEntryCategories>\n    <MTEntryIfTagged><MTEntryTags><category term=\"<$MTTagName normalize=\"1\" encode_xml=\"1\"$>\" label=\"<$MTTagName encode_xml=\"1\"$>\" scheme=\"http://www.sixapart.com/ns/types#tag\" />\n    </MTEntryTags></MTEntryIfTagged>\n    <content type=\"html\" xml:lang=\"<$MTBlogLanguage ietf=\"1\"$>\" xml:base=\"<$MTBlogURL encode_xml=\"1\"$>\">\n        <$MTEntryBody encode_xml=\"1\"$>\n        <$MTEntryMore encode_xml=\"1\"$>\n    </content>\n</entry>\n</MTEntries>\n</feed>\n','index'),(38,2,0,1, NOW(),'rss',NULL,NULL,NULL,NULL,NULL, NOW(),'RSS','rss.xml',1,'<$MTHTTPContentType type=\"application/rss+xml\"$><?xml version=\"1.0\" encoding=\"<$MTPublishCharset$>\"?>\n<rss version=\"2.0\">\n    <channel>\n        <title><$MTBlogName remove_html=\"1\" encode_xml=\"1\"$></title>\n        <link><$MTBlogURL$></link>\n        <description><$MTBlogDescription remove_html=\"1\" encode_xml=\"1\"$></description>\n        <language><$MTBlogLanguage ietf=\"1\"$></language>\n        <copyright>Copyright <$MTDate format=\"%Y\"$></copyright>\n        <lastBuildDate><MTEntries lastn=\"1\"><$MTEntryDate format_name=\"rfc822\"$></MTEntries></lastBuildDate>\n        <generator>http://www.sixapart.com/movabletype/</generator>\n        <docs>http://www.rssboard.org/rss-specification</docs>\n        <MTEntries lastn=\"15\">\n        <item>\n            <title><$MTEntryTitle remove_html=\"1\" encode_xml=\"1\"$></title>\n            <description><$MTEntryBody encode_xml=\"1\"$></description>\n            <link><$MTEntryPermalink encode_xml=\"1\"$></link>\n            <guid><$MTEntryPermalink encode_xml=\"1\"$></guid>\n            <MTEntryCategories>\n                <category domain=\"http://www.sixapart.com/ns/types#category\"><$MTCategoryLabel remove_html=\"1\" encode_xml=\"1\"$></category>\n            </MTEntryCategories>\n            <MTEntryIfTagged><MTEntryTags>\n                <category domain=\"http://www.sixapart.com/ns/types#tag\"><$MTTagName remove_html=\"1\" encode_xml=\"1\"$></category>\n            </MTEntryTags></MTEntryIfTagged>\n            <pubDate><$MTEntryDate format_name=\"rfc822\"$></pubDate>\n        </item>\n        </MTEntries>\n    </channel>\n</rss>\n','index'),(39,2,0,1, NOW(),'page',NULL,NULL,NULL,NULL,NULL, NOW(),'Page',NULL,1,'<MTSetVar name=\"body_class\" value=\"mt-archive-listing mt-page-archive\">\n<MTSetVar name=\"sidebar\" value=\"1\">\n<MTSetVar name=\"body_onload\" value=\"individualArchivesOnLoad(commenter_name)\">\n<MTSetVarBlock name=\"page_title\"><$MTPageTitle remove_html=\"1\"$></MTSetVarBlock>\n\n<$MTInclude module=\"Header\"$>\n\n<$MTInclude module=\"Page Detail\"$>\n\n<$MTInclude module=\"TrackBacks\"$>\n\n<$MTInclude module=\"Comments\"$>\n\n<$MTInclude module=\"Footer\"$>\n','page'),(40,2,0,1, NOW(),'entry_listing',NULL,NULL,NULL,NULL,NULL, NOW(),'Entry Listing',NULL,1,'<MTSetVarBlock name=\"body_class\">mt-archive-listing mt-<MTVar name=\"archive_class\"></MTSetVarBlock>\n<MTSetVar name=\"sidebar\" value=\"1\">\n<MTSetVar name=\"module_about_context\" value=\"1\">\n\n<MTSetVarBlock name=\"page_title\"><$MTArchiveTitle$> Archives</MTSetVarBlock>\n\n<$MTInclude module=\"Header\"$>\n\n<h1 class=\"archive-title\">\n<MTUnless name=\"datebased_archive\">\n    <MTIfArchiveType archive_type=\"Category\">\nRecently in <em><$MTArchiveTitle$></em> Category\n    </MTIfArchiveType>\n    <MTIfArchiveType archive_type=\"Author\">\nRecently by <em><$MTArchiveTitle$></em>\n    </MTIfArchiveType>\n<MTElse>\n<$MTGetVar name=\"page_title\"$>\n</MTUnless>\n</h1>\n\n<MTIf name=\"datebased_archive\">\n    <MTEntries>\n<$MTEntryTrackbackData$>\n<$MTInclude module=\"Entry Summary\"$>\n    </MTEntries>\n<MTElse>\n    <MTEntries limit=\"auto\">\n<$MTEntryTrackbackData$>\n<$MTInclude module=\"Entry Summary\"$>\n    </MTEntries>\n</MTIf>\n\n<div class=\"content-nav\">\n    <MTArchivePrevious>\n    <a href=\"<$MTArchiveLink$>\">&laquo; <$MTArchiveTitle$></a> |\n    </MTArchivePrevious>\n    <a href=\"<$MTLink template=\"main_index\"$>\">Main Index</a> |\n    <a href=\"<$MTLink template=\"archive_index\"$>\">Archives</a>\n    <MTArchiveNext>\n    | <a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$> &raquo;</a>\n    </MTArchiveNext>\n</div>\n\n<$MTInclude module=\"Footer\"$>\n','archive'),(41,2,0,1, NOW(),'comment_response',NULL,NULL,NULL,NULL,NULL, NOW(),'Comment Response',NULL,1,'<MTSetVar name=\"page_layout\" value=\"layout-one-column\">\n<MTSetVar name=\"system_template\" value=\"1\">\n\n<MTIf name=\"body_class\" eq=\"mt-comment-confirmation\">\n    <MTSetVarBlock name=\"page_title\">Comment Submitted</MTSetVarBlock>\n\n    <MTSetVar name=\"heading\" value=\"Confirmation...\">\n\n    <MTSetVarBlock name=\"message\">\n    <p>Your comment has been submitted!</p>\n    </MTSetVarBlock>\n</MTIf>\n\n<MTIf name=\"body_class\" eq=\"mt-comment-pending\">\n    <MTSetVarBlock name=\"page_title\">Comment Pending</MTSetVarBlock>\n\n    <MTSetVar name=\"heading\" value=\"Thank you for commenting.\">\n\n    <MTSetVarBlock name=\"message\">\n    <p>Your comment has been received and held for approval by the blog owner.</p>\n    </MTSetVarBlock>\n\n</MTIf>\n\n<MTIf name=\"body_class\" eq=\"mt-comment-error\">\n    <MTSetVarBlock name=\"page_title\">Comment Submission Error</MTSetVarBlock>\n\n    <MTSetVar name=\"heading\" value=\"$page_title\">\n\n    <MTSetVarBlock name=\"message\">\n    <p>Your comment submission failed for the following reasons:</p>\n    <blockquote>\n        <$MTErrorMessage$>\n    </blockquote>\n    </MTSetVarBlock>\n</MTIf>\n\n<$MTInclude module=\"Header\"$>\n\n<h1><$MTGetVar name=\"heading\"$></h1>\n\n<$MTGetVar name=\"message\"$>\n\n<p>Return to the <a href=\"<$MTEntryLink$>\">original entry</a>.</p>\n\n<$MTInclude module=\"Footer\"$>\n','comment_response'),(42,2,0,1, NOW(),'popup_image',NULL,NULL,NULL,NULL,NULL, NOW(),'Popup Image',NULL,1,'<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\"\n    \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\n<html xmlns=\"http://www.w3.org/1999/xhtml\" id=\"sixapart-standard\">\n<body id=\"uploaded-image-popup\" class=\"popup\" style=\"margin: 0;padding: 0;\">\n<div id=\"popup-container\">\n    <div id=\"popup-container\">\n        <img src=\"<$MTImageURL$>\" width=\"<$MTImageWidth$>\" height=\"<$MTImageHeight$>\" style=\"margin: 0;padding: 0;border: 0;\" />\n    </div>\n</div>\n</body>\n</html>\n','popup_image'),(43,2,0,1, NOW(),'dynamic_error',NULL,NULL,NULL,NULL,NULL, NOW(),'Dynamic Error',NULL,1,'<MTSetVar name=\"page_layout\" value=\"layout-one-column\">\n<MTSetVar name=\"body_class\" value=\"mt-dynamic-error\">\n<MTSetVar name=\"system_template\" value=\"1\">\n<MTSetVar name=\"dynamic_error_template\" value=\"1\">\n<MTSetVarBlock name=\"page_title\">Page Not Found</MTSetVarBlock>\n\n<$MTInclude module=\"Header\"$>\n\n<h1><$MTGetVar name=\"page_title\"$></h1>\n<blockquote>\n    <strong><$MTErrorMessage$></strong>\n</blockquote>\n\n<$MTInclude module=\"Footer\"$>\n','dynamic_error'),(44,2,0,1, NOW(),'comment_preview',NULL,NULL,NULL,NULL,NULL, NOW(),'Comment Preview',NULL,1,'<MTSetVar name=\"page_layout\" value=\"layout-one-column\">\n<MTSetVar name=\"body_class\" value=\"mt-comment-preview\">\n<MTSetVar name=\"body_onload\" value=\"individualArchivesOnLoad(commenter_name)\">\n<MTSetVar name=\"system_template\" value=\"1\">\n<MTSetVar name=\"comment_preview_template\" value=\"1\">\n<MTSetVar name=\"feedback_template\" value=\"1\">\n<MTSetVarBlock name=\"page_title\">Comment on <$MTEntryTitle$></MTSetVarBlock>\n\n<$MTInclude module=\"Header\"$>\n\n<h1>Previewing your Comment</h1>\n\n<$MTInclude module=\"Comment Detail\"$>\n\n<$MTInclude module=\"Comments\"$>\n\n<$MTInclude module=\"Footer\"$>\n','comment_preview'),(45,2,0,1, NOW(),'search_results',NULL,NULL,NULL,NULL,NULL, NOW(),'Search Results',NULL,1,'<MTSetVar name=\"body_class\" value=\"mt-search-results\">\n<MTSetVar name=\"system_template\" value=\"1\">\n<MTSetVar name=\"search_results_template\" value=\"1\">\n<MTSetVar name=\"sidebar\" value=\"1\">\n<MTSetVarBlock name=\"page_title\">Search Results</MTSetVarBlock>\n<MTIfStraightSearch>\n    <MTSetVar name=\"search_type\" value=\"search\">\n<MTElse>\n    <MTSetVar name=\"search_type\" value=\"tag\">\n</MTIfStraightSearch>\n<$MTInclude module=\"Header\"$>\n\n<MTSearchResults>\n    <MTBlogResultHeader>\n<h1 class=\"search-results-header\">\n        <MTIfStraightSearch>\n    Results matching &ldquo;<$MTSearchString$>&rdquo; from <$MTBlogName encode_html=\"1\"$>\n        </MTIfStraightSearch>\n        <MTIfTagSearch>\n    Results tagged &ldquo;<$MTSearchString$>&rdquo; from <$MTBlogName encode_html=\"1\"$>\n        </MTIfTagSearch>\n</h1>\n<div class=\"search-results-container\">\n    </MTBlogResultHeader>\n    <$MTInclude module=\"Entry Summary\"$>\n    <MTBlogResultFooter>\n</div>\n    </MTBlogResultFooter>\n</MTSearchResults>\n\n<MTNoSearchResults>\n<h1 class=\"search-results-header\">\n    <MTIfStraightSearch>\n    Results matching &ldquo;<$MTSearchString$>&rdquo;\n    </MTIfStraightSearch>\n    <MTIfTagSearch>\n    Results tagged &ldquo;<$MTSearchString$>&rdquo;\n    </MTIfTagSearch>\n</h1>\n<p>No results found for &ldquo;<$MTSearchString$>&rdquo;.</p>\n</MTNoSearchResults>\n\n<MTNoSearch>\n<h1 class=\"search-results-header\">Instructions</h1>\n<p>By default, this search engine looks for all words in any order. To search for an exact phrase, enclose the phrase in quotes:</p>\n<blockquote>\n    <p><code>\"movable type\"</code></p>\n</blockquote>\n<p>The search engine also supports AND, OR, and NOT keywords to specify boolean expressions:</p>\n<blockquote>\n    <p><code>personal OR publishing</code></p>\n    <p><code>publishing NOT personal</code></p>\n</blockquote>\n</MTNoSearch>\n\n<$MTInclude module=\"Footer\"$>\n','search_results'),(46,2,0,1, NOW(),'entry',NULL,NULL,NULL,NULL,NULL, NOW(),'Entry',NULL,1,'<MTSetVar name=\"body_class\" value=\"mt-archive-listing mt-entry-archive\">\n<MTSetVar name=\"sidebar\" value=\"1\">\n<MTSetVar name=\"module_about_context\" value=\"1\">\n<MTSetVar name=\"body_onload\" value=\"individualArchivesOnLoad(commenter_name)\">\n<MTSetVarBlock name=\"page_title\"><$MTEntryTitle remove_html=\"1\"$></MTSetVarBlock>\n\n<$MTInclude module=\"Header\"$>\n\n<$MTInclude module=\"Entry Detail\"$>\n\n<$MTInclude module=\"TrackBacks\"$>\n\n<$MTInclude module=\"Comments\"$>\n\n<$MTInclude module=\"Footer\"$>\n','individual'),(47,2,0,1, NOW(),'comment_detail',NULL,NULL,NULL,NULL,NULL, NOW(),'Comment Detail',NULL,1,'<div class=\"comment\"<MTIfArchiveTypeEnabled archive_type=\"Individual\"> id=\"comment-<$MTCommentID$>\"</MTIfArchiveTypeEnabled>>\n    <div class=\"inner\">\n        <div class=\"comment-header\">\n            <$MTCommentAuthorLink default_name=\"Anonymous\" show_email=\"0\"$> <MTIfNonEmpty tag=\"CommentAuthorIdentity\"><$MTCommentAuthorIdentity$></MTIfNonEmpty> said:\n        </div>\n        <div class=\"comment-content\">\n            <$MTCommentBody$>\n        </div>\n        <div class=\"comment-footer\">\n            <a href=\"#comment-<$MTCommentID$>\" title=\"Permalink to this comment\"><$MTCommentDate format=\"%x %X\"$></a>\n        </div>\n    </div>\n</div>\n','custom'),(48,2,0,1, NOW(),'entry_summary',NULL,NULL,NULL,NULL,NULL, NOW(),'Entry Summary',NULL,1,'<div id=\"entry-<$MTEntryID$>\" class=\"entry-asset asset\">\n    <div class=\"asset-header\">\n        <h2 class=\"asset-name\"><a href=\"<$MTEntryPermalink$>\"><$MTEntryTitle$></a></h2>\n        <$MTInclude module=\"Entry Metadata\"$>\n    </div>\n    <div class=\"asset-content\">\n<MTIfNonEmpty tag=\"EntryBody\">\n        <div class=\"asset-body\">\n            <$MTEntryBody$>\n        </div>\n</MTIfNonEmpty>\n<MTIfTagSearch>\n        <$MTInclude module=\"Tags\"$>\n</MTIfTagSearch>\n<MTIfNonEmpty tag=\"EntryMore\" convert_breaks=\"0\">\n        <div class=\"asset-more-link\">\n            Continue reading <a href=\"<$MTEntryPermalink$>#more\"><$MTEntryTitle$></a>.\n        </div>\n</MTIfNonEmpty>\n    </div>\n    <div class=\"asset-footer\"></div>\n</div>\n','custom'),(49,2,0,1, NOW(),'sidebar_3col',NULL,NULL,NULL,NULL,NULL, NOW(),'Sidebar - 3 Column Layout',NULL,1,'<div id=\"beta\">\n    <div id=\"beta-inner\">\n<MTIf name=\"module_about_context\">\n        <div class=\"widget-welcome widget\">\n            <h3 class=\"widget-header\">\n    <MTIf name=\"entry_template\">\n                About this Entry\n    <MTElse>\n        <MTIf name=\"archive_template\">\n                About this Archive\n        </MTIf>\n    </MTIf>\n    <MTIf name=\"archive_index\">\n                About Archives\n    </MTIf>\n            </h3>\n            <div class=\"widget-content\">\n    <MTIf name=\"archive_index\">\n                <p>This page contains links to all the archived content.</p>\n    </MTIf>\n    <MTIf name=\"entry_template\">\n                <p class=\"first\">This page contains a single entry by <$MTEntryAuthorLink show_email=\"0\"$> published on <em><$MTEntryDate format=\"%x %X\"$></em>.</p>\n        <MTEntryPrevious>\n                <p><a href=\"<$MTEntryPermalink$>\"><$MTEntryTitle remove_html=\"1\"$></a> was the previous entry in this blog.</p>\n        </MTEntryPrevious>\n        <MTEntryNext>\n                <p><a href=\"<$MTEntryPermalink$>\"><$MTEntryTitle remove_html=\"1\"$></a> is the next entry in this blog.</p>\n        </MTEntryNext>\n    </MTIf>\n    <MTIf name=\"category_archive\">\n        <MTIf name=\"datebased_archive\">\n                <p class=\"first\">This page is a archive of entries in the <strong><$MTCategoryLabel$></strong> category from <strong><$MTArchiveDate format=\"%B %Y\"$></strong>.</p>\n            <MTArchivePrevious>\n                <p><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$></a> is the previous archive.</p>\n            </MTArchivePrevious>\n            <MTArchiveNext>\n                <p><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$></a> is the next archive.</p>\n            </MTArchiveNext>\n        <MTElse>\n                <p class=\"first\">This page is a archive of recent entries in the <strong><$MTCategoryLabel$></strong> category.</p>\n            <MTCategoryPrevious>\n                <p><a href=\"<$MTCategoryArchiveLink$>\"><$MTCategoryLabel$></a> is the previous category.</p>\n            </MTCategoryPrevious>\n            <MTCategoryNext>\n                <p><a href=\"<$MTCategoryArchiveLink$>\"><$MTCategoryLabel$></a> is the next category.</p>\n            </MTCategoryNext>\n        </MTIf>\n    </MTIf>\n    <MTIf name=\"author_archive\">\n        <MTIf name=\"datebased_archive\">\n                <p class=\"first\">This page is a archive of recent entries written by <strong><$MTAuthorDisplayName$></strong> in <strong><$MTArchiveDate format=\"%B %Y\"$></strong>.</p>\n            <MTArchivePrevious>\n                <p><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$></a> is the previous archive.</p>\n            </MTArchivePrevious>\n            <MTArchiveNext>\n                <p><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$></a> is the next archive.</p>\n            </MTArchiveNext>\n        <MTElse>\n                <p class=\"first\">This page is a archive of recent entries written by <strong><$MTAuthorDisplayName$></strong>.</p>\n        </MTIf>\n    </MTIf>\n    <MTIf name=\"datebased_only_archive\">\n                <p class=\"first\">This page is an archive of entries from <strong><$MTArchiveDate format=\"%B %Y\"$></strong> listed from newest to oldest.</p>\n        <MTArchivePrevious>\n                <p><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$></a> is the previous archive.</p>\n        </MTArchivePrevious>\n        <MTArchiveNext>\n                <p><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$></a> is the next archive.</p>\n        </MTArchiveNext>\n    </MTIf>\n    <MTIf name=\"archive_index\">\n                <p>Find recent content on the <a href=\"<$MTBlogURL$>\">main index</a>.</p>\n    <MTElse>\n                <p>Find recent content on the <a href=\"<$MTBlogURL$>\">main index</a> or look in the <a href=\"<$MTLink template=\"archive_index\"$>\">archives</a> to find all content.</p>\n    </MTIf>\n            </div>\n        </div>\n</MTIf>\n<MTIf name=\"main_index\">\n        <div class=\"widget-cloud widget\">\n            <h3 class=\"widget-header\">Tag Cloud</h3>\n            <div class=\"widget-content\">\n                <ul class=\"widget-list\">\n    <MTTags limit=\"20\" sort_by=\"rank\">\n                    <li class=\"rank-<$MTTagRank max=\"10\"$> widget-list-item\"><a href=\"<$MTTagSearchLink$>\"><$MTTagName$></a></li>\n    </MTTags>\n                </ul>\n            </div>\n        </div>\n</MTIf>\n<MTIf name=\"module_author_archives\">\n    <MTIfArchiveTypeEnabled archive_type=\"Author\">\n        <MTArchiveList archive_type=\"Author\">\n            <MTArchiveListHeader>\n        <div class=\"widget-authors widget\">\n            <h3 class=\"widget-header\">Author Archives</h3>\n            <div class=\"widget-content\">\n                <ul class=\"widget-list\">\n            </MTArchiveListHeader>\n                    <li class=\"widget-list-item\"><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$> (<$MTArchiveCount$>)</a></li>\n            <MTArchiveListFooter>\n                </ul>\n            </div>\n        </div>\n            </MTArchiveListFooter>\n        </MTArchiveList>\n    </MTIfArchiveTypeEnabled>\n</MTIf>\n<MTIf name=\"module_monthly_archives\">\n    <MTIfArchiveTypeEnabled archive_type=\"Monthly\">\n        <MTArchiveList archive_type=\"Monthly\">\n            <MTArchiveListHeader>\n        <div class=\"widget-archives widget\">\n            <h3 class=\"widget-header\"><$MTArchiveTypeLabel$> <a href=\"<$MTLink template=\"archive_index\"$>\">Archives</a></h3>\n            <div class=\"widget-content\">\n                <ul class=\"widget-list\">\n            </MTArchiveListHeader>\n                    <li class=\"widget-list-item\"><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$> (<$MTArchiveCount$>)</a></li>\n            <MTArchiveListFooter>\n                </ul>\n            </div>\n        </div>\n            </MTArchiveListFooter>\n        </MTArchiveList>\n    </MTIfArchiveTypeEnabled>\n</MTIf>\n<MTIf name=\"module_category-monthly_archives\">\n    <MTIfArchiveTypeEnabled archive_type=\"Category-Monthly\">\n        <div class=\"widget-categories widget\">\n            <h3 class=\"widget-header\"><$MTArchiveTitle$>: Monthly Archives</h3>\n            <div class=\"widget-content\">\n        <MTArchiveList archive_type=\"Category-Monthly\">\n            <MTArchiveListHeader>\n                <ul class=\"widget-list\">\n            </MTArchiveListHeader>\n                    <li class=\"widget-list-item\"><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$> (<$MTArchiveCount$>)</a></li>\n            <MTArchiveListFooter>\n                </ul>\n            </MTArchiveListFooter>\n        </MTArchiveList>\n            </div>\n        </div>\n    </MTIfArchiveTypeEnabled>\n</MTIf>\n<MTIf name=\"module_author-monthly_archives\">\n    <MTIfArchiveTypeEnabled archive_type=\"Author-Monthly\">\n        <MTArchiveList archive_type=\"Author-Monthly\">\n            <MTArchiveListHeader>\n        <div class=\"widget-categories widget\">\n            <h3 class=\"widget-header\"><$MTAuthorDisplayName$>: Monthly Archives</h3>\n            <div class=\"widget-content\">\n                <ul class=\"widget-list\">\n            </MTArchiveListHeader>\n                    <li class=\"widget-list-item\"><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$> (<$MTArchiveCount$>)</a></li>\n            <MTArchiveListFooter>\n                </ul>\n            </MTArchiveListFooter>\n        </MTArchiveList>\n            </div>\n        </div>\n    </MTIfArchiveTypeEnabled>\n</MTIf>\n        <div class=\"widget-syndicate widget\">\n            <div class=\"widget-content\">\n                <ul class=\"blog-feeds\">\n                    <li class=\"blog feed\"><img src=\"<$MTStaticWebPath$>images/status_icons/feed.gif\" alt=\"Subscribe to feed\" width=\"9\" height=\"9\" /> <a href=\"<$MTLink template=\"atom\"$>\">Subscribe to this blog\'s feed</a></li>\n    <MTIf name=\"search_results_template\">\n        <mt:ifnonempty tag=\"MTSearchString\">\n                    <li class=\"search-results-feed\"><img src=\"<$MTStaticWebPath$>images/status_icons/feed.gif\" alt=\"Subscribe to feed\" width=\"9\" height=\"9\" /> <a href=\"<$MTCGIPath$><$MTSearchScript$>?<MTIfTagSearch>tag<MTElse>search</MTIfTagSearch>=<$MTSearchString encode_url=\"1\"$>&amp;Template=feed&amp;IncludeBlogs=<$MTSearchIncludeBlogs$>\" title=\"Subscribe to feed\">Search results matching &ldquo;<$MTSearchString$>&rdquo;</a></li>\n        </mt:ifnonempty>\n    </MTIf>\n                </ul>\n            </div>\n        </div>\n        <div class=\"widget-powered widget\">\n            <div class=\"widget-content\">\n                <a href=\"http://www.movabletype.com/\"><img src=\"<$MTStaticWebPath$>images/mt4-bug-pbmt-white.png\" alt=\"Powered by Movable Type <$MTVersion$>\" width=\"120\" height=\"75\" /></a>\n            </div>\n        </div>\n    </div>\n</div>\n<div id=\"gamma\">\n    <div id=\"gamma-inner\">\n        <div class=\"widget-search widget\">\n            <h3 class=\"widget-header\">Search</h3>\n            <div class=\"widget-content\">\n                <form method=\"get\" action=\"<$MTCGIPath$><$MTSearchScript$>\">\n                    <input id=\"search\" name=\"search\" size=\"20\" value=\"<$MTSearchString$>\" />\n        <MTIf name=\"search_results_template\">\n                    <input type=\"hidden\" name=\"IncludeBlogs\" value=\"<$MTSearchIncludeBlogs$>\" />\n                    <ul class=\"search-options\">\n                        <li><input type=\"checkbox\" name=\"CaseSearch\" /> Case sensitive</li>\n                        <li><input type=\"checkbox\" name=\"RegexSearch\" /> Regex search</li>\n                    </ul>\n        <mt:else>\n                    <input type=\"hidden\" name=\"IncludeBlogs\" value=\"<$MTBlogID$>\" />\n        </mt:if>\n                    <input type=\"submit\" value=\"Search\" />\n                </form>\n            </div>\n        </div>\n<MTIf name=\"search_results_template\">\n    <MTIfTagSearch>\n        <div class=\"widget-tags widget\">\n            <h3 class=\"widget-header\">Tags</h3>\n            <div class=\"widget-content\">\n                <ul class=\"widget-list\">\n        <MTTags>\n                    <li class=\"widget-list-item\"><a href=\"<$MTTagSearchLink$>\"><$MTTagName$> (<$MTTagCount$>)</a></li>\n        </MTTags>\n                </ul>\n            </div>\n        </div>\n    </MTIfTagSearch>\n</MTIf>\n<MTIf name=\"module_recent_entries\">\n        <div class=\"widget-archives widget\">\n            <h3 class=\"widget-header\">Recent Entries</h3>\n            <div class=\"widget-content\">\n                <ul class=\"widget-list\">\n    <MTEntries lastn=\"10\">\n                    <li class=\"widget-list-item\"><a href=\"<$MTEntryPermalink$>\"><$MTEntryTitle$></a></li>\n    </MTEntries>\n                </ul>\n            </div>\n        </div>\n</MTIf>\n<MTIf name=\"main_index\">\n    <MTIfNonZero tag=\"AssetCount\">\n        <MTAssets type=\"image\" lastn=\"10\">\n            <MTAssetsHeader>\n        <div class=\"widget-assets widget\">\n            <h3 class=\"widget-header\">Photos</h3>\n            <div class=\"widget-content\">\n                <ul class=\"widget-list\"></MTAssetsHeader>\n                <li class=\"item\"><a class=\"asset-image\" href=\"<$MTAssetURL$>\"><img src=\"<$MTAssetThumbnailURL height=\"70\"$>\" class=\"asset-img-thumb\" alt=\"<$MTAssetLabel$>\" title=\"<$MTAssetLabel$>\" /></a></li>\n            <MTAssetsFooter></ul>\n            </div>\n        </div>\n            </MTAssetsFooter>\n        </MTAssets>\n    </MTIfNonZero>\n</MTIf> \n<MTIf name=\"module_category_archives\">\n    <MTIfArchiveTypeEnabled archive_type=\"Category\">\n        <div class=\"widget-categories widget\">\n            <h3 class=\"widget-header\">Categories</h3>\n            <div class=\"widget-content\">\n        <MTTopLevelCategories>\n            <MTSubCatIsFirst>\n                <ul class=\"widget-list\">\n            </MTSubCatIsFirst>\n            <MTIfNonZero tag=\"MTCategoryCount\">\n                    <li class=\"widget-list-item\"><a href=\"<$MTCategoryArchiveLink$>\"<MTIfNonEmpty tag=\"MTCategoryDescription\"> title=\"<$MTCategoryDescription$>\"</MTIfNonEmpty>><$MTCategoryLabel$> (<$MTCategoryCount$>)</a>\n            <MTElse>\n                    <li class=\"widget-list-item\"><$MTCategoryLabel$>\n            </MTIfNonZero>\n            <MTSubCatsRecurse>\n                    </li>\n            <MTSubCatIsLast>\n                </ul>\n            </MTSubCatIsLast>\n        </MTTopLevelCategories>\n            </div>\n        </div>\n    </MTIfArchiveTypeEnabled>\n</MTIf>\n    </div>\n</div>\n','custom'),(50,2,0,1, NOW(),'categories',NULL,NULL,NULL,NULL,NULL, NOW(),'Categories',NULL,1,'<MTIfNonEmpty tag=\"EntryCategory\">\n<div class=\"entry-categories\">\n    <h4 class=\"entry-categories-header\">Categories<span class=\"delimiter\">:</span></h4>\n    <ul class=\"entry-categories-list\">\n        <li class=\"entry-category\"><MTEntryCategories glue=\"<span class=\"delimiter\">,</span></li> <li class=\"entry-category\">\"><a href=\"<$MTCategoryArchiveLink$>\"><$MTCategoryLabel$></a></MTEntryCategories></li>\n    </ul>\n</div>\n</MTIfNonEmpty>\n','custom'),(51,2,0,1, NOW(),'comments',NULL,NULL,NULL,NULL,NULL, NOW(),'Comments',NULL,1,'<MTIfCommentsActive>\n<div id=\"comments\" class=\"comments\">\n    <MTIf name=\"comment_preview_template\">\n    <$MTInclude module=\"Comment Form\"$>\n    </MTIf>\n    <MTComments>\n        <MTCommentsHeader>\n    <h2 class=\"comments-header\"><$MTEntryCommentCount$> Comments</h2>\n    <div class=\"comments-content\">\n        </MTCommentsHeader>\n        <$MTInclude module=\"Comment Detail\"$>\n        <MTCommentsFooter>\n    </div>\n        </MTCommentsFooter>\n    </MTComments>\n    <MTUnless name=\"comment_preview_template\">\n    <$MTInclude module=\"Comment Form\"$>\n    </MTUnless>\n</div>\n</MTIfCommentsActive>\n','custom'),(52,2,0,1, NOW(),'footer',NULL,NULL,NULL,NULL,NULL, NOW(),'Footer',NULL,1,'                        </div>\n                    </div>\n<MTIf name=\"sidebar\">\n    <MTIf name=\"page_layout\" eq=\"layout-tw\"$>\n                    <$MTInclude module=\"Sidebar - 2 Column Layout\"$>\n        <MTElse>\n            <MTIf name=\"page_layout\" eq=\"layout-wt\"$>\n                    <$MTInclude module=\"Sidebar - 2 Column Layout\"$>\n                <MTElse>\n                    <MTIf name=\"page_layout\" eq=\"layout-twt\"$>\n                    <$MTInclude module=\"Sidebar - 3 Column Layout\"$>\n                        <MTElse>\n                    <$MTInclude module=\"Sidebar - 3 Column Layout\"$>\n                        </MTElse>\n                    </MTIf>\n                </MTElse>\n            </MTIf>\n        </MTElse>\n    </MTIf>\n</MTIf>\n                </div>\n            </div>\n            <div id=\"footer\">\n                <div id=\"footer-inner\">\n                    <div id=\"footer-content\">\n                        <div class=\"widget-powered widget\">\n                            <div class=\"widget-content\">\n                                Powered by <a href=\"http://www.movabletype.com/\"><$MTProductName$></a>\n                            </div>\n                        </div>\n<MTBlogIfCCLicense>\n                        <div class=\"widget-creative-commons widget\">\n                            <div class=\"widget-content\">\n                                This blog is licensed under a <a href=\"<$MTBlogCCLicenseURL$>\">Creative Commons License</a>.\n                            </div>\n                        </div>\n</MTBlogIfCCLicense>\n                    </div>\n                </div>\n            </div>\n        </div>\n    </div>\n</body>\n</html>\n','custom'),(53,2,0,1, NOW(),'tags',NULL,NULL,NULL,NULL,NULL, NOW(),'Tags',NULL,1,'<MTEntryIfTagged>\n<div class=\"entry-tags\">\n    <h4 class=\"entry-tags-header\">Tags<span class=\"delimiter\">:</span></h4>\n    <ul class=\"entry-tags-list\">\n        <li class=\"entry-tag\"><MTEntryTags glue=\"<span class=\"delimiter\">,</span></li> <li class=\"entry-tag\">\"><a href=\"<$MTTagSearchLink$>&amp;IncludeBlogs=<$MTBlogID$>\" rel=\"tag\"><$MTTagName$></a></MTEntryTags></li>\n    </ul>\n</div>\n</MTEntryIfTagged>\n','custom'),(54,2,0,1, NOW(),'sidebar_2col',NULL,NULL,NULL,NULL,NULL, NOW(),'Sidebar - 2 Column Layout',NULL,1,'<div id=\"beta\">\n    <div id=\"beta-inner\">\n        <div class=\"widget-search widget\">\n            <h3 class=\"widget-header\">Search</h3>\n            <div class=\"widget-content\">\n                <form method=\"get\" action=\"<$MTCGIPath$><$MTSearchScript$>\">\n                    <input id=\"search\" name=\"search\" size=\"20\" value=\"<$MTSearchString$>\" />\n        <MTIf name=\"search_results_template\">\n                    <input type=\"hidden\" name=\"IncludeBlogs\" value=\"<$MTSearchIncludeBlogs$>\" />\n                    <ul class=\"search-options\">\n                        <li><input type=\"checkbox\" name=\"CaseSearch\" /> Case sensitive</li>\n                        <li><input type=\"checkbox\" name=\"RegexSearch\" /> Regex search</li>\n                    </ul>\n        <mt:else>\n                    <input type=\"hidden\" name=\"IncludeBlogs\" value=\"<$MTBlogID$>\" />\n        </mt:if>\n                    <input type=\"submit\" value=\"Search\" />\n                </form>\n            </div>\n        </div>\n<MTIf name=\"search_results_template\">\n    <MTIfTagSearch>\n        <div class=\"widget-tags widget\">\n            <h3 class=\"widget-header\">Tags</h3>\n            <div class=\"widget-content\">\n                <ul class=\"widget-list\">\n        <MTTags>\n                    <li class=\"widget-list-item\"><a href=\"<$MTTagSearchLink$>\"><$MTTagName$> (<$MTTagCount$>)</a></li>\n        </MTTags>\n                </ul>\n            </div>\n        </div>\n    </MTIfTagSearch>\n</MTIf>\n<MTIf name=\"module_about_context\">\n        <div class=\"widget-welcome widget\">\n            <h3 class=\"widget-header\">\n    <MTIf name=\"entry_template\">\n                About this Entry\n    <MTElse>\n        <MTIf name=\"archive_template\">\n                About this Archive\n        </MTIf>\n    </MTIf>\n    <MTIf name=\"archive_index\">\n                About Archives\n    </MTIf>\n            </h3>\n            <div class=\"widget-content\">\n    <MTIf name=\"archive_index\">\n                <p>This page contains links to all the archived content.</p>\n    </MTIf>\n    <MTIf name=\"entry_template\">\n                <p class=\"first\">This page contains a single entry by <$MTEntryAuthorLink show_email=\"0\"$> published on <em><$MTEntryDate format=\"%x %X\"$></em>.</p>\n        <MTEntryPrevious>\n                <p><a href=\"<$MTEntryPermalink$>\"><$MTEntryTitle remove_html=\"1\"$></a> was the previous entry in this blog.</p>\n        </MTEntryPrevious>\n        <MTEntryNext>\n                <p><a href=\"<$MTEntryPermalink$>\"><$MTEntryTitle remove_html=\"1\"$></a> is the next entry in this blog.</p>\n        </MTEntryNext>\n    </MTIf>\n    <MTIf name=\"category_archive\">\n        <MTIf name=\"datebased_archive\">\n                <p class=\"first\">This page is a archive of entries in the <strong><$MTCategoryLabel$></strong> category from <strong><$MTArchiveDate format=\"%B %Y\"$></strong>.</p>\n            <MTArchivePrevious>\n                <p><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$></a> is the previous archive.</p>\n            </MTArchivePrevious>\n            <MTArchiveNext>\n                <p><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$></a> is the next archive.</p>\n            </MTArchiveNext>\n        <MTElse>\n                <p class=\"first\">This page is a archive of recent entries in the <strong><$MTCategoryLabel$></strong> category.</p>\n            <MTCategoryPrevious>\n                <p><a href=\"<$MTCategoryArchiveLink$>\"><$MTCategoryLabel$></a> is the previous category.</p>\n            </MTCategoryPrevious>\n            <MTCategoryNext>\n                <p><a href=\"<$MTCategoryArchiveLink$>\"><$MTCategoryLabel$></a> is the next category.</p>\n            </MTCategoryNext>\n        </MTIf>\n    </MTIf>\n    <MTIf name=\"author_archive\">\n        <MTIf name=\"datebased_archive\">\n                <p class=\"first\">This page is a archive of recent entries written by <strong><$MTAuthorDisplayName$></strong> in <strong><$MTArchiveDate format=\"%B %Y\"$></strong>.</p>\n            <MTArchivePrevious>\n                <p><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$></a> is the previous archive.</p>\n            </MTArchivePrevious>\n            <MTArchiveNext>\n                <p><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$></a> is the next archive.</p>\n            </MTArchiveNext>\n        <MTElse>\n                <p class=\"first\">This page is a archive of recent entries written by <strong><$MTAuthorDisplayName$></strong>.</p>\n        </MTIf>\n    </MTIf>\n    <MTIf name=\"datebased_only_archive\">\n                <p class=\"first\">This page is an archive of entries from <strong><$MTArchiveDate format=\"%B %Y\"$></strong> listed from newest to oldest.</p>\n        <MTArchivePrevious>\n                <p><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$></a> is the previous archive.</p>\n        </MTArchivePrevious>\n        <MTArchiveNext>\n                <p><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$></a> is the next archive.</p>\n        </MTArchiveNext>\n    </MTIf>\n    <MTIf name=\"archive_index\">\n                <p>Find recent content on the <a href=\"<$MTBlogURL$>\">main index</a>.</p>\n    <MTElse>\n                <p>Find recent content on the <a href=\"<$MTBlogURL$>\">main index</a> or look in the <a href=\"<$MTLink template=\"archive_index\"$>\">archives</a> to find all content.</p>\n    </MTIf>\n            </div>\n        </div>\n</MTIf>\n<MTIf name=\"module_recent_entries\">\n        <div class=\"widget-archives widget\">\n            <h3 class=\"widget-header\">Recent Entries</h3>\n            <div class=\"widget-content\">\n                <ul class=\"widget-list\">\n    <MTEntries lastn=\"10\">\n                    <li class=\"widget-list-item\"><a href=\"<$MTEntryPermalink$>\"><$MTEntryTitle$></a></li>\n    </MTEntries>\n                </ul>\n            </div>\n        </div>\n</MTIf>\n<MTIf name=\"main_index\">\n    <MTIfNonZero tag=\"AssetCount\">\n        <MTAssets type=\"image\" lastn=\"10\">\n            <MTAssetsHeader>\n        <div class=\"widget-assets widget\">\n            <h3 class=\"widget-header\">Photos</h3>\n            <div class=\"widget-content\">\n                <ul class=\"widget-list\"></MTAssetsHeader>\n                <li class=\"item\"><a class=\"asset-image\" href=\"<$MTAssetURL$>\"><img src=\"<$MTAssetThumbnailURL height=\"70\"$>\" class=\"asset-img-thumb\" alt=\"<$MTAssetLabel$>\" title=\"<$MTAssetLabel$>\" /></a></li>\n            <MTAssetsFooter></ul>\n            </div>\n        </div>\n            </MTAssetsFooter>\n        </MTAssets>\n    </MTIfNonZero>\n</MTIf> \n<MTIf name=\"module_category_archives\">\n    <MTIfArchiveTypeEnabled archive_type=\"Category\">\n        <div class=\"widget-categories widget\">\n            <h3 class=\"widget-header\">Categories</h3>\n            <div class=\"widget-content\">\n        <MTTopLevelCategories>\n            <MTSubCatIsFirst>\n                <ul class=\"widget-list\">\n            </MTSubCatIsFirst>\n            <MTIfNonZero tag=\"MTCategoryCount\">\n                    <li class=\"widget-list-item\"><a href=\"<$MTCategoryArchiveLink$>\"<MTIfNonEmpty tag=\"MTCategoryDescription\"> title=\"<$MTCategoryDescription$>\"</MTIfNonEmpty>><$MTCategoryLabel$> (<$MTCategoryCount$>)</a>\n            <MTElse>\n                    <li class=\"widget-list-item\"><$MTCategoryLabel$>\n            </MTIfNonZero>\n            <MTSubCatsRecurse>\n                    </li>\n            <MTSubCatIsLast>\n                </ul>\n            </MTSubCatIsLast>\n        </MTTopLevelCategories>\n            </div>\n        </div>\n    </MTIfArchiveTypeEnabled>\n</MTIf>\n<MTIf name=\"main_index\">\n        <div class=\"widget-cloud widget\">\n            <h3 class=\"widget-header\">Tag Cloud</h3>\n            <div class=\"widget-content\">\n                <ul class=\"widget-list\">\n    <MTTags limit=\"20\" sort_by=\"rank\">\n                    <li class=\"rank-<$MTTagRank max=\"10\"$> widget-list-item\"><a href=\"<$MTTagSearchLink$>\"><$MTTagName$></a></li>\n    </MTTags>\n                </ul>\n            </div>\n        </div>\n</MTIf>\n<MTIf name=\"module_author_archives\">\n    <MTIfArchiveTypeEnabled archive_type=\"Author\">\n        <MTArchiveList archive_type=\"Author\">\n            <MTArchiveListHeader>\n        <div class=\"widget-authors widget\">\n            <h3 class=\"widget-header\">Author Archives</h3>\n            <div class=\"widget-content\">\n                <ul class=\"widget-list\">\n            </MTArchiveListHeader>\n                    <li class=\"widget-list-item\"><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$> (<$MTArchiveCount$>)</a></li>\n            <MTArchiveListFooter>\n                </ul>\n            </div>\n        </div>\n            </MTArchiveListFooter>\n        </MTArchiveList>\n    </MTIfArchiveTypeEnabled>\n</MTIf>\n<MTIf name=\"module_monthly_archives\">\n    <MTIfArchiveTypeEnabled archive_type=\"Monthly\">\n        <MTArchiveList archive_type=\"Monthly\">\n            <MTArchiveListHeader>\n        <div class=\"widget-archives widget\">\n            <h3 class=\"widget-header\"><$MTArchiveTypeLabel$> <a href=\"<$MTLink template=\"archive_index\"$>\">Archives</a></h3>\n            <div class=\"widget-content\">\n                <ul class=\"widget-list\">\n            </MTArchiveListHeader>\n                    <li class=\"widget-list-item\"><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$> (<$MTArchiveCount$>)</a></li>\n            <MTArchiveListFooter>\n                </ul>\n            </div>\n        </div>\n            </MTArchiveListFooter>\n        </MTArchiveList>\n    </MTIfArchiveTypeEnabled>\n</MTIf>\n<MTIf name=\"module_category-monthly_archives\">\n    <MTIfArchiveTypeEnabled archive_type=\"Category-Monthly\">\n        <div class=\"widget-categories widget\">\n            <h3 class=\"widget-header\"><$MTArchiveTitle$>: Monthly Archives</h3>\n            <div class=\"widget-content\">\n        <MTArchiveList archive_type=\"Category-Monthly\">\n            <MTArchiveListHeader>\n                <ul class=\"widget-list\">\n            </MTArchiveListHeader>\n                    <li class=\"widget-list-item\"><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$> (<$MTArchiveCount$>)</a></li>\n            <MTArchiveListFooter>\n                </ul>\n            </MTArchiveListFooter>\n        </MTArchiveList>\n            </div>\n        </div>\n    </MTIfArchiveTypeEnabled>\n</MTIf>\n<MTIf name=\"module_author-monthly_archives\">\n    <MTIfArchiveTypeEnabled archive_type=\"Author-Monthly\">\n        <MTArchiveList archive_type=\"Author-Monthly\">\n            <MTArchiveListHeader>\n        <div class=\"widget-categories widget\">\n            <h3 class=\"widget-header\"><$MTAuthorDisplayName$>: Monthly Archives</h3>\n            <div class=\"widget-content\">\n                <ul class=\"widget-list\">\n            </MTArchiveListHeader>\n                    <li class=\"widget-list-item\"><a href=\"<$MTArchiveLink$>\"><$MTArchiveTitle$> (<$MTArchiveCount$>)</a></li>\n            <MTArchiveListFooter>\n                </ul>\n            </MTArchiveListFooter>\n        </MTArchiveList>\n            </div>\n        </div>\n    </MTIfArchiveTypeEnabled>\n</MTIf>\n        <div class=\"widget-syndicate widget\">\n            <div class=\"widget-content\">\n                <ul class=\"blog-feeds\">\n                    <li class=\"blog feed\"><img src=\"<$MTStaticWebPath$>images/status_icons/feed.gif\" alt=\"Subscribe to feed\" width=\"9\" height=\"9\" /> <a href=\"<$MTLink template=\"atom\"$>\">Subscribe to this blog\'s feed</a></li>\n    <MTIf name=\"search_results_template\">\n        <mt:ifnonempty tag=\"MTSearchString\">\n                    <li class=\"search-results-feed\"><img src=\"<$MTStaticWebPath$>images/status_icons/feed.gif\" alt=\"Subscribe to feed\" width=\"9\" height=\"9\" /> <a href=\"<$MTCGIPath$><$MTSearchScript$>?<MTIfTagSearch>tag<MTElse>search</MTIfTagSearch>=<$MTSearchString encode_url=\"1\"$>&amp;Template=feed&amp;IncludeBlogs=<$MTSearchIncludeBlogs$>\" title=\"Subscribe to feed\">Search results matching &ldquo;<$MTSearchString$>&rdquo;</a></li>\n        </mt:ifnonempty>\n    </MTIf>\n                </ul>\n            </div>\n        </div>\n        <div class=\"widget-powered widget\">\n            <div class=\"widget-content\">\n                <a href=\"http://www.movabletype.com/\"><img src=\"<$MTStaticWebPath$>images/mt4-bug-pbmt-white.png\" alt=\"Powered by Movable Type <$MTVersion$>\" width=\"120\" height=\"75\" /></a>\n            </div>\n        </div>\n    </div>\n</div>\n','custom'),(55,2,0,1, NOW(),'entry_metadata',NULL,NULL,NULL,NULL,NULL, NOW(),'Entry Metadata',NULL,1,'<div class=\"asset-meta\">\n    <span class=\"byline\">\n<MTIfNonEmpty tag=\"EntryAuthorDisplayName\">\n        By <$MTEntryAuthorLink show_email=\"0\"$> on <$MTEntryDate format=\"%x %X\"$>\n<MTElse>\n        <$MTEntryDate format=\"%x %X\"$>\n</MTIfNonEmpty>\n    </span>\n    <span class=\"separator\">|</span> <a class=\"permalink\" href=\"<$MTEntryPermalink$>\">Permalink</a>\n    <MTIfCommentsActive>| <a href=\"<$MTEntryPermalink$>#comments\">Comments (<$MTEntryCommentCount$>)</a></MTIfCommentsActive>\n    <MTIfPingsActive>| <a href=\"<$MTEntryPermalink$>#trackback\">TrackBacks (<$MTEntryTrackbackCount$>)</a></MTIfPingsActive>\n</div>\n','custom'),(56,2,0,1, NOW(),'trackbacks',NULL,NULL,NULL,NULL,NULL, NOW(),'TrackBacks',NULL,1,'<MTIfPingsActive>\n<div id=\"trackbacks\" class=\"trackbacks\">\n    <h2 class=\"trackbacks-header\"><$MTEntryTrackbackCount$> TrackBacks</h2>\n    <div class=\"trackbacks-info\">\n        <p>Listed below are links to blogs that reference this entry: <a href=\"<$MTEntryPermalink$>\"><$MTEntryTitle$></a>.</p>\n        <p>TrackBack URL for this entry: <span id=\"trackbacks-link\"><$MTEntryTrackbackLink$></span></p>\n    </div>\n    <MTPings>\n        <MTPingsHeader>\n    <div class=\"trackbacks-content\">\n        </MTPingsHeader>\n        <div class=\"trackback\" id=\"ping-<$MTPingID$>\">\n            <div class=\"inner\">\n                <div class=\"trackback-header\">\n                    &raquo; <a href=\"<$MTPingURL$>\"><$MTPingTitle$></a> from <$MTPingBlogName$>\n                </div>\n                <div class=\"trackback-content\">\n                    <p>\n                        <$MTPingExcerpt$> <a href=\"<$MTPingURL$>\">Read More</a>\n                    </p>\n                </div>\n                <div class=\"trackback-footer\">\n                    Tracked on <a href=\"#ping-<$MTPingID$>\"><$MTPingDate$></a>\n                </div>\n            </div>\n        </div>\n        <MTPingsFooter>\n    </div>\n        </MTPingsFooter>\n    </MTPings>\n</div>\n</MTIfPingsActive>\n','custom'),(57,2,0,1, NOW(),'comment_form',NULL,NULL,NULL,NULL,NULL, NOW(),'Comment Form',NULL,1,'<MTEntryIfCommentsOpen>\n<div class=\"comments-open\" id=\"comments-open\">\n    <h2 class=\"comments-open-header\">Leave a comment</h2>\n    <div class=\"comments-open-content\">\n    <MTIfRegistrationAllowed>\n            <div id=\"comment-form-external-auth\">\n                <script type=\"text/javascript\">\n                <!--\n                <MTIf name=\"comment_preview_template\">is_preview = true;</MTIf>\n                writeCommenterGreeting(commenter_name, <$MTEntryID$>, <$MTEntryBlogID$>, commenter_id, commenter_url);\n                //-->\n                </script>\n            </div>\n    </MTIfRegistrationAllowed>\n        <form method=\"post\" action=\"<$MTCGIPath$><$MTCommentScript$>\" name=\"comments_form\" id=\"comments-form\" onsubmit=\"if (this.bakecookie.checked) rememberMe(this)\">\n            <input type=\"hidden\" name=\"static\" value=\"1\" />\n            <input type=\"hidden\" name=\"entry_id\" value=\"<$MTEntryID$>\" />\n            <input type=\"hidden\" name=\"__lang\" value=\"<$MTBlogLanguage$>\" />\n            <div id=\"comments-open-data\">\n                <div id=\"comment-form-name\">\n                    <label for=\"comment-author\">Name</label>\n                    <input id=\"comment-author\" name=\"author\" size=\"30\" value=\"<MTIf name=\"comment_preview_template\"><$MTCommentAuthor encode_html=\"1\"$></MTIf>\" />\n                </div>\n                <div id=\"comment-form-email\">\n                    <label for=\"comment-email\">Email Address</label>\n                    <input id=\"comment-email\" name=\"email\" size=\"30\" value=\"<MTIf name=\"comment_preview_template\"><$MTCommentEmail encode_html=\"1\"$></MTIf>\" />\n                </div>\n                <div id=\"comment-form-url\">\n                    <label for=\"comment-url\">URL</label>\n                    <input id=\"comment-url\" name=\"url\" size=\"30\" value=\"<MTIf name=\"comment_preview_template\"><$MTCommentURL encode_html=\"1\"$></MTIf>\" />\n                </div>\n                <div id=\"comment-form-remember-me\">\n                    <label for=\"comment-bake-cookie\"><input type=\"checkbox\" id=\"comment-bake-cookie\" name=\"bakecookie\" onclick=\"if (!this.checked) forgetMe(document.comments_form)\" value=\"1\" />\n                        Remember personal info?</label>\n                </div>\n            </div>\n            <div id=\"comments-open-text\">\n                <label for=\"comment-text\">Comments <MTIfAllowCommentHTML>(You may use HTML tags for style)</MTIfAllowCommentHTML></label>\n                <textarea id=\"comment-text\" name=\"text\" rows=\"15\" cols=\"50\"><MTIf name=\"comment_preview_template\"><$MTCommentBody autolink=\"0\" sanitize=\"0\" convert_breaks=\"0\" encode_html=\"1\"$></MTIf></textarea>\n            </div>\n            <MTIfNonEmpty tag=\"MTCaptchaFields\">\n            <MTIfCommentsAccepted><MTIfRegistrationAllowed><MTElse><$MTCaptchaFields$></MTIfRegistrationAllowed></MTIfCommentsAccepted>\n            <div id=\"comments-open-captcha\">\n            </div>\n            </MTIfNonEmpty>\n            <div id=\"comments-open-footer\">\n                <input type=\"submit\" accesskey=\"v\" name=\"preview\" id=\"comment-preview\" value=\"Preview\" />\n                <input type=\"submit\" accesskey=\"s\" name=\"post\" id=\"comment-submit\" value=\"Submit\" />\n    <MTIf name=\"comment_preview_template\">\n                <input type=\"button\" name=\"cancel\" id=\"comment-cancel\" value=\"Cancel\" onclick=\"window.location=\'<$MTEntryPermalink$>\'\" />\n    </MTIf>\n            </div>\n        </form>\n    </div>\n</div>\n</MTEntryIfCommentsOpen>\n','custom'),(58,2,0,1, NOW(),'page_detail',NULL,NULL,NULL,NULL,NULL, NOW(),'Page Detail',NULL,1,'<div id=\"page-<$MTPageID$>\" class=\"page-asset asset\">\n    <div class=\"asset-header\">\n        <h1 class=\"asset-name\"><$MTPageTitle$></h1>\n    </div>\n    <div class=\"asset-content\">\n<MTIfNonEmpty tag=\"PageBody\">\n        <div class=\"asset-body\">\n            <$MTPageBody$>\n        </div>\n</MTIfNonEmpty>\n<MTIfNonEmpty tag=\"PageMore\" convert_breaks=\"0\">\n        <div id=\"more\" class=\"asset-more\">\n            <$MTPageMore$>\n        </div>\n</MTIfNonEmpty>\n    </div>\n    <div class=\"asset-footer\"></div>\n</div>\n','custom'),(59,2,0,1, NOW(),'header',NULL,NULL,NULL,NULL,NULL, NOW(),'Header',NULL,1,'<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\"\n    \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\n<html xmlns=\"http://www.w3.org/1999/xhtml\" id=\"sixapart-standard\">\n<head>\n    <meta http-equiv=\"Content-Type\" content=\"text/html; charset=<$MTPublishCharset$>\" />\n    <meta name=\"generator\" content=\"<$MTProductName version=\"1\"$>\" />\n    <$MTInclude identifier=\"styles\" trim_to=\"0\"$>\n    <link rel=\"stylesheet\" href=\"<$MTLink template=\"styles\"$>\" type=\"text/css\" />\n<MTIf name=\"main_template\">\n    <link rel=\"alternate\" type=\"application/atom+xml\" title=\"Atom\" href=\"<$MTLink template=\"atom\"$>\" />\n    <link rel=\"alternate\" type=\"application/rss+xml\" title=\"RSS\" href=\"<$MTLink template=\"rss\"$>\" />\n</MTIf>\n<MTIf name=\"search_results_template\">\n    <link rel=\"alternate\" type=\"application/atom+xml\" title=\"<$MTBlogName encode_html=\"1\"$>: Search Results\" href=\"<$MTCGIPath$><$MTSearchScript$>?<$MTGetVar name=\"search_type\"$>=<$MTSearchString encode_url=\"1\"$>&amp;Template=feed&amp;IncludeBlogs=<$MTSearchIncludeBlogs$>\" />\n</MTIf>\n    <title>\n<MTIf name=\"entry_template\">\n    <$MTGetVar name=\"page_title\"$> - <$MTBlogName encode_html=\"1\"$>\n<MTElse>\n        <MTIf name=\"main_index\">\n    <$MTBlogName encode_html=\"1\"$>\n        <MTElse>\n    <$MTBlogName encode_html=\"1\"$>: <$MTGetVar name=\"page_title\"$>\n        </MTIf>\n</MTIf>\n    </title>\n<MTIf name=\"main_index\">\n    <link rel=\"EditURI\" type=\"application/rsd+xml\" title=\"RSD\" href=\"<$MTLink template=\"rsd\"$>\" />\n</MTIf>\n<MTIf name=\"main_template\">\n    <MTUnless name=\"main_index\">\n    <link rel=\"start\" href=\"<$MTBlogURL$>\" title=\"Home\" />\n    </MTUnless>\n</MTIf>\n<MTIf name=\"datebased_archive\">\n    <MTArchivePrevious><link rel=\"prev\" href=\"<$MTArchiveLink$>\" title=\"<$MTArchiveTitle encode_html=\"1\"$>\" /></MTArchivePrevious>\n    <MTArchiveNext><link rel=\"next\" href=\"<$MTArchiveLink$>\" title=\"<$MTArchiveTitle encode_html=\"1\"$>\" /></MTArchiveNext>\n</MTIf>\n<MTIf name=\"entry_template\">\n    <MTEntryPrevious><link rel=\"prev\" href=\"<$MTEntryPermalink$>\" title=\"<$MTEntryTitle encode_html=\"1\"$>\" /></MTEntryPrevious>\n    <MTEntryNext><link rel=\"next\" href=\"<$MTEntryPermalink$>\" title=\"<$MTEntryTitle encode_html=\"1\"$>\" /></MTEntryNext>\n</MTIf>\n<MTIf name=\"feedback_template\">\n    <$MTEntryTrackbackData$>\n    <script type=\"text/javascript\" src=\"<$MTLink template=\"javascript\"$>\"></script>\n</MTIf>\n<MTIf name=\"main_template\">\n    <$MTCCLicenseRDF$>\n</MTIf>\n</head>\n<body class=\"<MTIf name=\"body_class\"><$MTGetVar name=\"body_class\"$> </MTIf><$MTGetVar name=\"page_layout\" default=\"layout-wtt\"$>\"<MTIf name=\"body_onload\"> onload=\"<$MTGetVar name=\"body_onload\"$>\"</MTIf>>\n    <div id=\"container\">\n        <div id=\"container-inner\">\n            <div id=\"header\">\n                <div id=\"header-inner\">\n                    <div id=\"header-content\">\n<MTIf name=\"main_index\">\n                        <h1 id=\"header-name\"><a href=\"<$MTBlogURL$>\" accesskey=\"1\"><$MTBlogName encode_html=\"1\"$></a></h1>\n                        <h2 id=\"header-description\"><$MTBlogDescription$></h2>\n<MTElse>\n                        <div id=\"header-name\"><a href=\"<$MTBlogURL$>\" accesskey=\"1\"><$MTBlogName encode_html=\"1\"$></a></div>\n                        <div id=\"header-description\"><$MTBlogDescription$></div>\n</MTIf>\n                    </div>\n                </div>\n            </div>\n            <div id=\"content\">\n                <div id=\"content-inner\">\n                    <div id=\"alpha\">\n                        <div id=\"alpha-inner\">\n','custom'),(60,2,0,1, NOW(),'entry_detail',NULL,NULL,NULL,NULL,NULL, NOW(),'Entry Detail',NULL,1,'<div id=\"entry-<$MTEntryID$>\" class=\"entry-asset asset\">\n    <div class=\"asset-header\">\n        <h1 class=\"asset-name\"><$MTEntryTitle$></h1>\n        <$MTInclude module=\"Entry Metadata\"$>\n    </div>\n    <div class=\"asset-content\">\n<MTIfNonEmpty tag=\"EntryBody\">\n        <div class=\"asset-body\">\n            <$MTEntryBody$>\n        </div>\n</MTIfNonEmpty>\n<MTIfNonEmpty tag=\"EntryMore\" convert_breaks=\"0\">\n        <div id=\"more\" class=\"asset-more\">\n            <$MTEntryMore$>\n        </div>\n</MTIfNonEmpty>\n    </div>\n    <div class=\"asset-footer\">\n        <MTIf name=\"entry_template\">\n                <$MTInclude module=\"Categories\"$>\n        </MTIf>\n                <$MTInclude module=\"Tags\"$>\n    </div>\n</div>\n','custom');
/*!40000 ALTER TABLE `mt_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mt_templatemap`
--

DROP TABLE IF EXISTS `mt_templatemap`;
CREATE TABLE `mt_templatemap` (
  `templatemap_id` int(11) NOT NULL auto_increment,
  `templatemap_archive_type` varchar(25) NOT NULL,
  `templatemap_blog_id` int(11) NOT NULL,
  `templatemap_file_template` varchar(255) default NULL,
  `templatemap_is_preferred` tinyint(4) default NULL,
  `templatemap_template_id` int(11) NOT NULL,
  PRIMARY KEY  (`templatemap_id`),
  KEY `mt_templatemap_is_preferred` (`templatemap_is_preferred`),
  KEY `mt_templatemap_archive_type` (`templatemap_archive_type`),
  KEY `mt_templatemap_template_id` (`templatemap_template_id`),
  KEY `mt_templatemap_blog_id` (`templatemap_blog_id`)
) TYPE=MyISAM AUTO_INCREMENT=13;

--
-- Dumping data for table `mt_templatemap`
--

LOCK TABLES `mt_templatemap` WRITE;
/*!40000 ALTER TABLE `mt_templatemap` DISABLE KEYS */;
INSERT INTO `mt_templatemap` VALUES (1,'Page',1,NULL,1,9),(2,'Monthly',1,NULL,1,10),(3,'Category-Monthly',1,NULL,1,10),(4,'Author-Monthly',1,NULL,1,10),(5,'Category',1,NULL,1,10),(6,'Individual',1,NULL,1,16),(7,'Page',2,NULL,1,39),(8,'Monthly',2,NULL,1,40),(9,'Category-Monthly',2,NULL,1,40),(10,'Author-Monthly',2,NULL,1,40),(11,'Category',2,NULL,1,40),(12,'Individual',2,NULL,1,46);
/*!40000 ALTER TABLE `mt_templatemap` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mt_trackback`
--

DROP TABLE IF EXISTS `mt_trackback`;
CREATE TABLE `mt_trackback` (
  `trackback_id` int(11) NOT NULL auto_increment,
  `trackback_blog_id` int(11) NOT NULL,
  `trackback_category_id` int(11) NOT NULL default '0',
  `trackback_created_by` int(11) default NULL,
  `trackback_created_on` datetime default NULL,
  `trackback_description` mediumtext,
  `trackback_entry_id` int(11) NOT NULL default '0',
  `trackback_is_disabled` tinyint(4) default '0',
  `trackback_modified_by` int(11) default NULL,
  `trackback_modified_on` datetime default NULL,
  `trackback_passphrase` varchar(30) default NULL,
  `trackback_rss_file` varchar(255) default NULL,
  `trackback_title` varchar(255) default NULL,
  `trackback_url` varchar(255) default NULL,
  PRIMARY KEY  (`trackback_id`),
  KEY `mt_trackback_category_id` (`trackback_category_id`),
  KEY `mt_trackback_created_on` (`trackback_created_on`),
  KEY `mt_trackback_blog_id` (`trackback_blog_id`),
  KEY `mt_trackback_entry_id` (`trackback_entry_id`)
) TYPE=MyISAM;

--
-- Dumping data for table `mt_trackback`
--

LOCK TABLES `mt_trackback` WRITE;
/*!40000 ALTER TABLE `mt_trackback` DISABLE KEYS */;
/*!40000 ALTER TABLE `mt_trackback` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mt_ts_error`
--

DROP TABLE IF EXISTS `mt_ts_error`;
CREATE TABLE `mt_ts_error` (
  `ts_error_error_time` int(11) NOT NULL,
  `ts_error_funcid` int(11) NOT NULL default '0',
  `ts_error_jobid` int(11) NOT NULL,
  `ts_error_message` varchar(255) NOT NULL,
  KEY `mt_ts_error_funcid` (`ts_error_funcid`),
  KEY `mt_ts_error_error_time` (`ts_error_error_time`),
  KEY `mt_ts_error_jobid` (`ts_error_jobid`)
) TYPE=MyISAM;

--
-- Dumping data for table `mt_ts_error`
--

LOCK TABLES `mt_ts_error` WRITE;
/*!40000 ALTER TABLE `mt_ts_error` DISABLE KEYS */;
/*!40000 ALTER TABLE `mt_ts_error` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mt_ts_exitstatus`
--

DROP TABLE IF EXISTS `mt_ts_exitstatus`;
CREATE TABLE `mt_ts_exitstatus` (
  `ts_exitstatus_jobid` int(11) NOT NULL,
  `ts_exitstatus_completion_time` int(11) default NULL,
  `ts_exitstatus_delete_after` int(11) default NULL,
  `ts_exitstatus_funcid` int(11) NOT NULL,
  `ts_exitstatus_status` int(11) default NULL,
  PRIMARY KEY  (`ts_exitstatus_jobid`),
  KEY `mt_ts_exitstatus_funcid` (`ts_exitstatus_funcid`),
  KEY `mt_ts_exitstatus_delete_after` (`ts_exitstatus_delete_after`)
) TYPE=MyISAM;

--
-- Dumping data for table `mt_ts_exitstatus`
--

LOCK TABLES `mt_ts_exitstatus` WRITE;
/*!40000 ALTER TABLE `mt_ts_exitstatus` DISABLE KEYS */;
/*!40000 ALTER TABLE `mt_ts_exitstatus` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mt_ts_funcmap`
--

DROP TABLE IF EXISTS `mt_ts_funcmap`;
CREATE TABLE `mt_ts_funcmap` (
  `ts_funcmap_funcid` int(11) NOT NULL auto_increment,
  `ts_funcmap_funcname` varchar(255) NOT NULL,
  PRIMARY KEY  (`ts_funcmap_funcid`),
  UNIQUE KEY `mt_ts_funcmap_funcname` (`ts_funcmap_funcname`)
) TYPE=MyISAM;

--
-- Dumping data for table `mt_ts_funcmap`
--

LOCK TABLES `mt_ts_funcmap` WRITE;
/*!40000 ALTER TABLE `mt_ts_funcmap` DISABLE KEYS */;
/*!40000 ALTER TABLE `mt_ts_funcmap` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mt_ts_job`
--

DROP TABLE IF EXISTS `mt_ts_job`;
CREATE TABLE `mt_ts_job` (
  `ts_job_jobid` int(11) NOT NULL auto_increment,
  `ts_job_arg` mediumblob,
  `ts_job_coalesce` varchar(255) default NULL,
  `ts_job_funcid` int(11) NOT NULL,
  `ts_job_grabbed_until` int(11) NOT NULL,
  `ts_job_insert_time` int(11) default NULL,
  `ts_job_priority` int(11) default NULL,
  `ts_job_run_after` int(11) NOT NULL,
  `ts_job_uniqkey` varchar(255) default NULL,
  PRIMARY KEY  (`ts_job_jobid`),
  UNIQUE KEY `mt_ts_job_uniqfunc` (`ts_job_funcid`,`ts_job_uniqkey`),
  KEY `mt_ts_job_funcid` (`ts_job_funcid`),
  KEY `mt_ts_job_run_after` (`ts_job_run_after`),
  KEY `mt_ts_job_uniqkey` (`ts_job_uniqkey`),
  KEY `mt_ts_job_coalesce` (`ts_job_coalesce`)
) TYPE=MyISAM;

--
-- Dumping data for table `mt_ts_job`
--

LOCK TABLES `mt_ts_job` WRITE;
/*!40000 ALTER TABLE `mt_ts_job` DISABLE KEYS */;
/*!40000 ALTER TABLE `mt_ts_job` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2007-12-07  3:19:28
